Welcome to LimeSurvey v2.05+! 

Warranty: This program is provided "as is" without warranties of any kind, either expressed or implied, 
including, but not limited to, the implied warranties of merchantability and fitness for a particular 
purpose. The entire risk as to the quality and performance of the program is with you. 
Should the program prove defective, you assume the cost of all necessary servicing, repair or correction. 
In no event will any copyright holder be liable to you for damages, including any general, special, 
incidental or consequential damages arising out of the use or inability to use the program 
(including but not limited to loss of data or data being rendered inaccurate or losses sustained 
by you or third parties or a failure of the program to operate with any other programs).


HOW TO INSTALL
---------------
This release does have the following requirements:

*MySQL 4.1.0 or later OR Microsoft SQL Server 2005 or later OR Postgres 8.1 or later
*PHP 5.3.0 or later with the following modules/libraries enabled:
    *mbstring (Multibyte String Functions) extension library (see also Installation FAQ(external link))
    *PDO database driver for MySQL (pdo_mysql or pdo_mysqli) or Postgres (pdo_pgsql) or MSSQL (pdo_sqlsrv)
    
If you are doing a complete new installation please refer to the manual at
http://docs.limesurvey.org/Installation

Please also have a look at the "Installation security hints" section of the online manual in order to secure your installation.


=== UPGRADING=====

We suggest to check out and hold close to the instructions, which can be found in our online manual:
http://docs.limesurvey.org/tiki-index.php?page=Upgrading+from+a+previous+version
 

HOW TO UPGRADE from earlier versions of LimeSurvey (<=1.08)
-------------------------------------------------------------
Since the data structure and a lot of other things were changed, upgrading from any version previous to v1.50 is NOT possible. 
If you have old survey structure files with a *.sql extension the only way to get these into a newer version is to install version 1.50, import the .sql file(s) there, then upgrade that version to the most recent LimeSurvey version. 


HOW TO UPGRADE from LimeSurvey 1.50 or later (<=1.70)
------------------------------------------------------
1. Make backups of your files and database. REALLY, create backups FIRST!
3. Delete all old files 
4. Upload the new version to the same place.
6. Run the installer by visiting http://<yourdomain>/<yourlimesurveypath>/admin and follow the instructions
7. Restore any customized templates from your backup to /upload/templates (old version older than 1.70 either from /templates or from /upload/templates (>1.70)). You might have to adjust your templates since the CSS/structure might been changed since. 
   It is usually easier to customize a default templates, again, instead of fixing your old template! 
8. Done.

TEMPLATE modification between LimeSurvey 1.8
------------------------------------------------------
LimeSurvey 2 use a new placeholder for javascript inclusion: {TEMPLATEJS}.
Old template can be incompatible with the new javascript inclusion system. LimeSurvey need a placeholder to include js file for public survey.
The update process and the template upload process try to update your template. If there are javascript issue with your custom template, control you have the placeholder {TEMPLACEJS} in your starpage.pstpl.

Thank you to everyone who helped with this new release!


CHANGE LOG
------------------------------------------------------


Changes from 2.05+ (build 150508) to 2.05+ (build 150520) May 20, 2015
-New translation: Kyrgyz (Carsten Schmitz)
-New translation: Polish (Informal) (elisa)
-Fixed issue #8917: Error in R export plugin when exporting Yes/No question results (Carsten Schmitz)
-Fixed issue #9289: Unable to delete a member of a group (Carsten Schmitz)
-Fixed issue #9299: Bad handling of broken links to uploaded files (Carsten Schmitz)
-Fixed issue #9448: Label set update : can remove existing language (Carsten Schmitz)
-Fixed issue #9449: Label set updates clear out existing assessment values (Carsten Schmitz)
-Fixed issue #9466: "Import response from deactivated table" doesn't import timing table (Carsten Schmitz)
-Fixed issue #9485: Reminder/invitation mails are not coded right (Carsten Schmitz)
-Fixed issue #9493: Mandatory check can fails with array filtered array (numbers) (Denis Chenu)
-Fixed issue #9512: User without update permission can't create label in main label magement screen - partial fix (Carsten Schmitz)
-Fixed issue #9521: Quota members are shown in the wrong translation for multilingual surveys (LouisGac)
-Fixed issue #9529: Public statistics only available in base language (Carsten Schmitz)
-Fixed issue #9530: When editing a token the language drop down menu lists all languages - should list only languages used (Carsten Schmitz)
-Fixed issue #9569: Admin with uid>1 cannot set superadmin permissions (Carsten Schmitz)
-Fixed issue #9592: Unable to run survey when using database sessions with Postgres (Carsten Schmitz)
-Fixed issue #9614: False question codes are replaced in the question texts, too (Denis Chenu)
-Fixed issue #9632: Conditions can be wrongfully substituted (answer code : 0) (Denis Chenu)
-Fixed issue #9633: Error when you insert subquestions in a multilingual survey on MSSQL (Carsten Schmitz)
-Fixed issue: Wrong information in installer error message (LouisGac)
#Updated translation: Arabic by malbariqi
#Updated translation: Catalan by qualitatuvic
#Updated translation: Esperanto by Fabricio
#Updated translation: French (France) by arnaud21
#Updated translation: German by jankal, actxcellence
#Updated translation: German (Informal) by actxcellence
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Korean by spn
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Polish (Informal) by elisa
#Updated translation: Portuguese (Brazil) by mauriciofurtado
#Updated translation: Portuguese (Portugal) by efialho, samarta
#Updated translation: Russian by vipgroup, nickdsl
#Updated translation: Spanish (Spain) by arnaldoanez, aesteban
#Updated translation: Swedish by maxzomborszki
#Updated translation: Turkish by kayazeren

Changes from 2.05+ (build 150413) to 2.05+ (build 150508) May 7, 2015
-Fixed issue #9603: Undefined variable: iSurveyID in /var/www/limesurvey/application/controllers/admin/tokens.php(36) (Alfredo Esteban)
-Fixed issue #9605: Crash when trying to grant permission in specific survey to user without any global permission (Denis Chenu)
-Fixed issue #9609: Template with dash (-) in the name cannot be used as default site template (Denis Chenu)
-Fixed issue #9611: High memory use of STATA export plugin (mfaber)
-Fixed issue: delete_question API method shuffled questions, not keeping its original order. (Gabriel Jenik)
#Updated translation: Arabic by malbariqi, malkadi
#Updated translation: Catalan by qualitatuvic
#Updated translation: Danish by Vasilij, overfrakken, lovepade, docl
#Updated translation: Dutch by c_schmitz
#Updated translation: French (France) by arnaud21, odarteve
#Updated translation: Galician by Calidonia
#Updated translation: German by jweberhofer
#Updated translation: German (Informal) by jweberhofer
#Updated translation: Greek by kiolalis
#Updated translation: Hungarian by lukacs
#Updated translation: Japanese by nomoto
#Updated translation: Korean by spn
#Updated translation: Polish by elisa
#Updated translation: Polish (Informal) by elisa
#Updated translation: Slovak by gadeynebram
#Updated translation: Spanish (Chile) by gabrieljenik
#Updated translation: Spanish (Spain) by aesteban, larjona
#Updated translation: Thai by tomzt
#Updated translation: Turkish by kayazeren

Changes from 2.05+ (build 150310) to 2.05+ (build 150413) Apr 13, 2015
-Fixed issue 09577: Wrong instructions (Marcel Minke)
-Fixed issue #9447: Token sending email is unusuable with a lot of token (Alfredo Esteban)
-Fixed issue #9560: "Bounce settings" changeable although "Use global settings" were chosen (Denis Chenu)
-Fixed issue #9573: Question by question survey : Empty mandatory subquestion are not shown with error (Denis Chenu)
-Fixed issue #9587: Quotas do not work with PostgreSQL on some system (Denis Chenu)
-Fixed issue #9591: Sometimes date_max / date_min validations for date/time questions doesn't allow to use the maximum date expected. (Gabriel Jenik)
-Fixed issue #9594: EM nl2br() function doesn't work when content comes from current page (Denis Chenu)
-Fixed issue #9595: PHP error when deleting a condition (Gabriele Mambrini)
-Fixed issue: Default memory limit too low (Carsten Schmitz)
-Fixed issue: Display of public statistics in LimeSpired template (Carsten Schmitz)
-Fixed issue: Question selector unusuable in RTL mode (Carsten Schmitz)
-Fixed issue: Use capital on extension for file upload don't display file (Denis Chenu)
-Fixed issue: Wrong message (Alfredo Esteban)
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: Croatian by rovinj, Apach3
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Finnish by morbid, Tuomo, jhnrk, hannikkala
#Updated translation: French (France) by arnaud21, tamacheq, DenisChenu, JMI
#Updated translation: German by actxcellence, Mazi, c_schmitz
#Updated translation: German (Informal) by actxcellence, c_schmitz
#Updated translation: Italian by lfanfoni, emp
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by yamatt
#Updated translation: Korean by spn
#Updated translation: Latvian by marcic
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Portugal) by samarta, jweberhofer
#Updated translation: Russian by ddrmoscow, vipgroup
#Updated translation: Serbian by MilaVeljovic
#Updated translation: Spanish (Mexican) by emphasis034
#Updated translation: Swedish by maxzomborszki
#Updated translation: Thai by tomzt
#Updated translation: Ukrainian by myksyd

Changes from 2.05+ (build 150211) to 2.05+ (build 150310) Mar 10, 2015
-New feature #9554: Added the possibility to change an answer value with plugin event beforeQuestionRender() (Denis Chenu)
-Fixed Issue #9241: Behaviour of numeric question type (and multi numeric) (gabrieljenik)
-Fixed issue #9454: Token edit fails after mandatory have been added (and left blank) (tpartner)
-Fixed issue #9491: Id column and Primary key is not generated when the survey is re-activated. (Carsten Schmitz)
-Fixed issue #9528: TSV show allways error screen without import information (Denis Chenu)
-Fixed issue #9531: URL parameters in panel integration are duplicated when adding additional languages to the survey (Carsten Schmitz)
-Fixed issue #9532: Standard user is not able to change his password, email or fullname (Alfredo Esteban)
-Fixed issue #9535: List with comment (dropdown presentation) doesn't display "Please choose..." (Denis Chenu)
-Fixed issue #9550: Numerical input integer evaluates incorrectly on survey load with token (Denis Chenu)
-Fixed issue: On RemoteControl2, when reordering not possible, not message is set in results. (Gabriel Jenik)
-Fixed issue: Reordering doesn't have to consider subquestions. (Gabriel Jenik)
-Fixed issue: Several XSS issues fixed in administration - thanks to Stefan Peherstorfer from http://www.hackner-security.com (Carsten Schmitz)
-Fixed issue: TSV export/import multiple with other add a other sub-question (Denis Chenu)
#Updated translation: Czech by slansky, Artaud
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by DenisChenu, arnaud21
#Updated translation: German by madflow
#Updated translation: Greek by kiolalis
#Updated translation: Japanese by nomoto, yamatt
#Updated translation: Korean by spn
#Updated translation: Mongolian by baatar
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Brazil) by andrepacheco, mauriciofurtado, hugomusetti
#Updated translation: Russian by ddrmoscow, vipgroup
#Updated translation: Thai by tomzt
#Updated translation: Turkish by kayazeren
#Updated translation: Ukrainian by myksyd

Changes from 2.05+ (build 141229) to 2.05+ (build 150211) Feb 11, 2015
-Fixed issue #9397: List_surveys API does not return surveys that specified user owns (Carsten Schmitz)
-Fixed issue #9407: Question and group export uses HTML content-type (Carsten Schmitz)
-Fixed issue #9430: AuditLog: Password logged as modified every time an user is modified (Alfredo Esteban)
-Fixed issue #9433: Auto translate not working for informal languages (mfaber)
-Fixed issue #9435: Trying to get property of non-object with debug=2 and AuditLog enabled (Alfredo Esteban)
-Fixed issue #9436: Forgotpassword functionality may disclose information about users (Alfredo Esteban)
-Fixed issue #9441: refurl does not catch external referrer url (Alfredo Esteban)
-Fixed issue #9446: Error when exporting question group to .lsg file with debugsql=1 (Denis Chenu)
-Fixed issue #9447: Token sending email is unusuable with a lot of token (Alfredo Esteban)
-Fixed issue #9453: URL parameters limited to 20 because of grid-issue (Carsten Schmitz)
-Fixed issue #9458: Under specific condition : HTMLPurifier inserts ! characters at random into emailed surveys (Denis Chenu)
-Fixed issue #9462: Regular expressions for validating fields don't validate if survey skips welcome screen (Carsten Schmitz)
-Fixed issue #9463: E-mail subject for confirmation and admin notification use non static var (Denis Chenu)
-Fixed issue #9465: Array (number)(with checkbox) question type highlight the rows that have been answered (Denis Chenu)
-Fixed issue #9466: "Import response from deactivated table" doesn't import timing table (Carsten Schmitz)
-Fixed issue #9467: Regenerate question code still usuable with activated survey (Denis Chenu)
-Fixed issue #9475: question validation tip not evaluated dynamically when questions are answered (Denis Chenu)
-Fixed issue #9476: wrongly rendered selectable years in dropbox date question (mfaber)
-Fixed issue #9477: Change of date stamp in survey settings shows a strange hint (Carsten Schmitz)
-Fixed issue #9481: RemoteControl function export_responses results is broken with JSON-RPC (Carsten Schmitz)
-Fixed issue #9482: Missing check for duplicate question IDs on activation (Carsten Schmitz)
-Fixed issue #9488: Radix separator is allways set to the base language in javascript (Denis Chenu)
-Fixed issue #9507: Admin GUI: Decimal format in answers pdf export even for 'only intenger' numeric questions (Alfredo Esteban)
-Fixed issue: Array (number) (default (dropdown)) question type don't remind actual answer (Denis Chenu)
-Fixed issue: Useless line (Alfredo Esteban)
-Fixed issue: Wrong hint text for Numeric question type when using min/max settings (Carsten Schmitz)
#Updated translation: Albanian by Helda
#Updated translation: Basque by ikt
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by Han, mdekker
#Updated translation: Dutch (Informal) by Han
#Updated translation: Finnish by morbid
#Updated translation: French (France) by DenisChenu, arnaud21
#Updated translation: Galician by Calidonia
#Updated translation: German by actxcellence, Liam
#Updated translation: German (Informal) by Liam
#Updated translation: Greek by kiolalis
#Updated translation: Italian by tebala, lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by nomoto, yamatt
#Updated translation: Korean by kswcfe
#Updated translation: Latvian by marcic
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Persian by ardalan
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Brazil) by mauriciofurtado, holch
#Updated translation: Russian by vipgroup, ddrmoscow
#Updated translation: Spanish (Spain) by valdomir, aesteban, asntcrz, artasom, elkinjosetm
#Updated translation: Swedish by maxzomborszki
#Updated translation: Thai by tomzt, L_S20
#Updated translation: Turkish by kayazeren
#Updated translation: Ukrainian by skipenko

Changes from 2.05+ (build 141210) to 2.05+ (build 141229) Dec 29, 2014
-Fixed issue #9171: Unable to subscribe to event (Alfredo Esteban)
-Fixed issue #9326: High memory usage if non-superadmin imports survey with acivated XSS filter (Carsten Schmitz)
-Fixed issue #9386: XSS issue related to survey deletion (Carsten Schmitz)
-Fixed issue #9400: Export Started but not yet completed tokens don't work (Denis Chenu)
-Fixed issue #9408: Excel statistics for question types "5 point array" and "5 point choice" show wrong aggregated percentage (Carsten Schmitz)
-Fixed issue #9409: PDF export by user contains html tag (Alfredo Esteban)
-Fixed issue #9415: Invalid url for image broke Print to PDF with debug 2 (Alfredo Esteban)
-Fixed issue #9418: Plugin Settings | The class name is being showed, instead of name of the plugin. (gabrieljenik)
-Fixed issue #9419: Unable to delete survey (Alfredo Esteban)
-Fixed issue #9422: Answers PDF from admin gui doesn't show question group name (Alfredo Esteban)
-Fixed issue #9425: Absence of delimeter at the end of a question group (Alfredo Esteban)
-Fixed issue #9426: No title at beginning of new respondent answers in HTML export from admin gui (Alfredo Esteban)
-Fixed issue: LimesurveyApi->getOldResponseTables return timing table (Denis Chenu)
-Fixed issue: Removing HTML tags from pdf title (Alfredo Esteban)
-Fixed issue: {TOKEN} is not replaced by token in quota message and url (Denis Chenu)
-Fixed issue: Trailing space in token key leads to unrecoverable survey situation (Carsten Schmitz)
-Removed feature: 'allowmandbackwards' config option is deprecated (Carsten Schmitz)
-Updated feature: Answers PDF export from admin GUI. (Alfredo Esteban)
-Updated feature: Audit plugin logs login, logout and failed login attempt (Alfredo Esteban)
#Updated translation: Basque by ikt
#Updated translation: Croatian by rovinj, nmisic
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Estonian by mariliis
#Updated translation: Finnish by morbid
#Updated translation: French (France) by arnaud21
#Updated translation: Icelandic by svelgur
#Updated translation: Italian by lfanfoni, Zeos
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmal) by peterhol, pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Russian by severt, vipgroup
#Updated translation: Spanish (Chile) by jrojas
#Updated translation: Spanish (Spain) by aesteban, valdomir
#Updated translation: Swedish by maxzomborszki
#Updated translation: Thai by tomzt

Changes from 2.05+ (build 141126) to 2.05+ (build 141210) Dec 10, 2014
-Updated feature: Answers export to PDF (user and admin gui) (Aestu)
-New translation: Esperanto (Carsten Schmitz)
-Fixed issue #9187: Default value edit page - Set value for all languages is not working (kairavesloot)
-Fixed issue #9187: (kairavesloot)
-Fixed issue #9255: Cannot import .lss file on MSSQL when certain text contents size limits are approached (Carsten Schmitz)
-Fixed issue #9369: Mandatory type N fields are validated upon first submit (Denis Chenu)
-Fixed issue #9372: RemoteControl export_responses breaks with some XML-RPC clients (Carsten Schmitz)
-Fixed issue #9378: Auth plugin base : lowercase uppercase mix : Not loggued but no error (Denis Chenu)
-Fixed issue #9379: DB error during installation when unsufficient permissions to create tables (Carsten Schmitz)
-Fixed issue #9381: Bug when showing message of invalid token (Aestu)
-Fixed issue #9389: Non mandatory array question type show 'error' header if there are one mandatory error (Denis Chenu)
-Fixed issue #9395: All in one survey with mandatory array have errormandatory without submit (Denis Chenu)
-Fixed issue: Array question type can show scroll bar (Denis Chenu)
-Fixed issue: PDF logo was not found in all admin templates (Aestu)
-Fixed issue: Question help text are not updated if update lang by url param (Denis Chenu)
-Fixed issue: Wrong redirect URL after upload in template editor. (Yong Zhang)
#Updated translation: Afrikaans by alistair4004
#Updated translation: Albanian by Dorina1988, Helda
#Updated translation: Basque by losimo, artasom
#Updated translation: Chinese (Hong Kong) (Traditional) by achan, billych
#Updated translation: Croatian by rovinj, pstrbenac
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han, atvoogt
#Updated translation: Esperanto by Fabricio, sudastelaro
#Updated translation: French (France) by arnaud21
#Updated translation: Galician by c_schmitz
#Updated translation: Greek by kiolalis
#Updated translation: Indonesian by ysulistya
#Updated translation: Italian by Zeos
#Updated translation: Kurdish (Sorani) by c_schmitz, Muhammed
#Updated translation: Polish by elisa
#Updated translation: Russian by ddrmoscow
#Updated translation: Swedish by maxzomborszki
#Updated translation: Thai by naphatthakorn, vinate

Changes from 2.05+ (build 141123) to 2.05+ (build 141126) Nov 26, 2014
-Fixed issue #9140: VV-Import not working with MSSQL (Carsten Schmitz)
-Fixed issue #9283: More than 255 characters can be entered into a short text question on Postgres and MSSQL which leads to an error (Carsten Schmitz)
-Fixed issue #9344: AND rules with ATTRIBUTE disappear when modify and importing the survey (Denis Chenu)
-Fixed issue #9371: Invitations/reminders cannot be sent to selected tokens (Carsten Schmitz)
#Updated translation: Japanese by yamatt

Changes from 2.05+ (build 141113) to 2.05+ (build 141123) Nov 23, 2014
-Fixed issue #8589: PHP object injection in surveys (Carsten Schmitz)
-Fixed issue #9282: Deactivating survey with tokens fails with postgres - patch provided by random1 (Carsten Schmitz)
-Fixed issue #9317: Participants CSV import ignores delimiter setting (Carsten Schmitz)
-Fixed issue #9322: E-mail template content lost when you trying to save after session timeout (Carsten Schmitz)
-Fixed issue #9332: Date question + debug > 1 : broken Reorder survey (gabrieljenik)
-Fixed issue #9338: Database name text is forced to lowercase (Carsten Schmitz)
-Fixed issue #9358: Strange characters in email notifications when using Chrome browser (Carsten Schmitz)
-Fixed issue #9361: HTML in group name breaks question reordering (Carsten Schmitz)
-Fixed issue #9362: Loss of attribute descriptions on update (Carsten Schmitz)
-Fixed issue #9365: The method list_question doesn't return subquestions (Carsten Schmitz)
-Fixed issue: Ugly default font for PDF output (Carsten Schmitz)
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han, atvoogt
#Updated translation: French (France) by MVT, DenisChenu
#Updated translation: German by actxcellence, jlpd, pseitz
#Updated translation: German (Informal) by actxcellence
#Updated translation: Greek by kiolalis
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Portugal) by algarvio
#Updated translation: Spanish (Spain) by aesteban, artasom

Changes from 2.05+ (build 141110) to 2.05+ (build 141113) Nov 13, 2014
-Fixed issue #8806: Questionindex to 2 allows invalid survey submitted (Denis Chenu)
-Fixed issue #9198: Complete group's navigation can stop before clicked group (Denis Chenu)
-Fixed issue #9285: Index complete + mandatory question: Undefined notice (Denis Chenu)
-Fixed issue #9328: Language changer causes warning for mandatory questions (Denis Chenu)
-Fixed issue #9342: Attribute descriptions are not deleted in database when field is deleted (Carsten Schmitz)
-Fixed issue #9351: Database error during update when using a database other than MySQL (Carsten Schmitz)
-Fixed issue #9355: Group rights cannot be set (Carsten Schmitz)
-Fixed issue: Black background with PDF charts when using Linux (Carsten Schmitz)
-Updated translation: Finnish by morbid
-Updated translation: Polish by elisa

Changes from 2.05+ (build 141109) to 2.05+ (build 141110) Nov 10, 2014
Fixed issue #9351: Error on update for non-MySQL installations

Changes from 2.05+ (build 141020) to 2.05+ (build 141109) Nov 09, 2014
-Fixed issue #9026: If empty survey, export 1 empty record to avoid blank results. (gabrieljenik)
-Fixed issue #9307: Calling a survey with a non-existing token leads to PHP Warning (debug=1) (Denis Chenu)
-Fixed issue #9320: Unable to edit local the bounce parameters in token management (Denis Chenu)
-Fixed issue #9339: Duplicate questions IDs used when new survey that has different based language than previous surveys (Carsten Schmitz)
-Fixed issue #9343: Unable to see Question group survey_logic_file after import (Denis Chenu)
-Fixed issue: Files cannot be downloaded if magic_quotes is activated on the server (Carsten Schmitz)
-Fixed issue: Placing several quota members on the same question leads to unrecoverable error in admin and survey runtime (Carsten Schmitz)
#Updated translation: Catalan by valdomir
#Updated translation: Croatian by netcom
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Finnish by morbid
#Updated translation: Greek by kiolalis
#Updated translation: Hungarian by lukacs
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by yamatt, nomoto, ngyuki
#Updated translation: Lithuanian by simasj
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Brazil) by mauriciofurtado, holch
#Updated translation: Serbian by MilaVeljovic
#Updated translation: Spanish (Chile) by jcarcamo
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Turkish by kayazeren

Changes from 2.05+ (build 141003) to 2.05+ (build 141020) Oct 20, 2014
-Fixed issue #9218: When adding conditions fields referring to the same token field (Carsten Schmitz)
-Fixed issue #9261: Emailstatus not filled by default when using remotecontrol invite_participants (Denis Chenu)
-Fixed issue #9266: Chinese and Japanese characters not suppoerted when using MS SQL Server (Carsten Schmitz)
-Fixed issue #9267: Error message when importing an survey archive having survey URL parameters (Carsten Schmitz)
-Fixed issue #9274: Uppercase database name leads to errors (Carsten Schmitz)
-Fixed issue #9278: Simple quote are replaced by HTML entities with HTML editor (Denis Chenu)
-Fixed issue #9281: Unable to use Expression Manager for mail notification (Denis Chenu)
-Fixed issue #9287: Missing asterisk in mandatory fields (Denis Chenu)
-Fixed issue #9293: Quotation marks in email subjects are stripped when saved to the database including all following text (Denis Chenu)
-Fixed issue #9298: Sort for a numeric token_attribute field in any participant table fails completely (Carsten Schmitz)
-Fixed issue #9300: XSS protection or variable substitution breaks links with variable substitutions (Denis Chenu)
-Fixed issue #9314: Error on PDF export w/ chinese content (mfaber)
#Updated translation: Croatian by rovinj, daniflo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by arnaud21
#Updated translation: German by actxcellence
#Updated translation: German (Informal) by actxcellence
#Updated translation: Greek by kiolalis
#Updated translation: Hungarian by lukacs
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Russian by vipgroup
#Updated translation: Slovenian by dusan
#Updated translation: Spanish (Spain) by caybar
#Updated translation: Swedish by maxzomborszki

Changes from 2.05+ (build 140915) to 2.05+ (build 141003) Oct 3, 2014
-Fixed issue #9181: When dumping database sometimes lines are left out (Carsten Schmitz)
-Fixed issue #9182: Data check integrity function uses too much memory if you have many surveys (Carsten Schmitz)
-Fixed issue #9225: Infite redirection loop with WebServer authentication (Denis Chenu)
-Fixed issue #9232: Error when calling list_participants and passing aAttributes array (Carsten Schmitz)
-Fixed issue #9233: list_participants delivers invalid token data (Carsten Schmitz)
-Fixed issue #9234: White page after save global settings if done just after auto-update (Carsten Schmitz)
-Fixed issue #9239: Wrong language used for Expresson Manager in printable version (Denis Chenu)
-Fixed issue #9240: Leading zeros removed during display for text (Denis Chenu)
-Fixed issue #9258: Quick translation broken ith valid KEY (Denis Chenu)
-Fixed issue #9259: slider min/max can be set as non-numeric, which then breaks survey (Denis Chenu)
-Fixed issue #9269: Unable to delete label set with urlFormat get (Denis Chenu)
-Fixed issue #9270: getallsets/ajaxsets issue when saving labelset (Denis Chenu)
-Fixed issue #9271: Array dual scale causes errors (Denis Chenu)
-Fixed issue: High memory usage on database backup procedure (Carsten Schmitz)
-Fixed issue: High memory usage on db upgrade from older versions (Carsten Schmitz)
-Fixed issue: PDF statistics cannot be shown (Carsten Schmitz)
-New feature: can use Expression Manager in slider min/max/step and default (Denis Chenu)
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by arnaud21, DenisChenu
#Updated translation: Georgian by Davitus
#Updated translation: German by c_schmitz, actxcellence
#Updated translation: German (Informal) by c_schmitz, actxcellence
#Updated translation: Greek by kiolalis
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by nomoto, yamatt
#Updated translation: Lithuanian by simasj
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Russian by vipgroup, ddrmoscow
#Updated translation: Spanish (Spain) by kadejo
#Updated translation: Swedish by maxzomborszki
#Updated translation: Turkish by kayazeren

Changes from 2.05+ (build 140911) to 2.05+ (build 140915) Sept 15, 2014
-New feature #8596: Allow empty dates for RemoteControl add_response call (Nate Baker)
-Fixed issue #8221: Update TCPDF to ver. 6.xx (Alain Bearez)
-Fixed issue #9031: get_summary does not return correct completed_responses (patch by ravindrakhokharia) (Carsten Schmitz)
-Fixed issue #9149: Enable token-based response persistence? lack of explanation (Denis Chenu)
-Fixed issue #9173: Only one record of same name/email can be added from CPDB to a token table (Carsten Schmitz)
-Fixed issue #9195: SPSS Export - Text answers are cut on export - wrong data types assigned (Carsten Schmitz)
-Fixed issue #9209: RemoteControl export_responses_by_token does not return all responses (Carsten Schmitz)
-Fixed issue #9220: Slider cannot be changed if decimal separator is comma and Slider accuracy is less than 1 (Denis Chenu)
-Fixed issue #9224: Confirmation emails not being sent if several email addresses are used in the token (Carsten Schmitz)
-Fixed issue #9229: Language switch in token form with urlFormat to get broken (Denis Chenu)
-Fixed issue #9231: Error when exporting survey archive (Carsten Schmitz)
#Updated translation: Czech by slansky, kubaj
#Updated translation: Czech (Informal) by slansky
#Updated translation: Finnish by morbid, hannikkala
#Updated translation: French (France) by arnaud21
#Updated translation: Indonesian by ysulistya
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Turkish by kayazeren

Changes from 2.05+ (build 140902) to 2.05+ (build 140911) Sept 11, 2014
-Fixed issue #9024: Unable to access attribute management (tpartner)
-Fixed issue #9047: Replacement field properties don't show up/bad layout (tpartner)
-Fixed issue #9132: Remote API won't work when using MSSQL dblib driver on Linux (Carsten Schmitz)
-Fixed issue #9140: Auto ID is not set properly when using Postgres and deactivating and reactivating the survey (Carsten Schmitz)
-Fixed issue #9140: Auto ID is not set properly when using Postgres and insert new id with VV import (Denis Chenu)
-Fixed issue #9140: No error message if data is not inserted on first page (Carsten Schmitz)
-Fixed issue #9152: CSV export of CPDB with additional attributes doesn't export attribute values properly (Carsten Schmitz)
-Fixed issue #9162: Pagination in CPDB panel not working (Carsten Schmitz)
-Fixed issue #9172: Sent invitations are not being marked as sent when a semi-colon exist in the email address field (Carsten Schmitz)
-Fixed issue #9174: OPTOUTURL from invitation email not working si EmailStatuts is not exactly on "OK" (Denis Chenu)
-Fixed issue #9181: When dumping database sometimes lines are left out (Carsten Schmitz)
-Fixed issue #9183: Template upload: "zip" is added to the templatename (Carsten Schmitz)
-Fixed issue #9185: End page doesn't display correctly if it contains only an image and no text (Carsten Schmitz)
-Fixed issue #9188: Array (Numbers) with Checkbox layout maximum/minimum answer validation not working if item was check and unchecked (Carsten Schmitz)
-Fixed issue #9196: Can't update a token response if the last group was hidden (Carsten Schmitz)
-Fixed issue #9199: JS error "showhelp is not defined" (Carsten Schmitz)
-Fixed issue #9200: Delete selected participants from CPDB does not allow to select a deletion mode (Carsten Schmitz)
-Fixed issue #9201: Possibility to perform XSS across email (Denis Chenu)
-Fixed issue #9208: RemoteControl function export_responses_by_token ignores completion status when several responses for the same token exist (Carsten Schmitz)
-Fixed issue #9210: ComfortUpdate not working if debug mode is activated (Carsten Schmitz)
-Fixed issue #9213: Resume on Multiple numerical input displays 10 trailing zeros after the decimal place (Denis Chenu)
-Fixed issue #9216: CPDB paging doesn't seem to be working properly (tpartner)
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by arnaud21
#Updated translation: German by actxcellence, c_schmitz, DLange
#Updated translation: German (Informal) by actxcellence
#Updated translation: Greek by kiolalis
#Updated translation: Indonesian by ysulistya
#Updated translation: Japanese by nomoto, yamatt
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Russian by vipgroup
#Updated translation: Spanish (Spain) by jigal
#Updated translation: Swedish by maxzomborszki
#Updated translation: Turkish by kayazeren

Changes from 2.05+ (build 140821) to 2.05+ (build 140902) Sept 2, 2014
-Fixed issue #9190 : reduce memory footprint for "Ranking" (R) type (Denis Chenu)
-Fixed issue: CSS being broken when loading email template for detailed admin notification (Carsten Schmitz)
-Fixed issue: Misuse of 'xml' as file extension for tab-separated-values format (vundicind)
-Fixed issue: Notification emails not being sent if spaces are preceding the email address (Carsten Schmitz)
-New feature: Add title on question list when exporting result (Denis Chenu)
-New feature: Default value for yes/no question type (kairavesloot)
-New translation: Kazakh 
#Updated translation: Arabic by sessid, safi00972
#Updated translation: Bulgarian by simid
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: Dutch by L191
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by arnaud21
#Updated translation: Greek by MikeConom, kiolalis
#Updated translation: Kazakh by c_schmitz
#Updated translation: Norwegian (Bokma) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Russian by ddrmoscow, vipgroup
#Updated translation: Spanish (Mexican) by c_schmitz
#Updated translation: Spanish (Spain) by aesteban
#Updated translation: Swedish by maxzomborszki
#Updated translation: Tamil by apmuthu

Changes from 2.05+ (build 140811) to 2.05+ (build 140821) Aug 21, 2014
-Fixed issue #9164: Error when adding participant to exported and imported survey (Carsten Schmitz)
-Fixed issue #9167: Small JS issue in survey browsing, public survey list and data entry (Carsten Schmitz)
-Fixed issue #9175: Feature "Allow multiple responses or update responses with one token" failed (Denis Chenu)
-Fixed issue #9177: Surveys with quote causing error in MSSQL (Denis Chenu)
-Fixed issue: Multiple question codes in array filter break printable version (Carsten Schmitz)
-Fixed issue: Vulnerability in installer (Carsten Schmitz)
#Updated translation: Finnish by morbid
#Updated translation: French (France) by arnaud21
#Updated translation: Georgian by giorgi
#Updated translation: Greek by kiolalis
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by yamatt
#Updated translation: Latvian by marcic, vipgroup, zemnieks
#Updated translation: Malay by qfirdaus
#Updated translation: Polish by elisa
#Updated translation: Russian by vipgroup
#Updated translation: Swedish by maxzomborszki
#Updated translation: Ukrainian by bkrupinski

Changes from 2.05+ (build 140730) to 2.05+ (build 140811) Aug 11, 2014
-Fixed issue #9101: I can not switch to a template with uppercase cahracter in template editor (Carsten Schmitz)
-Fixed issue #9122: User can view 'edit local settings' button even without access (Denis Chenu)
-Fixed issue #9153: Database dump tool not properly quoting all special chars (Carsten Schmitz)
-Fixed issue : HTML editor broke using < > ... in Expression (Denis Chenu)
-Fixed issue: Lost function convert_value() (weberho)
#Updated translation: Chinese (Hong Kong) (Traditional) by alviniun
#Updated translation: Chinese (Taiwan) (Traditional) by drawinglee
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by Han, L191
#Updated translation: Dutch (Informal) by Han
#Updated translation: Estonian by klaster, mariliis
#Updated translation: Finnish by morbid
#Updated translation: French (France) by tamacheq, arnaud21, DenisChenu
#Updated translation: Greek by kiolalis
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by yamatt
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Russian by vipgroup
#Updated translation: Thai by bordin
#Updated translation: Turkish by kayazeren

Changes from 2.05+ (build 140717) to 2.05+ (build 140730) Jul 30, 2014
-Fixed issue #9052: Importing old .csv survey structure file does not properly import quotas (Carsten Schmitz)
-Fixed issue #9100: ComfortUpdate step 2 shows absolute file paths (Carsten Schmitz)
-Fixed issue #9105: Unable to open popup email for administrator in French (Carsten Schmitz)
-Fixed issue #9115: Chrome has a bug which causes slider layouts not to be styled properly redraw (Carsten Schmitz)
-Fixed issue #9120: Migration issue from 1.90 to 2.05 when using Postgres (Carsten Schmitz)
-Fixed issue #9138: Sending multiple invitations, reminders to the same token (Carsten Schmitz)
-Fixed issue #9143: Comfort update backups have different extensions (Carsten Schmitz)
-Fixed issue #9147: Deprecated notice on PHP 5.5 when emailing invitations (Carsten Schmitz)
-Fixed issue : Quota with unrelevant question and default value are true even if question is unrelevant (Denis Chenu)
-Fixed issue : Unable to save a survey again after reload a survey (Denis Chenu)
-Fixed issue: XAMPP package not properly installing the database (Carsten Schmitz)
#Updated translation: Chinese (Taiwan) (Traditional) by drawinglee
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by Han, L191
#Updated translation: Dutch (Informal) by Han
#Updated translation: Finnish by morbid
#Updated translation: French (France) by arnaud21, DenisChenu, JMI
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Greek by kiolalis
#Updated translation: Hungarian by aron
#Updated translation: Japanese by nomoto, yamatt
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Russian by vipgroup
#Updated translation: Swedish by maxzomborszki

Changes from 2.05+ (build 140703) to 2.05+ (build 140717) Jul 17, 2014
-Fixed issue #7895: Quota are not tested for hidden question (relevance to 1) (Denis Chenu)
-Fixed issue #8906: Long URI with autofilter (Denis Chenu)
-Fixed issue #9126: Survey's token and EM variables aren't set when exporting printing results view to PDF format. (Denis Chenu)
-Fixed issue #9128: Using screen readers JAWS and NVDA, image menu are unreadable (Denis Chenu)
-Fixed issue #9134: Database error when trying to reload survey data (Denis Chenu)
-Fixed issue #9141: No file can be uploaded if Max number of files is not set (Denis Chenu)
-Fixed issue: Tip before tooltip on footer manual link (Denis Chenu)
-Fixed issue: Unable to enter some date without datepicker (Denis Chenu)
-Fixed issue: XSS in label management and use (Denis Chenu)
-New feature #9066: afterSurveyComplete aren't call from Quota : afterSurveyQuota (Denis Chenu)
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by Han, L191
#Updated translation: Dutch (Informal) by Han
#Updated translation: Finnish by morbid
#Updated translation: French (France) by arnaud21, ipwnin3D
#Updated translation: German (Informal) by DLange
#Updated translation: Greek by kiolalis
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Polish by elisa
#Updated translation: Russian by vipgroup, ddrmoscow
#Updated translation: Swedish by ipwnin3D
#Updated translation: Swedish by sofve
#Updated translation: Thai by adzpire
#Updated translation: Turkish by kayazeren

Changes from 2.05+ (build 140618) to 2.05+ (build 140703) Jul 3, 2014
-Fixed issue #8028: File upload dialog function can be updated (Denis Chenu)
-Fixed issue #9001: Gramar error in validation message (Carsten Schmitz)
-Fixed issue #9071: Language switch not working when using move previous (Denis Chenu)
-Fixed issue #9105: Unable to open popup email editor in French (Carsten Schmitz)
-Fixed issue #9117: Array dual scale (dropdown) question : First answer is allways selected if don't show no answer (Denis Chenu)
-Fixed issue #9127: Invalid quota broke quota view (Denis Chenu)
-Fixed issue: Asterisks in global settings not visible for fixed settings (Carsten Schmitz)
-Fixed issue: Miscalculation of completed quota for Multi Question type (Denis Chenu)
-Fixed issue: Missing translation in token send email process (Denis Chenu)
-Fixed issue: Search parameter vulnerability in CPDB (Carsten Schmitz)
-Fixed issue: Untranslated text in multitext array question sum function (Carsten Schmitz)
-Fixed issue: Vulnerable parameter on survey resume (Carsten Schmitz)
-Fixed issue: XSS reflection in CPDB and global settings (Carsten Schmitz)
-New feature : use shortest url with urlFormat path (Denis Chenu)
#Updated translation: Albanian by florianika
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by Han, L191
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by DenisChenu, arnaud21
#Updated translation: German by c_schmitz, DLange
#Updated translation: German (Informal) by c_schmitz, DLange
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by nomoto, yamatt
#Updated translation: Malay by astrasia
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Brazil) by mauriciofurtado, rhnascimento
#Updated translation: Romanian by Borgie
#Updated translation: Romanian by filipguttman, Borgie
#Updated translation: Russian by vipgroup
#Updated translation: Tamil by apmuthu
#Updated translation: Thai by adzpire
#Updated translation: Turkish by kayazeren

Changes from 2.05+ (build 140612) to 2.05+ (build 140618) Jun 18, 2014
-Fixed issue #9025: Error showing pie chart in statistics when using MS SQL server (Carsten Schmitz)
-Fixed issue #9050: Template permissions for a user are lost after global permissions are saved (Carsten Schmitz)
-Fixed issue #9077: CSS issue with Basic template when using Array filter (tpartner)
-Fixed issue #9085: Vulnerable third party jQuery scripts (Carsten Schmitz)
-Fixed issue #9087: XSS vulnerability (Carsten Schmitz)
-Fixed issue #9088 : moduser is not filtered (Denis Chenu)
-Fixed issue #9089: Mixed content in statistics (Carsten Schmitz)
-Fixed issue #9090: Valid IDNA e-mail address is considered incorrect (Carsten Schmitz)
-Fixed issue #9091 : navigation_test not filtered (Denis Chenu)
-Fixed issue #9092 : lang is not filtered in personnal settings (Denis Chenu)
-Fixed issue: Allow to use multiple email in same equation for notification (Denis Chenu)
-Fixed issue: auth_webserver_autocreate_user option not properly setting template permission (Carsten Schmitz)
-Fixed issue: TOKEN: replaced by empty string (Denis Chenu)
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by theej, Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Estonian by klaster
#Updated translation: French (France) by arnaud21
#Updated translation: German by metaworx, mfaber
#Updated translation: German (Informal) by metaworx
#Updated translation: Greek by kiolalis
#Updated translation: Italian by metaworx, lfanfoni
#Updated translation: Italian (Informal) by metaworx, lfanfoni
#Updated translation: Japanese by yamatt, nomoto
#Updated translation: Malay by astrasia
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Brazil) by rhnascimento, mauriciofurtado
#Updated translation: Thai by adzpire

Changes from 2.05+ (build 140611) to 2.05+ (build 140612) Jun 12, 2014
Fixed issue #9064: Blank page/error on step 4 when updating from version 2.0

Changes from 2.05+ (build 140520) to 2.05+ (build 140611) June 11, 2014
-Fixed issue #8302: Long strings truncated in stata-xml (mfaber)
-Fixed issue #8462 : Unable to import contacts into Central Participant Database (Denis Chenu)
-Fixed issue #9039: Custom tokenfields missing in Stata-xml export (mfaber)
-Fixed issue #9041: Blacklist setting have no effect (Carsten Schmitz)
-Fixed issue #9062: token table error if TOKEN:ATTRIBUTE is used (Denis Chenu)
-Fixed issue #9064: Blank page/error on step 4 when updating from version 2.0 (Carsten Schmitz)
-Fixed issue #9071: Language switch not working (Denis Chenu)
-Fixed issue #9073: Data entered in quotation marks disappears in multiple text question type (Carsten Schmitz)
-Fixed issue #9078: CSV export of particiapnt DB can make invalid CSV file (Denis Chenu)
-Fixed issue: Added a hint next to the XSS filter setting to underline that it is always disabled for the superadministrator. (Alexis Bezverkhyy)
-Fixed issue: Participant import not not working (Carsten Schmitz)
-Fixed issue: Some legal filename characters like dashes were not allowed in template names. (Alexis Bezverkhyy)
-Fixed issue: Upload button not working (Carsten Schmitz)
-Updated feature: Display different error messages for different token related errors. (Alexis Bezverkhyy)
#Updated translation: Albanian by c_schmitz
#Updated translation: Catalan by valdomir
#Updated translation: Croatian by Apach3, buzadovec, rovinj
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Finnish by Matti
#Updated translation: French (France) by arnaud21
#Updated translation: Georgian by larisa, c_schmitz
#Updated translation: German by c_schmitz, hermann, actxcellence
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Greek by kiolalis
#Updated translation: Indonesian by ysulistya
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by yamatt, nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Brazil) by dariodallago, rhnascimento, mauriciofurtado
#Updated translation: Romanian by c_ionut2002
#Updated translation: Russian by vipgroup
#Updated translation: Slovak by Union
#Updated translation: Spanish (Mexican) by rhernandez
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki
#Updated translation: Thai by heartjavac, adzpire
#Updated translation: Turkish by kayazeren
#Updated translation: Vietnamese by vietguitar

Changes from 2.05+ (build 140502) to 2.05+ (build 140520) May 20, 2014
-Fixed issue #8722: Template format Errorwith multicolumn checkboxes and radio buttons (Denis Chenu)
-Fixed issue #8973: Editing attributes not properly working (tpartner)
-Fixed issue #8996: Retrieving list of participants with additional token information not possible (Carsten Schmitz)
-Fixed issue #9019: EM placeholders within label sets are not copied correctly (Carsten Schmitz)
-Fixed issue #9024: Unable to access attribute management (Carsten Schmitz)
-Fixed issue #9032: Permissions not enforced on template editor (Carsten Schmitz)
-Fixed issue #9034: Authentication with blank password using LDAP (mfaber)
-Fixed issue #9035: LDAP-search and bind not working with MS ActiveDirectory (mfaber)
-Fixed issue #9037: Survey import from TSV file fails with PDOException (Carsten Schmitz)
-Fixed issue #9041: Blacklist setting have no effect (Carsten Schmitz)
-Fixed issue #9042: CSS vulnerability in 'Resume later' save screen (Carsten Schmitz)
-Fixed issue: Error with templates when upgrading from version 1.90 (Carsten Schmitz)
-New feature: Option to prefill credentials in demo mode (Carsten Schmitz)
#Updated translation: Catalan by jmontane, valdomir
#Updated translation: Catalan by valdomir
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: Czech by slansky
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Finnish by shrike
#Updated translation: French (France) by arnaud21
#Updated translation: German by Mazi
#Updated translation: Greek by kiolalis
#Updated translation: Japanese by nomoto
#Updated translation: Japanese by yamatt
#Updated translation: Lithuanian by apklausos, simasj
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Brazil) by dariodallago, fabiomachado, helviobrito, mauriciofurtado
#Updated translation: Portuguese (Portugal) by algarvio, samarta
#Updated translation: Russian by vipgroup
#Updated translation: Serbian by MilaVeljovic
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki
#Updated translation: Ukrainian by Rusya, c_schmitz


Changes from 2.05+ (build 140422) to 2.05+ (build 140502) May 02, 2014
-Changed feature: Added xslx and docx to allowed file extensions for resources (Carsten Schmitz)
-Fixed issue #8997: XAMPP installer not working (Sam Mousa)
-Fixed issue #9004: Cannot create new attributes with participant CSV import (Carsten Schmitz)
-Fixed issue #9007: Crash when an user wants to create a new survey (Carsten Schmitz)
-Fixed issue #9008: RPC call to export_statistics works only if you are the owner of the survey (Carsten Schmitz)
-Fixed issue #9009: Unchecking "Allow this user to edit these participants" creates shares with edit privleges (Carsten Schmitz)
-Fixed issue #9010: Survey list no longer reads "No active surveys" (Carsten Schmitz)
-Fixed issue #9015: Wrong quote escaping for translated text in file upload processing (Carsten Schmitz)
-Fixed issue #9016: Redundant "File count" text before actual value displayed in response records (Carsten Schmitz)
-Fixed issue: SQLSRV database type not supported for install command (Carsten Schmitz)
#Updated translation: Arabic by sessid
#Updated translation: Catalan by jmontane, valdomir
#Updated translation: Dutch by jurjenn, Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Lithuanian by simasj
#Updated translation: Romanian by christianC, filipguttman
#Updated translation: Serbian by zlukovic, MilaVeljovic

Changes from 2.05+ (build 140414) to 2.05+ (build 140422) Apr 22, 2014
-Fixed issue #8513: ERROR: Invalid last group timing fieldname when reactivating a modified survey and using timings (Carsten Schmitz)
-Fixed issue #8938: Showing inline text of text fields throws JS/AJAX error (Carsten Schmitz)
-Fixed issue #8967: Unable to map paticipant attributes to "Token attributes to create" when adding participants to survey (Carsten Schmitz)
-Fixed issue #8968: Survey cannot be printed if invalid array filter is set (Carsten Schmitz)
-Fixed issue #8972: Currently only an administrator can save the link target in new window (_blank) (Carsten Schmitz)
-Fixed issue #8974: Cannot use ComfortUpdate if OpenSSL extension not installed on webserver (Carsten Schmitz)
-Fixed issue #8975: R data exported without a header (Carsten Schmitz)
-Fixed issue #8977: Token import marks valid IDN email addresses as invalid (Carsten Schmitz)
-Fixed issue #8982: Missing translation during installation (Carsten Schmitz)
#Updated translation: Albanian by florianika
#Updated translation: French (France) by arnaud21, jkurz
#Updated translation: Hungarian by lukacs
#Updated translation: Papiamento (Curaçao and Bonaire) by indigoblueconsult
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Portugal) by cmcsilvaster, PauloJFMartins, samarta
#Updated translation: Romanian by christianC, filipguttman

Changes from 2.05+ (build 140404) to 2.05+ (build 140414) Apr 14, 2014
-New feature #8659: Configurable proxy for ComfortUpdate (mfaber)
-Fixed issue #8908: Javascript error in import tokens page (Carsten Schmitz)
-Fixed issue #8925: Exporting a filtered list results in SQL error (Carsten Schmitz)
-Fixed issue #8926: Add filtered participants to a survey adds ALL participants to the survey (Carsten Schmitz)
-Fixed issue #8945: Only a super administrator can manage user groups (Carsten Schmitz)
-Fixed issue #8955: YearRange for date picker not set (mfaber)
-Fixed issue #8960: Proper installation fails if db password contains certain characters (Carsten Schmitz)
-Fixed issue: Files with spaces cannot be attached to email templates (Carsten Schmitz)
#Updated translation: Basque by ikt
#Updated translation: Chinese (Hong Kong) (Traditional) by achan
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Estonian by klaster
#Updated translation: German by c_schmitz
#Updated translation: Greek by kiolalis
#Updated translation: Greek by kiolalis, christof75, theseek3r
#Updated translation: Japanese by yamatt
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Papiamento (Curaçao and Bonaire) by indigoblueconsult
#Updated translation: Polish by elisa
#Updated translation: Russian by vipgroup
#Updated translation: Swedish by maxzomborszki
#Updated translation: Ukrainian by Rusya, kuzenka167

Changes from 2.05+ (build 140320) to 2.05+ (build 140404) Apr 04, 2014
-Fixed issue #8784: get_summary RPC routine only delivering one value at a time (Carsten Schmitz)
-Fixed issue #8856: It should not add the datatype tag for the key value which breakes response when converted to array (ravindrakhokharia)
-Fixed issue #8857: Fixed issue of type casting and return number value (ravindrakhokharia)
-Fixed issue #8878: Cell width faulty in Array 10 point question type (Carsten Schmitz)
-Fixed issue #8887: Question text and help : unable to use html entities of < and > for admin (Denis Chenu)
-Fixed issue #8890: Automatic fill of answer code removes 1st character (Carsten Schmitz)
-Fixed issue #8892: Missing translation (Carsten Schmitz)
-Fixed issue #8893: Missing translation (Carsten Schmitz)
-Fixed issue #8894: Error when importing an invalid file (Carsten Schmitz)
-Fixed issue #8895: Missing translation (Carsten Schmitz)
-Fixed issue #8896: JS file inclusion missing in template editor preview of startpage.pstpl (Carsten Schmitz)
-Fixed issue #8899: When importing token data from CSV file the invitation date is ignored (Denis Chenu)
-Fixed issue #8902: CPD Editing shared Participants results in duplicates (Carsten Schmitz)
-Fixed issue #8903: Error when sharing an already shared participant (Carsten Schmitz)
-Fixed issue #8910: Fixed added to output/render output of file data, using render routine of Bigfile class (ravindrakhokharia)
-Fixed issue #8914: Allow to click next/submit more than once (Denis Chenu)
-Fixed issue #8917: Error in R Export plugin (Menno Dekker)
-Fixed issue #8917: Error in R Export plugin - patch by peterhol (Carsten Schmitz)
-Fixed issue #8918: Paticipant responses contain only question marks (Carsten Schmitz)
-Fixed issue #8922: KCFinder CSRF not always working (Menno Dekker)
-Fixed issue #8923: Survey logic file for group : don't show relevance of Questions (Denis Chenu)
-Fixed issue: Absolute URL for assets may cause HTTPS mixed content error (Carsten Schmitz)
-Fixed issue: During vv export, output data was buffered and lead to out of memory errors when exporting large quantities of answers. (Alexis Bezverkhyy)
-Fixed issue: Question index activated on update (Carsten Schmitz)
-Fixed issue: Unable to redisplay duplcate token attribute (Denis Chenu)
-New translation: Added Papiamento (pap-AW and pap-CW) (Ace Suares)
#Updated translation: Albanian by lulzimavdiu
#Updated translation: Armenian by Satenik
#Updated translation: Catalan by valdomir
#Updated translation: Chinese (Hong Kong) (Traditional) by superleo888
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by arnaud21
#Updated translation: German by Mazi, c_schmitz
#Updated translation: German (Informal) by senden9, c_schmitz
#Updated translation: Greek by kiolalis
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by mzzvtr, lfanfoni
#Updated translation: Japanese by yamatt, nomoto
#Updated translation: Latvian by vipgroup, marcic
#Updated translation: Malay by apisznasdin, betakerotin
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Papiamento (Curacao and Bonaire) by indigoblueconsult
#Updated translation: Polish by elisa
#Updated translation: Russian by ddrmoscow, vipgroup
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki
#Updated translation: Thai by adzpire
#Updated translation: Turkish by kayazeren
#Updated translation: Welsh by c_schmitz

Changes from 2.05+ (build 140317) to 2.05+ (build 140320) Mar 20, 2014
-Fixed issue #8807: When the AuditLog plugin is active, you can't add a Participant in the central participant database (Menno Dekker)
-Fixed issue #8868: AuditLog plugin : Can't create/delete user (Menno Dekker)
-Fixed issue #8500: Example surveys not properly importing (Thomas White)
-Fixed issue #8797: Error 500 when searching for Attribute Field content in CPDB (Carsten Schmitz)
-Fixed issue #8804: Unable to set advanced settings (Sam Mousa)
-Fixed issue #8805: CSS styles needed in load/save forms (tpartner)
-Fixed issue #8814: Multiple numeric input limit with big integer values (Carsten Schmitz)
-Fixed issue #8821: Sending reminders process does not clearly indicate to user when it is complete (Carsten Schmitz)
-Fixed issue #8833: RemoteControl activate_tokens throws error but action is done using imported survey (Carsten Schmitz)
-Fixed issue #8842: Survey template reverts back to default when user don't have read access to actual template (Denis Chenu)
-Fixed issue #8843: Overflow in dragdrop box (Denis Chenu)
-Fixed issue #8844: Double import of the same question produce a fatal error (Carsten Schmitz)
-Fixed issue #8846: "Resume later" button unavailable when reloading a survey after using this button (Denis Chenu)
-Fixed issue #8847: Viewing quotas after having de-activated a survey shows internal server error (Carsten Schmitz)
-Fixed issue #8852: If server upload maxfilesize < upload question maxfilesize, then the maxsize reported to users is incorrect (Carsten Schmitz)
-Fixed issue #8860: String Splitter and Tokenizer tests in GUI available and failing (Carsten Schmitz)
-Fixed issue #8861: Template name is forgotten after template rename (Carsten Schmitz)
-Fixed issue #8869: Empty data in "R-data" export (Menno Dekker)
-Fixed issue #8873: csv export for participants fails if "all attributes" entry is selected (Carsten Schmitz)
-Fixed issue #8875: 'No answer' not available in Dual Scale dropdown even when 'No answer' is set to show (Carsten Schmitz)
-Fixed issue #8876: Print answers shows fatal error if session expired (Carsten Schmitz)
-Fixed issue: Error on survey archive import (Carsten Schmitz)
-Fixed issue: Problems running DB update when updating from 1.92/1.90 using MSSQL (Carsten Schmitz)
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: German (Informal) by actxcellence
#Updated translation: Polish by elisa
#Updated translation: Russian by vipgroup
#Updated translation: Spanish (Mexican) by mike
#Updated translation: Thai by adzpire

Changes from 2.05+ (build 140302) to 2.05+ (build 140317) Mar 17, 2014
-Fixed issue #8738: Upgrading with webserver auth from 2.00+ to 2.05+ does not enable authwebserver plugin (Menno Dekker)
-Fixed issue #8799: Administration login using a link with one time password (Menno Dekker)
-Fixed issue #8813: Failed Login Attempt locks out all users when behind nginx proxy - doesn't use sIPAddress (Menno Dekker)
-Fixed issue #8838: The "Access" filter in the administration surveylist only works in English (Thibault Le Meur)
-Fixed issue #8600: some wrong sized buttons while editing plugin settings (Menno Dekker)
-fixed issue #8818: XSS security enable : Comparison operators (< and >) get converted to HTML-entities in expressions in questions (Denis Chenu)
-Fixed issue #7703: results not saved when rel eq contains errors (mfaber)
-Fixed issue #8746: CPDB Attribute Type Dropdown is... broken (tpartner)
-Fixed issue #8764: Token search criteria take only 2 criteria (Denis Chenu)
-Fixed issue #8790: missing translation in token filter (Denis Chenu)
-Fixed issue #8791: Two identical filter criteria in token tabl (Carsten Schmitz)
-Fixed issue #8792: Missing translation (Carsten Schmitz)
-Fixed issue #8794: False token produces irritating/wrong error message (Carsten Schmitz)
-Fixed issue #8795: Unable to create or import survey after new installation and using MSSQL from Linux (Carsten Schmitz)
-Fixed issue #8798: Editing a dropdown attribute value deletes everything but the first word (tpartner)
-Fixed issue #8799: One time passwords not working (Carsten Schmitz)
-Fixed issue #8800: Small translation fix (Carsten Schmitz)
-Fixed issue #8802: Participants with long email addresses aren't added to the CPDB (Carsten Schmitz)
-Fixed issue #8810: When importing a question entering a question code is required which doesn't make sense (Denis Chenu)
-Fixed issue #8812: Email attachments configuration is not saved (Carsten Schmitz)
-Fixed issue #8829: Questions with errors in relevance equations are hidden (mfaber)
-Fixed issue #8847: Viewing quotas after having de-activated a survey shows internal server error. (Denis Chenu)
-Fixed issue #8848: Quota end text are not XSS filtered (Denis Chenu)
-Fixed issue: First language in quota edit is not the base survey language (Denis Chenu)
#Updated translation: Catalan by valdomir
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by arnaud21
#Updated translation: French (France) by arnaud21, TGorbunovaEspace
#Updated translation: German by actxcellence
#Updated translation: German (Informal) by mfaber, actxcellence
#Updated translation: Greek by kiolalis
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Latvian by vipgroup, marcic
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Persian by farin
#Updated translation: Polish by elisa
#Updated translation: Russian by ddrmoscow, vipgroup
#Updated translation: Russian by ldemeschew, vipgroup
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki
#Updated translation: Turkish by kayazeren

Changes from 2.05+ (build 140226) to 2.05+ (build 140302) Mar 2, 2014
-Fixed issue #8763: Small display issue response summary (Carsten Schmitz)
-Fixed issue #8767: Users with missing optional attributes dropped silently when importing into Participant database (Carsten Schmitz)
-Fixed issue #8768: Error when no csv file selected on CPDB import (Carsten Schmitz)
-Fixed issue #8769: Optout and Optin controller show part of the admin template (Carsten Schmitz)
-Fixed issue #8770: Wrong labels in statiscs chart (Carsten Schmitz)
-Fixed issue #8775: Misleading error message when attempting to re-take a closed survey (Carsten Schmitz)
-Fixed issue #8777: Error when mapping participant attributes to new token attributes adn using MSSQL (Carsten Schmitz)
-Fixed issue #8778: 2.05+ install crashes when using MSSQL connecting from Linux (Carsten Schmitz)
-Fixed issue #8781: Inconsistent report from email bounce processing (Carsten Schmitz)
-Fixed issue #8782: "Option 'Other'" for multiple choice is not 508 compliant (Denis Chenu)
-Fixed issue #8783: The main container form is not 508 compliant (Denis Chenu)
-Fixed issue #8784: get_summary RPC routine only delivering one value at a time (Carsten Schmitz)
-Fixed issue #8785: Repeated questions when choosing "All in One" (Build 140226 ) (Denis Chenu)
-Fixed issue #8786: Errors when updating from 2.0 and using MSSQL (Carsten Schmitz)
-Fixed issue #8787: Timezone problem w/ minmax date in datepicker (mfaber)
-Fixed issue #8788: Notice in LSYii_Application.php is config.php don't have debug and server error log is set to E_ALL (Denis Chenu)
-Fixed issue : Bad link for update information (Denis Chenu)
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: French (France) by arnaud21, DenisChenu, TGorbunovaEspace
#Updated translation: German by mfaber, c_schmitz
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by yamatt
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Persian by ehsan, ardalan, farin
#Updated translation: Polish by elisa, bustamante
#Updated translation: Russian by ddrmoscow, vipgroup
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki

Changes from 2.05+ (build 140217) to 2.05+ (build 140226) Feb 26, 2014
-Fixed issue #8756: Missing translations on browse responses (Denis Chenu)
-Fixed issue #8224: Incomplete dates (dropdown mode) are recorded as missing (mfaber)
-Fixed issue #8526: Blank screen if minimum PHP version requirement is not met (Carsten Schmitz)
-Fixed issue #8526: No information if installation broke (Denis Chenu)
-Fixed issue #8670: Screen to import responses from a de-activated survey is messed up (Sam Mousa)
-Fixed issue #8683: Unique custom token values fail to merge in invite/reminder emails (Denis Chenu)
-Fixed issue #8686: HTML popup editor not working in email templates (Carsten Schmitz)
-Fixed issue #8686: line feed trouble when translating e.g. mail templates in translation system (tpartner)
-Fixed issue #8688: Missing translations when using KCFinder (Carsten Schmitz)
-Fixed issue #8730: Allways take default language radix separator for all s (Denis Chenu)
-Fixed issue #8734: Missing translation when exporting participants from CPDB grid (Carsten Schmitz)
-Fixed issue #8735: "Exit and clear survey" button text is a link <a> which adopts the <a> CSS-style (color) (Denis Chenu)
-Fixed issue #8735: "Exit and clear survey" css style for shiped template (Denis Chenu)
-Fixed issue #8739: Expiry date is ignored when importing LSA file (Carsten Schmitz)
-Fixed issue #8740, #8741: Stored XSS (Denis Chenu)
-Fixed issue #8742: CDbCommand failed error when using times and certain locales (Carsten Schmitz)
-Fixed issue #8744: Can not add option values to drop-down attribute fields in CPDB (Carsten Schmitz)
-Fixed issue #8749: Attribute time_limit broken (with action : move without warning) (Denis Chenu)
-Fixed issue #8753: Token list columns are all centered (Carsten Schmitz)
-Fixed issue #8755: Summary of sending invitations looks bad (Carsten Schmitz)
-Fixed issue #8762: Invitations are sent even if no row was selected in token grid (Carsten Schmitz)
-Fixed issue: Export selection show empty line with utf8 caracters (Denis Chenu)
-Fixed issue: Notice when importing a TSV survey file (Carsten Schmitz)
-Fixed issue: RTL issues in administration (Carsten Schmitz)
#Updated translation: Albanian by lulzimavdiu
#Updated translation: Catalan by valdomir
#Updated translation: Czech by slansky
#Updated translation: Czech (Informal) by slansky
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Estonian by klaster
#Updated translation: Finnish by zas
#Updated translation: French (France) by arnaud21
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by olif, lfanfoni
#Updated translation: Malay by apisznasdin
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Persian by blackeve, ardalan, ehsan
#Updated translation: Polish by bustamante, elisa
#Updated translation: Russian by ddrmoscow, vipgroup
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki

Changes from 2.05+ (build 140216) to 2.05+ (build 140217) Feb 16, 2014
-Fixed issue: ComfortUpdate not unzipping the update file

Changes from 2.05+ (build 140212) to 2.05+ (build 140216) Feb 16, 2014
-Fixed issue #8718: Adding subquestions to multilingual survey causes database inconsistency - patch by Adam Zammit (Carsten Schmitz)
-Fixed issue #8252: The temporary path for PCLZIP is not properly set (Carsten Schmitz)
-Fixed issue #8623: preview image of "multiple numeric" question type is not hidden after choosing (tpartner)
-Fixed issue #8686: Defaults email template texts not working with HTML templates (Carsten Schmitz)
-Fixed issue #8693: When using non-numeric answer codes Limesurvey automatically adds non-unique follow up codes (Carsten Schmitz)
-fixed issue #8703: Owner of a survey have no rigth on this survey (Denis Chenu)
-Fixed issue #8708: Dual scale dropdown not displaying scale 2 answers on Previous or after resuming later (Carsten Schmitz)
-Fixed issue #8709: Missing translation in CPDB table filter (Carsten Schmitz)
-Fixed issue #8712: No confirmation email is sent if uses_left>1 (Carsten Schmitz)
-Fixed issue #8713: Assessment values are not copied when copying a question (Carsten Schmitz)
-Fixed issue #8715: CDbCommand error when importing broken VV file (Denis Chenu)
-Fixed issue #8716: do not clear custom token attribute data when removing a token table (Alexis Bezverkhyy)
-Fixed issue #8723: Public statistics link not properly working (Carsten Schmitz)
-Fixed issue: Questionindex setting not imported (Carsten Schmitz)
#Updated translation: Albanian by florianika
#Updated translation: Catalan by valdomir
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by FabienC, arnaud21
#Updated translation: German by c_schmitz
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Korean by cloudgarden
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Russian by ddrmoscow, vipgroup
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki
#Updated translation: Tagalog by avevengers, arriz08, lolskidoodles
#Updated translation: Tamil by apmuthu

Changes from 2.05+ (build 140204) to 2.05+ (build 140212) Feb 12, 2014
-Fixed issue #8676: Adding answer options impossible in IE9 (Denis Chenu)
-Fixed issue #8500: Example surveys not properly importing (Carsten Schmitz)
-Fixed issue #8601: Missing translations in survey list filter (Carsten Schmitz)
-Fixed issue #8629: The template.js file is now placed in the <body> (Sam Mousa)
-Fixed issue #8661: Major security issues, allow acces to restricted files (Denis Chenu)
-Fixed issue #8662: Missing translation (Carsten Schmitz)
-Fixed issue #8665: Mandatory multiple numeric dont work with filtering attribute (Denis Chenu)
-Fixed issue #8666: List (dropdown) set of subsequent questions different (Carsten Schmitz)
-Fixed issue #8669: Validation of incomplete dates (mfaber)
-Fixed issue #8675: Migration issue from 1.90 to 2.05 if using Postgres - patch by atisne (Carsten Schmitz)
-Fixed issue #8677: Submitdate and datestamp are always the same as startdate (Denis Chenu)
-Fixed issue #8679: IPInfoDB geolocation slow/not working (Carsten Schmitz)
-Fixed issue #8681: Email from data entry "save for further completion" sends broken link (Carsten Schmitz)
-Fixed issue #8682: Force SSL fails when HTTPS not directly handled by web server - patch by leexxx (Carsten Schmitz)
-Fixed issue #8683: Unique custom token values fail to merge in invite/reminder emails (Carsten Schmitz)
-Fixed issue #8684: Allow maxdate > year 2038 (mfaber)
-Fixed issue #8687: Wrong date format displayed when browsing responses (Carsten Schmitz)
-Fixed issue #8689: Align of check boxes (survey permissions) (tpartner)
-Fixed issue #8692: Saving subquestion codes starting with a number not possible (Carsten Schmitz)
-Fixed issue #8694: Unable to save attribute field caption in token attribute management (Carsten Schmitz)
-Fixed issue #8695: Exception when creating a new attribute in token (Carsten Schmitz)
-Fixed issue #8699: When sending HTML invitations via RemoteControl {SURVEYURL} isn't properly tagges as link (Carsten Schmitz)
#Updated translation: Catalan by valdomir
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Estonian by klaster
#Updated translation: French (France) by arnaud21
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by yamatt, nomoto
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Brazil) by gabrielcavalari
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki

Changes from 2.05+ (build 140131) to 2.05+ (build 140204) Feb 04, 2014
-Fixed issue #8634: Resuming a saved survey goes to wrong page (Menno Dekker)
-Fixed issue #8655: RemoteControl 2 API fails to validate session key on Postgre (Carsten Schmitz)
-Fixed issue #8496: Undefined attributes in Central Participant Database (tpartner)
-Fixed issue #7131: Response table shows only a fraction of question (Denis Chenu)
-Fixed issue #8510: Survey import/copy not working (Carsten Schmitz)
-Fixed issue #8558: Clean up interface for mapping attributes when imorting into CPDB (tpartner)
-Fixed issue #8584: Data loss when importing .lsa files (Carsten Schmitz)
-Fixed issue #8593: Existing surveys not using time difference setting for timestamps (Carsten Schmitz)
-Fixed issue #8598: incorrect alphabetically sort of surveys in list (tpartner)
-Fixed issue #8601: Missing translations in survey list filter (Carsten Schmitz)
-Fixed issue #8602: Missing translation in participants panel (Carsten Schmitz)
-Fixed issue #8604: Missing translation in CPDB grid (Carsten Schmitz)
-Fixed issue #8614: Error during upgrade vom 2.00 to 2.05 when using Postgres (Carsten Schmitz)
-Fixed issue #8617: Array dual scale not use {QID} (Denis Chenu)
-Fixed issue #8618: Missing translation when mapping CPDB attributes (Carsten Schmitz)
-Fixed issue #8619: List (dropdown) set of subsequent questions different (Carsten Schmitz)
-Fixed issue #8620: XAMPP installation doesn't allow login (Carsten Schmitz)
-Fixed issue #8622: Inputs for username and password not appearing in login mask when using Postgres (Carsten Schmitz)
-Fixed issue #8631: Array/matrix question in dropdown presentation does not show "Please choose..." anymore (Carsten Schmitz)
-Fixed issue #8636: Deactivate IE compatibility view on Admin and public template (Denis Chenu)
-Fixed issue #8638: .csv survey import does not work (Carsten Schmitz)
-Fixed issue #8644: Incomplete display of adv. attributes containing single quotes (mfaber)
-Fixed issue #8649: Incorrect response when trying to invoke get_session_key method via remotecontrol and using MSSQL (Carsten Schmitz)
-Fixed issue #8651: Incorrect validation msg. with mandatory quesstions and maxdate (mfaber)
-Fixed issue #8654: Using {GID} in group description return allways 0 (Denis Chenu)
-Fixed issue #8656: OPTOUTURL from invitation email not working (Carsten Schmitz)
-Fixed issue #8658: get_participant_properties RemoteControl API function returns incorrect response (Carsten Schmitz)
-Fixed issue: Lang javascript in browse responses (Denis Chenu)
-Fixed issue: Use the right terms for exported survey responses (Alexis Bezverkhyy)
#Updated translation: Armenian by Satenik
#Updated translation: Catalan by valdomir
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: French (France) by arnaud21
#Updated translation: Greek by kiolalis
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Latvian by marcic
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki

Changes from 2.05+ (build 140125) to 2.05+ (build 140131) Jan 31, 2014
-New feature: Validate uniqueness of question code before submit (Denis Chenu)
-Fixed #8125: SPSS Export SDATE Date Problem (Menno Dekker)
-Fixed issue #8548: Attachments Fail To Carry Over To Token Invitation (Sam Mousa)
-Fixed issue #8573: Surveylist does not show translated survey titles (Sam Mousa)
-Fixed issue #8577: XXE in survey import (Carsten Schmitz)
-Fixed issue #8579: Stored XSS in File upload (browse all and view one) (Denis Chenu)
-Fixed issue #8585: Data corruption after adding questions to a multilingual survey (Carsten Schmitz)
-Fixed issue #8589: PHP object injection in surveys (Carsten Schmitz)
-Fixed issue #8590: Hidden questions appear when you tab to them, even if the conditions to show them haven't been met (Denis Chenu)
-Fixed issue #8592: Bad HTML in question break layout (Denis Chenu)
-Fixed issue #8598: incorrect alphabetically sort of surveys in list (tpartner)
-Fixed issue #8599: Minor display issue in survey list selects (Carsten Schmitz)
-Fixed issue #8605: Unable to add token attribute fields (Carsten Schmitz)
-Fixed issue #8606: Unable to login using Postgres (Carsten Schmitz)
-Fixed issue #8608: Cryptic message during ComfortUpdate (Carsten Schmitz)
-Fixed issue #8609: Empty screen when clicking on sort question icon (mfaber)
-Fixed issue #8626: Superfluous PHP closing tag in "edit text elements" (Denis Chenu)
-Fixed issue #8628: Spelling mistake in English language file (Denis Chenu)
-Fixed issue #8630: check data validity when unserializing attributedescription (Alexis Bezverkhyy)
-Fixed issue #8632: Use SSL for ComfortUpdate (Carsten Schmitz)
-Fixed issue #8642: Unable to create session key in RemoteControl when using MSSQL server (Carsten Schmitz)
-Fixed issue: Double quote are removed for group title when editing (Denis Chenu)
-Fixed issue: Error on database upgrade using MSSQL (Carsten Schmitz)
-Fixed issue: Numeric-only codes on subquestions not being allowed (mfaber)
-Fixed issue: PDF and Word exports had non internationalized strings (Alexis Bezverkhyy)
-Fixed issue: Possibility to enter leading/trailing spaces for email address (Carsten Schmitz)
-Fixed issue: Proper quoting of values when creating a database backup (Carsten Schmitz)
-Fixed issue: Public survey list not working if MSSQL is used (Carsten Schmitz)
-Fixed issue: Token attributes broken (Alexis Bezverkhyy)
#Updated translation: Armenian by Satenik
#Updated translation: Catalan by valdomir
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Estonian by klaster
#Updated translation: French (France) by arnaud21
#Updated translation: German by actxcellence, c_schmitz, mfaber
#Updated translation: Greek by kiolalis
#Updated translation: Italian by myliserta, lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by yamatt, nomoto
#Updated translation: Latvian by vipgroup, marcic
#Updated translation: Norwegian (BokmÃ¥l) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Russian by vipgroup
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki

Changes from 2.05+ (build 140116) to 2.05+ (build 140125) Jan 25, 2014
-New feature #8524: Implements min/max date in EM (mfaber)
-Fixed issue #7159: PHP notice for arabic graph in statistics (Denis Chenu)
-Fixed issue #7224: comparison of dates (partial fix) (mfaber)
-Fixed issue #8042: QueXML PDF support for Chinese (mfaber)
-Fixed issue #8083: Token attributes being mapped to the CPDB cannot be properly used (Carsten Schmitz)
-Fixed issue #8125: Wrong SPSS date format for date question results (mfaber)
-Fixed issue #8477: A clear error message is now displayed when a session expires (Carsten Schmitz)
-Fixed issue #8484: Expressions in min/max date referring to questions on same page (mfaber)
-Fixed issue #8496: Undefined attributes in Central Participant Database (tpartner)
-Fixed issue #8501: Problem with importing a survey archive (Carsten Schmitz)
-Fixed issue #8512: Matrix question in dropdown presentation shows obsolete "Please choose..." in dropdown (Carsten Schmitz)
-Fixed issue #8514: No control on duplicate sub question code (case Unsensitive) (Denis Chenu)
-Fixed issue #8519: Error during upgrade vom 2.00 to 2.05 using PostgreSQL (Carsten Schmitz)
-Fixed issue #8526: No information when trying to install with php < 5.3 (Carsten Schmitz)
-Fixed issue #8530: "Return to label set administration" button not working properly - patch by dkep (Carsten Schmitz)
-Fixed issue #8531: Wrong date format for [code].shown (EM) (mfaber)
-Fixed issue #8536: Double quotes in upload title/comment caused survey page not to re-display correctly (Carsten Schmitz)
-Fixed issue #8537: Survey admin allows token length to be set at a value that exceeds schema column width (36) (Carsten Schmitz)
-Fixed issue #8546: JavaScript Expression Manager rtrim numeric value (not PHP) (Denis Chenu)
-Fixed issue #8551: Can't add a new user if AuditLog plugin is activated (Carsten Schmitz)
-Fixed issue #8554: Hover over answer options no longer showing value (Carsten Schmitz)
-Fixed issue #8557: If setting 'Keyboard-less operation' is activated then text inputs don't work at all (Carsten Schmitz)
-Fixed issue #8558: Clean up interface for mapping attributes when imorting into CPDB (tpartner)
-Fixed issue #8561: Cross-Site Scripting in 404 page (Denis Chenu)
-Fixed issue #8562: Stored XSS - getSurveys_json (Denis Chenu)
-Fixed issue #8563: Token validfrom and validuntil validations fail : they don't use the time difference setting - patch by ledut (Carsten Schmitz)
-Fixed issue #8564: CSRF vulnerability in KCFinder (Carsten Schmitz, tpartner)
-Fixed issue #8565: Possible code injection when using old mod_php versions (Carsten Schmitz)
-Fixed issue #8566: IP Spoofing (Carsten Schmitz)
-Fixed issue #8566: Stored XSS in HTML export (Denis Chenu)
-Fixed issue #8572: Maintain scroll position when editing a token (tpartner)
-Fixed issue #8576: Question-Type Ranking hangs up (tpartner)
-Fixed issue: Cannot add attribue in CPDB (Carsten Schmitz)
-Fixed issue: CPDB JS file not being found (Carsten Schmitz)
-Fixed issue: Numeric-only codes on subquestions not being allowed (Carsten Schmitz)
-Fixed issue: Unable to "predefined label set" if label are empty string (Denis Chenu)
-Fixed issue: With .doc export, empty cells have 2pt size in Libre Office (Alexis Bezverkhyy)
#Updated translation: Albanian by florianika
#Updated translation: Armenian by c_schmitz, Satenik
#Updated translation: Catalan by valdomir
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: Czech by slansky
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Estonian by klaster
#Updated translation: French (France) by arnaud21, karld
#Updated translation: German by actxcellence, mfaber, c_schmitz
#Updated translation: German (Informal) by actxcellence
#Updated translation: Greek by kiolalis
#Updated translation: Indonesian by sancaka
#Updated translation: Italian by lfanfoni, myliserta
#Updated translation: Italian (Informal) by lfanfoni, myliserta
#Updated translation: Japanese by yamatt, nomoto
#Updated translation: Latvian by vipgroup, marcic
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Brazil) by gabrielcavalari, mauriciofurtado
#Updated translation: Russian by ddrmoscow, vipgroup
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki
#Updated translation: Tagalog by arriz08
#Updated translation: Tamil by apmuthu
#Updated translation: Thai by adzpire
#Updated translation: Turkish by kayazeren

Changes from 2.05+ (build 140109) to 2.05+ (build 140116) Jan 16, 2014
-Fixed issue #8466: CSS/HTML issue with Plugin/settings (Menno Dekker)
-Fixed issue #8403: redundant em_javascript.js and dir (mfaber)
-Fixed issue #8476: there is no reason to wipe quote and dash characters from people names, in many countries this is a valid character and there is no XSS risk. (Alexis Bezverkhyy)
-Fixed issue #8488: Language display instead of abbreviation in edited records in token list (Carsten Schmitz)
-Fixed issue #8489: Non-operational CAPTCHA due backup to resume later. (Carsten Schmitz)
-Fixed issue #8495: Unecessary IDs in label select element (tpartner)
-Fixed issue #8497: Long email address fields are truncated when utilizing "Add participants to central database" from token table (Carsten Schmitz)
-Fixed issue #8510: Survey import/copy not working (Carsten Schmitz)
-Fixed issue #8517: Quota Answers not in Base Language (Denis Chenu)
-Fixed issue #8518: Error during fresh installation on PostgreSQL/MSSQL and using a non-default table prefix (Carsten Schmitz)
-Fixed issue #8527: Internal Server Error during registration (Denis Chenu)
-Fixed issue #8532: Check for minimum memory available fails if PHP has "memory_limit" equal to -1 (Carsten Schmitz)
-Fixed issue #8533: Button Load survey is inactive (Denis Chenu)
-Fixed issue #8538: Problem with array (numbers) questions error information (Denis Chenu)
-Fixed issue #8541: str_replace seems to be replacing just the first occurrence of search string rather than all occurrences (Carsten Schmitz)
-Fixed issue #8542: Compare string and numeric can be different in same page and other page (Denis Chenu)
-Fixed issue #8543: Missing translation during installation (Carsten Schmitz)
-Fixed issue #8544: Missing translation (Carsten Schmitz)
-Fixed issue: File download not working if one of the files in the response is missing (Carsten Schmitz)
-Fixed issue: Navigator coutdown javascript broken without navbuttonsJqueryUi (Denis Chenu)
#Updated translation: Armenian by Satenik
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: Czech by slansky
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: German (Informal) by Akaer, actxcellence
#Updated translation: Greek by MikeConom, kiolalis
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Russian by vipgroup
#Updated translation: Tagalog by avevengers, arriz08, lolskidoodles
#Updated translation: Zulu by Tanita93, cmkeet

Changes from 2.05+ (build 131219) to 2.05+ (build 140109) Jan 09, 2014
-New feature #8343: queXML: next page message with new question splitting option (Adam Zammit)
-New feature #8344: queXML: conditional splitting with new question splitting option (Adam Zammit)
-Fixed issue #8234: Text email send with HTML email are not filtered (Denis Chenu)
-Fixed issue #8452: Preview Question Group doesn't load randomly with Randomization Group set (Denis Chenu)
-Fixed issue #8467: Questions can disappear during sorting (tpartner)
-Fixed issue #8473: Resume later leads to lose answers (Denis Chenu)
-Fixed issue #8474: Unable to advance on survey when any numeric field answer starts with 0 (Denis Chenu)
-Fixed issue #8478: Numerical sliders don't use the configured decimal separator (Carsten Schmitz)
-Fixed issue #8480: Error when trying to edit a multilingual survey question (Carsten Schmitz)
-Fixed issue #8492: Cannot add or remove subquestion or answers in IE (tpartner)
-Fixed issue #8505: Multi-flexible text field does not save anything when set up as "Number only". (Denis Chenu)
-Fixed issue #8509: INSERTANS SPAN problem in end URL/page when using then all-in-one page presentation setting (Carsten Schmitz)
-Fixed issue #8511: Save button displays on import / copy survey page (Carsten Schmitz)
-Fixed issue #8515: Language switcher does not work in token registration form (Denis Chenu)
-Fixed issue #8520: Import participants from .csv fails (Carsten Schmitz)
-Fixed issue #8523: Broken javascript with crsfToken (Denis Chenu)
-Fixed issue: With min/max answers set up, text questions had an incorrect caption "please select N answers" insted of "fill in" (Alexis Bezverkhyy)
#Updated translation: Bulgarian by simid
#Updated translation: Catalan by valdomir
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: French (France) by arnaud21
#Updated translation: German by actxcellence
#Updated translation: Greek by MikeConom, kiolalis
#Updated translation: Latvian by vipgroup, marcic
#Updated translation: Lithuanian by simasj
#Updated translation: Norwegian (Bokmal) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Russian by ddrmoscow, vipgroup
#Updated translation: Slovenian by dusan
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki
#Updated translation: Tagalog by lolskidoodles
#Updated translation: Tamil by apmuthu

Changes from 2.05 (build 131209) to 2.05+ (build 131219) Dec 19, 2013
-New translation: Zulu
-Changed feature: Better configuration for LDAP authentication plugin (Menno Dekker)
-Fixed issue #8451: No webserver auth and errors accessing the webserver auth options (Menno Dekker)
-Fixed issue #8373: Any superadmins can create more superadmins (Carsten Schmitz)
-Fixed issue #8387: Exporting participants from CPDB as CSV-file omits attribute fields (Carsten Schmitz)
-Fixed issue #8391: Unable to use "select" survey list in Plugin page (Sam Mousa)
-Fixed issue #8429: {LANG} Attribute not updated when changing language on survey list page (Carsten Schmitz)
-Fixed issue #8431: Regenerate question by group gives invalid codes (Carsten Schmitz)
-Fixed issue #8438: Hidden Fields Not recording default data (Denis Chenu)
-Fixed issue #8439: Installer optional settings (6) not saved: error 1048 column stg_value cannot be null (Carsten Schmitz)
-Fixed issue #8441: Print answers son't have any script or CSS files (Menno Dekker)
-Fixed issue #8443: PDF in print view does not format properly (Carsten Schmitz)
-Fixed issue #8444: Participant DB : CSV Import Fails To Display All Fields (Denis Chenu)
-Fixed issue #8453: word is not displayed in statistic page (Denis Chenu)
-Fixed issue #8456: File upload problems with ' or " in name/comment (Carsten Schmitz)
-Fixed issue #8461: Unable to filter by Email Status inside Token view (Denis Chenu)
-Fixed issue #8470: Script are hard to debug in Survey Logic File (Denis Chenu)
-Fixed issue: Can't download individual files with special chars in file name (Carsten Schmitz)
-Fixed issue: Error 'Property "Permission.entity_id" is not defined' when updating (Carsten Schmitz)
#Updated translation: Catalan by valdomir
#Updated translation: Chinese (Simplified) by yanglaw
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: French (France) by arnaud21
#Updated translation: German by actxcellence
#Updated translation: German (Informal) by mfaber
#Updated translation: Greek by MikeConom, kiolalis
#Updated translation: Lithuanian by simasj
#Updated translation: Norwegian (BokmÃ¥l) by pmonstad
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Brazil) by fboaventura, mauriciofurtado
#Updated translation: Russian by ddrmoscow, vipgroup
#Updated translation: Spanish (Spain) by valdomir
#Updated translation: Swedish by maxzomborszki
#Updated translation: Tagalog by lolskidoodles, avevengers
#Updated translation: Turkish by kayazeren
#Updated translation: Zulu by cmkeet

Changes from 2.00+ (build 131206) to 2.05 (build 131209) Dec 06, 2013
-New feature #5740: Improve VV response import (Denis Chenu)
-New feature #6477: optionnal comment place with  "multi choice with comment" (Denis Chenu)
-New feature #6880: Allow adaptation of 5 point slider (Denis Chenu)
-New feature #7002: allow return to email template in email template edition (Denis Chenu)
-New feature #7371: Allow to reset slider answer (Denis Chenu)
-New feature #7664: Allow unix_socket on installation and connexion string (use socket directly in DB location) (Denis Chenu)
-New feature #7687 :  RemoteControl2 export_responses should also have an Array / JSON with responses (Denis Chenu)
-New feature #7810 Implement max/min date for date question (mfaber)
-new feature #7811: implement strtotime() for EM (mfaber)
-New feature #8040: STATA export functionality (mfaber)
-New feature #8124: quexf: comment field for LIST WITH COMMENT question type (mfaber)
-New feature #8168: limesurvey button style for gringegreen and darkblue template (Denis Chenu)
-New feature #8214: DateTimepicker for date/time question (mfaber)
-New feature #8247: Allow deactivate of autocorrection of numerical values (Denis Chenu)
-New feature #8298: Easy move page in token + quick search (Denis Chenu)
-New feature: Allow to use first line for header in vvimport (Denis Chenu)
-New feature: Added beforeLogout and afterLogout events for authentication plugins (Menno Dekker)
-New feature: Add extra class for multi column: colstyle-ul, colstyle-table and colstyle-css with display columns settings (Denis Chenu)
-New feature: Allow search on token attribute if exist in token table (Denis Chenu)
-New feature: Auditing plugin (Carsten Schmitz)
-New feature: Basic LDAP authentication plugin (Menno Dekker)
-New feature: Can replace javascript file in template (Denis Chenu)
-New feature: Can use SGQA identifier to prefill some answer with URL in preview mode (Denis Chenu)
-New feature: ComfortUpdate now supports updates to/from unstable versions (Carsten Schmitz)
-New feature: Detailed user permissions (Carsten Schmitz)
-New feature: Export Response By Token routine added to remote control (ravindrakhokharia)
-New feature: Remotecontrol Export_timeline (Carsten Schmitz)
-New feature: R-syntax available in remote control export_responses (use documenttype rsyntax) (Menno Dekker)
-New feature: Update_response function (kfegert)
-New feature: When copying a survey you can choose if you want to include/exclude start/end date/time (Carsten Schmitz)
-Updated feature #7145: validation field for date/time question (mfaber)
-Updated feature: Min/max date fields - codes/expressions should be entered without curly braces (mfaber)
-Updated feature: Revised favicon kindly provided by mrasquinho (Carsten Schmitz)

Changes from 2.00+ (build 120920) to 2.00+ (build 131206) Dec 6, 2013
-New feature #8028: File upload system can be replaced (Denis Chenu)
-New Feature: export_timeline function in remotecontrol (Spiros Trougakos)
-New feature: Export Response By Token routine added to remote control (ravindrakhokharia)
-New feature: Add php-func strtotime() to EM (mfaber)
-New feature: Added a function to the expression manager which allows numerical values (weberho)
-New feature: Added new setting 'showrelevance' to config file -  When this settings is activated then the printable survey option will show the raw relevance equation below the general fill-out instructions in case the question has conditions (Carsten Schmitz)
-New feature: Added subquestions, attributes, attributes_lang and answeroptions properties for RemoteControl get_question_properties (Diogo Gonçalves)
-New feature: Added the option to export statistics (in remotecontrol) for a group or a selection of groups of a survey. (Spiros Trougakos)
-New feature: Allow multiple answers with one token (Denis Chenu)
-New feature: ComfortUpdate now supports updates to/from unstable versions (Carsten Schmitz)
-New feature: Console installation scripts (Carsten Schmitz)
-New feature: Extra class for multi column: colstyle-ul, colstyle-table and colstyle-css with display columns settings (Denis Chenu)
-New feature: Global settings now shows URL to remote control interface (Menno Dekker)
-New feature: Installer checks if session save path is writable (Menno Dekker)
-New feature: New advanced question attribute to set a fill-out help text for the printable view (Carsten Schmitz)
-New feature: Spanish (Argentinia) informal translation (Carsten Schmitz)
-New feature: Spanish (Argentinia) translation (Carsten Schmitz)
-New feature: Use SGQA identifier to prefill some answer with URL in preview mode (Denis Chenu)
-New translation: Kurdish (Sorani) translation by havalabdulkarim, bryar1991
-New translation: Mongolian (Carsten Schmitz)
-New translation: Occitan by Cedric Valmary (Carsten Schmitz)
-New translation: Serbian (Latin script) (OnSpot)
-New translation: Tamil by seesiva
-New translation: Valencian (Carsten Schmitz)
-Updated feature #7882: Monday first day in calender (mfaber)

Changes from 1.92 (build 120919) to 2.00 (build 120920) Sept 20, 2012
+New feature #5044: Allowing selection of token valid from/until datea(#1) (Shubham Sachdeva)
+New feature #5762: empty class on empty input type text (Denis Chenu)
+New feature #5807: ability to replace survey_runtime.js function in template Fixed issue : time_limit attribute javascript error Dev : add only one css/js file if needed for question Dev : use css_header_includes and js_header_includes array from qanda Dev : TODO remove double call to jquery-ui.css, problem with slider (Denis Chenu)
+New feature #6073: token information on the browse index (Denis Chenu)
+New feature: "Send confirmation emails?" setting in Survey properties --> General settings --> Tokens. (Tony Partner)
+New feature: $lwcdropdowns setting removed from config-defaults.php and moved to Advanced question settings for List with Comment question type (Carsten Schmitz)
+New feature: A real installer (magiclko)
+New feature: Ability to change admin theme in global settings (Carsten Schmitz)
+New feature: Ability to copy data from participant attribute to the token field in a survey token table (jcleeland)
+New feature: Ability to make last minute changes in the survey activation screen to settings that cannot be changed after activation anymore (c_schmitz)
+New feature: Ability to overwrite/create attribute values for existing participants when importing from a CSV file (jcleeland)
+New feature: Ability to reset Expression Manager for admin with showlogicfile
+New feature: Add drag and drop feature to ranking question - done by GCI participant Nano8Blazex (Carsten Schmitz)
+New feature: Added link from deactivation page to export page and corrected language (jcleeland)
+New Feature: Added remotecontrol function get_site_settings (Spiros Trougakos)
+New feature: Allow different repeat heading for array, array text and array number question type (Denis Chenu)
+New feature: Attribute hide_tip now available for date question (Carsten Schmitz)
+New feature: Create new label sets or replace old ones from subquestions or answers
+New feature: CSS styles for EM's "Show Logic File" feature (Marcel Minke)
+New feature: Database installation by command line. Usage: "php index.php installer cmd_install_db" (Carsten Schmitz)
+New feature: Direct link from individual token entries to matching entry in the participants database in action row (jcleeland)
+New feature: Direct link from tokens to participants grid showing linked participants only (jcleeland)
+New feature: Dropdown inline search options for jqGrid survey list (useful for active/expired/inactive) (jcleeland)
+New feature: Each type of validation tip can be styled separately (so if a question fails validation checks, you can see whether it is because of wrong number of answers, wrong value range, wrong sum range, or wrong regex criteria). (tmswhite)
+New feature: Export multiple survey archives at the survey list as one big ZIP file (Carsten Schmitz)
+New feature: Export survey ZIP archive function with includes the survey structure, responses, tokens and timings - can be used for archival purposes or to move a survey from one server to another. (c_schmitz)
+New feature: Global setting to restrict the languages being available in administration or frontend (Carsten Schmitz)
+New feature: Header of ranking droptable in advanced settings (Denis Chenu)
+New feature: Implemented mass actions in surveylist which allows to delete/expire several surveys at the same time - only available to super administrators (Carsten Schmitz)
+New feature: In deactivation screen you can choose now between deactivation and expiration (Carsten Schmitz)
+New feature: More class on question and answer item for easiest manipulation
+New feature: More explicit labels for accessibility, hidden by default with .hide class
+New feature: Multilingual question attributes (Carsten Schmitz)
+New feature: New admin style (Carsten Schmitz)
+New feature: New admin style 'gartergrey' (Carsten Schmitz)
+New feature: New admin style 'gringegreen' (Carsten Schmitz)
+New feature: New images for cpdb links - 12 and 16pt size (jcleeland)
+New feature: New images for jqGrid navButtons (jcleeland)
+New feature: New translation: Spanish (Chile) kindly provided by Victor Pinto (Carsten Schmitz)
+New feature: Option to display text responses 'inline' in statistics output (will need translations) (Jason Cleeland)
+New feature: Option to switch between different graphs/no graph in statistics  - switchable in advanced question settings and in statistics itself (Carsten Schmitz)
+New feature: Participant CSV import detects existence of participant_id in CSV file, and if it exists, uses the participant_id to detect duplicates. Also cleaned up colors and styles of upload summary. (jcleeland)
+New feature: Permissions are now copied by default when copying a survey - also added an additional option to exclude it. (Carsten Schmitz)
+New feature: Ported LimeSurvey to use the Yii framework (magiclko,dionet)
+New feature: Question save/save and close options - instead of just updating and closing, now choice is to save and keep editing, or to save and return to question view. My wife made me do it. (jcleeland)
+New feature: Question save/save and close options - instead of just updating and closing, now choice is to save and keep editing, or to save and return to question view. My wife made me do it. (jcleeland)
+New feature: Randomization groups for question groups Carsten Schmitz)
+New feature: Randomization groups for question groups Carsten Schmitz)
+New feature: RemoteControl 'Activate survey' function (Carsten Schmitz)
+New feature: RemoteControl 'Activate tokens' function (Carsten Schmitz)
+New feature: RemoteControl function 'Export responses as csv/xls/pdf/doc' (Carsten Schmitz)
+New feature: RemoteControl function 'Modify survey locale setting' (Carsten Schmitz)
+New feature: RemoteControl functions 'Add/delete survey language' (Carsten Schmitz)
+New feature: Remotecontrol functions for manipulation of groups (Spiros Trougakos)
+New feature: Remotecontrol functions for manipulation of questions (Spiros Trougakos)
+New feature: Remotecontrol functions for manipulation of surveys (Spiros Trougakos)
+New feature: Remotecontrol functions for manipulation of tokens (Spiros Trougakos)
+New feature: Remotecontrol functions invite_participants, remind_participants (Spiros Trougakos)
+New feature: RemoteControl Import survey function (Carsten Schmitz)
+New feature: RemoteControl 'Modify survey settings' function (Carsten Schmitz)
+New feature: RemoteControl RPC API can now be switched to Off,JSON-RPC or XML-RPC (Carsten Schmitz)
+New feature: Reorder questions/question groups per Drag-n-drop  (Carsten Schmitz)
+New feature: Search option 'begins with' in cpdb so fields can be searched in an alternative way to 'contains' (jcleeland)
+New feature: Show Google maps with markers at statistics by GCI participant Licker Nandor (Carsten Schmitz)
+New feature: Show modified question attributes at question summary (Carsten Schmitz)
+New feature: Sorting for inline text listing in statistics display, also initial sorting for text display of numerical responses. Todo: fix some of the sorting problems for numerical responses (jcleeland)
+New feature: Statistics browse, etc - view file and generic sort icons (jcleeland)
+New feature: Statistics output screen cleaned up, placed inside collapsible divs (jcleeland)
+New feature: Survey links table now stores "Last invite" and "Date completed" information for survey links (jcleeland)
+New feature: Timer function added to radio list question type (jcleeland)
+New feature: Token section workflow improvements by GCI participant Nano8Blazex
+New feature: URL params for integration of survey panels (Carsten Schmitz)
+New translation: Afrikaans (Andrie de Vries)
+New translation: Amharic - kindly provided by Mezene Worku (Carsten Schmitz)
+New translation: Czech informal
+New translation: Swahili

Changes from 1.92+ (build 120909) to 1.92+ (build 120919) September 19, 2012
-Fixed issue #6528: Save changes on label set results in a php warning when text contains a tab character (Carsten Schmitz)
-Fixed issue #6536: HTML editor converts special characters to html entities within equations (Carsten Schmitz)
-Fixed issue #6547: Arbitrary URL redirect - parameter "redirect" (Carsten Schmitz)
-Fixed issue #6553: $column_style global parameter aren't used (Denis Chenu)

Changes from 1.92+ (build 120822) to 1.92+ (build 120909) September 9, 2012
-Fixed issue #6530: Since latest update unable to upload documents in survey (Denis Chenu)
-Fixed issue #6543: SQL injection in activate_functions.php - parameter "sid" (jcleeland)
-Fixed issue #6544: SQL injection in activate_functions.php - parameter "fixnumbering" (jcleeland)
-Fixed issue #6545: SQL injection in preview.php - parameter "lang". Sanitized language string. (jcleeland)
-Fixed issue #6546: SQL injection in userrighthandling.php - parameter "ugid" (jcleeland)

Changes from 1.92+ (build 120815) to 1.92+ (build 120822) August 22, 2012
-Fixed issue #6423: Potential XSS in 'Resume survey' load form (Carsten Schmitz)
#Updated translation: Chinese (Simplified) by jun9
#Updated translation: French (France) by BenoitBouvarel
#Updated translation: Italian by lfanfoni
#Updated translation: Korean by gregshin
#Updated translation: Spanish (Chile) by jergas
#Updated translation: Thai

Changes from 1.92+ (build 120808) to 1.92+ (build 120815) August 15, 2012
-Fixed issue #6319: Preview group can throw error (Denis Chenu)
-Fixed issue #6442 : Adding labels fails without numbers in last Code field in Label Set editor (Denis Chenu)
-Fixed issue #6452: File Upload not working with embedded_layout use (Carsten Schmitz)
-Fixed issue #6465: Assessment typo (Carsten Schmitz)
-Fixed issue #6467 : checkbox for 'other' missing for multiple choice (Denis Chenu)
-Fixed issue #6470 : Bad emplacement of Other text input box for large screen in Multiple option (Denis Chenu)
-Fixed issue #6476: Error in data entry when using multiple choice with comment questions and MSSQL (Carsten Schmitz)
-Fixed issue: Multiple option with checkbox : Other can be checked at submit with empty value (Denis Chenu)
-Fixed issue: Remove escape character (\) from any field evaluated by EM. (Thomas White)
#Updated translation: French (France) by BenoitBouvarel, DenisChenu
#Updated translation: German by debianese
#Updated translation: Greek by kiolalis
#Updated translation: Italian by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Malay by ayahanda
#Updated translation: Polish by elisa

Changes from 1.92+ (build 120801) to 1.92+ (build 120808) August 8, 2012
-Fixed issue #6424: Lastpage field not being added in MSSQL when upgrading from 1.85 or older (Carsten Schmitz)
-Fixed issue #6439: Question type Array (numbers) does not work with numbers >10 as labels (Thomas White)
#Updated translation: Czech by slansky
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Malay by ayahanda
#Updated translation: Polish by elisa
#Updated translation: Turkish by kayazeren

Changes from 1.92+ (build 120725) to 1.92+ (build 120801) August 1, 2012
-Fixed issue #6066: File upload fails if single oder double quotes are used (Carsten Schmitz)
-Fixed issue #6287: Unable to export QueXML with Postgresql 9.1 (Adam Zammit)
-Fixed issue #6297: QueXML Export broken Dev Removed condition checking for queXML export (Adam Zammit)
-Fixed issue #6334: Don't have a valid session in file upload question (Carsten Schmitz)
-Fixed issue #6387: Broken Add vs Replace Buttons on Quick Add for Labels (tpartner)
-Fixed issue #6395: QuickAdd permits longer codes than 5 characters (Carsten Schmitz)
#Updated translation: Albanian by emiljan, c_schmitz
#Updated translation: Czech by slansky
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Formal) by gifino
#Updated translation: Norwegian (Bokmal) by reidarborgersen, dittaeva
#Updated translation: Polish by elisa
#Updated translation: Turkish by kayazeren

Changes from 1.92+ (build 120718) to 1.92+ (build 120725) July 25, 2012
-Fixed issue #6312: Editing Survey Security Permissions as non-super-admin and non-survey owner throws PHP Fatal Error (Stephanie King)
-Fixed Issue #6312 - Editing Survey Security Permissions as non-super-admin and non-survey owner throws PHP Fatal Error (Stephanie King)
-Fixed issue #6335 : Group preview add answer (Denis Chenu)
-Fixed issue #6336 : Bad template URL if templatedir is not exist (Denis Chenu)
-Fixed issue #6337 : $defaulttemplate aren't allways used (Denis Chenu)
-Fixed issue #6340: Error "String offset cast occured" when adding user and using PHP 5.4 or later (Carsten Schmitz)
-Fixed issue #6346: Statistic page filter not remembering statistics language (Carsten Schmitz)
-Fixed issue #6348: Bar chart not translated in statistics when changing statistics language (Carsten Schmitz)
-Fixed issue #6349: condition does not work while using slider with stars (Thomas White)
-Fixed issue: Bad CSS for empty other comment in mandatory question for citronade (Denis Chenu)
-New feature: Ability to reset Expression Manager for admin with showlogicfile (Denis Chenu)

Changes from 1.92+ (build 120711) to 1.92+ (build 120718) July 18, 2012
-Fixed issue #6328: pre-filling of hidden questions does not work (Thomas White)
-Fixed issue #6304: Reloading unfinished survey can submit it without user interaction / reloading survey don't goe to actual step (Denis Chenu)
-Fixed issue #6318: Attributes/validation cut off when checking with EM (Carsten Schmitz)
-Fixed issue #6329: Language titles in language switcher are displayed in the currently used language instead of the native name (Carsten Schmitz)
-Fixed issue #6330: Regex engine does not accept a leading zero even if explicitly specified as acceptable (Thomas White)
-Fixed issue: Other comment mandatory requires 2 or more characters in comment field instead of 1 or more characters (Thomas White)
-Fixed issue: Whole Question Validation (em_validation_q) missing from several question types (Thomas White)
#Updated translation: Chinese (Simplified) by yooyooh
#Updated translation: Czech by slansky
#Updated translation: French (France) by DenisChenu
#Updated translation: German by Mazi
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Italian by lfanfoni
#Updated translation: Polish by elisa
#Updated translation: Spanish (Spain) by danielgeisler

Changes from 1.92+ (build 120704) to 1.92+ (build 120711) July 11, 2012
-Fixed issue #6207: Error "Ambiguous column name 'qid'" when using MSSQL server and editing answer options (Carsten Schmitz)
-Fixed issue #6252: English warning message though German language set (Carsten Schmitz)
-Fixed issue #6282: Error accessing a survey from a language that it hasn't (Carsten Schmitz)
-Fixed issue #6284: In some cases statistics' layout is broken (Carsten Schmitz)
-Fixed issue #6290: Array (texts) responses with single quotes are truncated on data entry screen (Carsten Schmitz)
-Fixed issue #6300: Token can be duplicated under some condition (Denis Chenu)
-Fixed issue #6305: Assessment values are not shown in logic file; nor in question, and group previews (Thomas White)
-Fixed issue #6309 : Bad javascript for 	Multiple choice with "Other option" (Denis Chenu)
-Fixed issue: Several remote file inclusion vulnerabilities (only when register_globals is activated) (Carsten Schmitz)
-Fixed issue: When magic quotes enabled on the server then quoting was not correct on the response data (Carsten Schmitz)
#Updated translation: Czech by slansky
#Updated translation: French (France) by DenisChenu
#Updated translation: German by c_schmitz
#Updated translation: Italian by lfanfoni
#Updated translation: Polish by elisa
#Updated translation: Russian by gdemin
#Updated translation: Spanish (Spain) by gap1981
#Updated translation: Turkish by kayazeren

Changes from 1.92+ (build 120623) to 1.92+ (build 120704) July 4, 2012
#Updated translation: Czech by slansky
#Updated translation: Italian by lfanfoni
#Updated translation: Spanish (Chile) by SirCrovax
-Fixed issue #5849: Unable to paste into numeric question types (Thomas White)
-Fixed issue #6188: Display error in conditions editor when selecting several options per sub-question (Carsten Schmitz)
-Fixed issue #6210 Inconsistent database after deleting a file by "clear & exit" button (Denis Chenu)
-Fixed issue #6250 : Public statistics always use default template (Denis Chenu)
-Fixed issue #6256: Touch event support (tpartner)
-Fixed issue #6271: text entry fields use onchange instead of onkeyup events to propagate changes (Thomas White)
-Fixed issue #6281: hidden variables used in equations have wrong name so don't POST properly (Thomas White)
-Fixed issue #6296: Question type file upload dose not work (tpartner)
-Fixed issue #6298: File upload button too narrow in Safari + Chrome (tpartner)
-Fixed issue: Array filter of ranking does not work reliably across browsers (Thomas White)
-Fixed issue: Changes to comments in multiple choice checkbox could not trigger changes in tailoring (Thomas White)
-Fixed issue: Clearing "other" value in multiple choice checkbox did not clear associated comment (Thomas White)
-Fixed issue: EM unit tests broken due to  missing LEMradix variable. (Thomas White)
-Fixed issue: Revert to using onchange instead of onkeyup for Array  Numbers when using dropdown lists of numbers (Thomas White)
-Fixed issue: Show Survey Logic File does not show survey title, description, welcome, endmsg, endurl, nor any errors within them (Thomas White)
-Fixed issue: Unchecking entries in multiple choice checkbox did not clear associated comment (Thomas White)
-Fixed issue: Wrong flag image for ZH-Hant-TW (Carsten Schmitz)
-Fixed issue: Removed dot in front of languageswitch drop down. (Marcel Minke)

Changes from 1.92+ (build 120620) to 1.92+ (build 120623) June 22, 2012
-Fixed issue #6240: conversion of conditions to relevance can fail for multiple choice tests during some upgrades (Thomas White)
#Updated translation: Chinese (Simplified) by yooyooh
#Updated translation: French (France) by DenisChenu
#Updated translation: Italian by gifino, lfanfoni
#Updated translation: Polish by elisa


Changes from 1.92+ (build 120613) to 1.92+ (build 120620) June 20, 2012
-Fixed issue #5766: exclude_all_others_auto does not work (Thomas White)
-Fixed issue #6205: Add http:// by default to endurl for indication (Denis Chenu)
-Fixed issue #6207: [Microsoft][ODBC SQL Server Driver][SQL Server]Ambiguous column name 'qid' (Carsten Schmitz)
-Fixed issue #6207: [Microsoft][ODBC SQL Server Driver][SQL Server]Ambiguous column name 'qid' (Thomas White)
-Fixed issue #6208 : Adding user to user group leads to error message (Denis Chenu)
-Fixed issue #6211: Problems with two "file upload" question types in the same question group (Thomas White)
-Fixed issue #6213: File upload questions tips have an error in italian (Thomas White)
-Fixed issue #6214: relevance equations that only contain static replacement values cause JS crash (Thomas White)
-Fixed issue #6221: Array filtering does not work when trigger question has multiple inputs per row (Thomas White)
-Fixed issue #6222: Conditions not working when it relies on value from a hidden question (Thomas White)
-Fixed issue #6223: Admin login does not work with postgres right after install (Carsten Schmitz)
-Fixed issue #6224: resetadminpw.php: SQL-string for postgres incorrect (Carsten Schmitz)
-Fixed issue #6225: unable to pass qcode-named variables via URL (Thomas White)
-Fixed issue #6226 & #6229: Only end message with Cannot edit answer (token and edit answers after submitting activated) (Denis Chenu)
-Fixed issue #6231: EM doesn't convert condition correctly, OR becomes AND (Thomas White)
-Fixed issue #6235: Javascript errors when use equations for min/max num values in Ranking questions (Thomas White)
-Fixed issue #6238: array filtering does not work for Ranking questions (Thomas White)
-Fixed issue #6239: Ranking style questions can't be used to filter other questions (Thomas White)
-Fixed issue: Array-filter algorithms for Ranking questions do not appear in Show Logic File (Thomas White)
-Fixed issue: PHP errors thrown if use invalid array filter question (Thomas White)
-Fixed issue: QID links in Show Survey Logic File should open new edit-question window, not just view question (Thomas White)
-Fixed issue: ShowLogicFile did not show array filters for List(Radio) questions when "other" advanced question option selected (Thomas White)
#Updated translation: Chinese (Simplified) by yooyooh
#Updated translation: Italian by lfanfoni, gifino
#Updated translation: Polish by elisa
#Updated translation: Swedish
#Updated translation: Turkish by kayazeren

Changes from 1.92+ (build 120608) to 1.92+ (build 120613) June 13, 2012
-Fixed issue #6100: English in other language (Thomas White)
-Fixed issue #6130: Response emails sent as "text/plain" but with HTML embedded (Carsten Schmitz)
-Fixed issue #6147: "Please rank at least x items" not being translated (Carsten Schmitz)
-Fixed issue #6151: CSS errors on public statistics page (Carsten Schmitz)
-Fixed issue #6153: "Cannot find data type DATE" when activating a survey with MSSQL 2005 (Carsten Schmitz)
-Fixed issue #6168: Question preview ignores "no answer" setting (Thomas White)
-Fixed issue #6177: uppercase logical operators (e.g. 'OR') in EM yield JavaScript errors (Thomas White)
-Fixed issue #6178: es-CL is listed as Spanish (Mexico) instead of Spanish (Chile) (Carsten Schmitz)
-Fixed issue #6186: Array Question Type: EM doesn't convert condition correctly, AND becomes OR (Thomas White)
-Fixed issue #6187: Javascript Error on em_javascript.js : attr is undefined (Thomas White)
-Fixed issue #6196: Misplaced PopUpEditor icon (tpartner)
-Fixed issue #6200: if enter text into other box, then click the other checkbox, the entered text disappears (Thomas White)
-Fixed issue #6201: Fatal error: Cannot redeclare replacenewline() (Thomas White)
-Fixed issue: "Please check at least one item" not appropriate for single select list questions (Thomas White)
#Updated translation: Arabic by maan
#Updated translation: Croatian by rovinj
#Updated translation: Czech by slansky
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Italian by lfanfoni
#Updated translation: Korean by heasunchun
#Updated translation: Norwegian (Bokmål) by c_schmitz
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Brazil) by mauriciofurtado
#Updated translation: Spanish (Mexican) by scoutino

Changes from 1.92+ (build 120607) to 1.92+ (build 120608) June 7, 2012
Fixed issue HTML error in hidden field for equation question type

Changes from 1.92+ (build 120530) to 1.92+ (build 120607) June 7, 2012
-Fixed issue #6122: EM seems to be holding a cache in admin dev: now only setting language in EM (mennodekker)
-Fixed issue #6155: Error on MSSQL: Ambiguous column name qid (Menno Dekker)
-Fixed issue #5943: exclusive option in multiple choice hide all other answer options (Thomas White)
-Fixed issue #6057: Hitting RETURN while typing in M.C. 'Other' of non-tracked survey looses all survey input (tpartner)
-Fixed issue #6140: Survey doesn't start from where it was left on Token Persistence (Thomas White)
-Fixed issue #6149: EM shows wrong result for number generated by rand() function (Thomas White)
-Fixed issue #6154: File upload questions not mandatory anymore (Thomas White)
-Fixed issue #6158: In question-by-question mode, EM replacements in same group but on different page use <span> (Thomas White)
-Fixed issue #6163: error in mandatory array_filter-ed multi-numeric and multiple-short questions 
-Fixed issue #6165: unable to implement affirmative exclusive non-answer in array_filter_exclude 
-Fixed issue #06079: sub-question filtering broken if "other" or "no answer" option is given (Thomas White)
-Fixed issue #6171: variable < X is true even if variable isn't answered (Thomas White)
-Fixed issue #6172: Update to Version 1.92+ from 1.91+ Cannot Complete - Reason: Duplicate column name 'grelevance' (Thomas White)
-Fixed issue #6173: users can skip min_sum_value and equals_sum_value questions (Thomas White)
-Fixed issue #6176: replacements of other value for multiple-choice don't appear when click previous (Thomas White)
-Fixed issue: Assesments for multi choice question (Denis Chenu)
-Fixed issue: Error in PostgreSQL DB create script. (Jonathan Harker)
-Fixed issue: Error in upgrade from old DB versions (Carsten Schmitz)
-Fixed issue: Errors in Postgres DB creation script (Carsten Schmitz)
-Fixed issue: Google Analytics Style #2 breaks if group names contain special characters (Thomas White)
-Fixed issue: mktime() function needs to be passed integer values (Thomas White)
-Fixed issue: 'other' status flag missing from Show Logic File (Thomas White)
-Fixed issue: Errors in Postgres upgrade and DB creation (Carsten Schmitz)
#Updated translation: Amharic by mezwor 
#Updated translation: Czech by slansky 
#Updated translation: Dutch 
#Updated translation: Dutch (Informal)
#Updated translation: Estonian by LimAlf 
#Updated translation: Italian by lfanfoni 
#Updated translation: Polish by elisa
#Updated translation: Portuguese (Portugal) by algarvio 
#Updated translation: Slovenian 
#Updated translation: Spanish (Chile) by SirCrovax 
#Updated translation: Turkish by kayazeren

Changes from 1.92+ (build 120529) to 1.92+ (build 120530) May 28, 2012
-Fixed issue #6133: Race condition with concurrent upload of similar "survey structure" (Carsten Schmitz)

Changes from 1.92+ (build 120526) to 1.92+ (build 120529) May 28, 2012
-Fixed issue #6106: Mandatory error shown when testing a question (Carsten Schmitz)
-Fixed issue #6133: Race condition with concurrent upload of similar "survey structure" (Carsten Schmitz)
-Fixed issue #6136: Relevance evaluation with Postgres fails when using regular expressions (Carsten Schmitz)
-Fixed issue: Admin language switching to survey language (Carsten Schmitz)

Changes from 1.92+ (build 120517) to 1.92+ (build 120526) May 26, 2012
#Updated translation: Dutch by Nickko 
#Updated translation: Dutch (Informal) by Nickko (root)
#Updated translation: French by Denis Chenu, Nickko 
#Updated translation: German (Informal) by c_schmitz (root)
#Updated translation: German by c_schmitz 
#Updated translation: Polish (elisa-ls)
#Updated translation: Dutch
#Updated translation: Portuguese
#Updated translation: Slovenian
-Fixed issue #6122: EM seems to be holding a cache in admin dev: only set language when a surveyid is set (mennodekker)
-Fixed issue #5766: exclude_all_others_auto does not work (Thomas White)
-Fixed issue #6114: Mail encryption really off for bounce managment (Denis Chenu)
-Fixed issue #6119: Apostrophe bug in statistics PDF and Excel output (Carsten Schmitz)
-Fixed issue #6124: User with limited rights is allowed to export complete MySQL DB 
-Fixed issue: User with configurator access doesn't have acces to global settings (Denis Chenu)
-Fixed issue: Survey list does not show surveys having deleted owners (Carsten Schmitz)


Changes from 1.92+ (build 120516) to 1.92+ (build 120517) May 17, 2012
-Fixed issue: Missing translations / texts

Changes from 1.92+ (build 120509) to 1.92+ (build 120516) May 16, 2012
+New translation: Spanish (Chile) kindly provided by Victor Pinto (Carsten Schmitz)
#Updated translation: Polish (elisa-ls)
#Updated translation: Amharic kindly provided by Mezene Worku 
#Updated translation: Czech (lukas-slansky)
#Updated translation: German by c_schmitz 
#Updated translation: Persian - kindly provided by Morteza Farahbod 
#Updated translation: Turkish - 100% - kindly provided by Kaya Zeren
-Fixed issue #5766: exclude_all_others_auto does not work (Thomas White)
-Fixed issue #5943: Exclusive option in multiple choice hides all other answer options (Thomas White)
-Fixed issue #6003: Text truncated after single quote when browsing responses to Multiple short text question. (Thomas White)
-Fixed issue #6046: Resume later deletes answers from db when all questions are on one page (Thomas White)
-Fixed issue #6078: Invalid LimeExpressionManager->ngT() calls (TMSWhite)
-Fixed issue #6086: 1.92+ Build 120509 Conditions do not work with probably good logic (Thomas White)
-Fixed issue #6087: cascading array filter fails for depth>=3 in group and question modes (Thomas White)
-Fixed issue #6093: Wrong result when comparing decimal values from equation question types in surveys using comma as decimal point (Thomas White)
-Fixed issue #6102: "Print your answers" shows EM syntax errors (Thomas White)
-Fixed issue #6048: Conditions editor produces fatal error: maximum allocated memory (Carsten Schmitz)
-Fixed issue #6080: Wrong validation for multiple numeric questions 
-Fixed issue #6085: By pasting a subquestion code can contain a space (Carsten Schmitz)
-Fixed issue: Misaligned input with multi column on citronade (Denis Chenu)
-Fixed issue: Array-filter equations not visible for List-type questions in Show Survey Logic file (Thomas White)
-Fixed issue: Datestamp on not date stamped survey. Dev: use 1980-01-01 for 'All database same value' (Denis Chenu)
-Fixed issue: Endless javascript loop in answer edit or subquestion edit (Denis Chenu)
-Fixed issue: Missing translations for jQuery popup calendar (Carsten Schmitz)
-Fixed issue: Nice exit if surveyid is invalid (Denis Chenu)
-Fixed issue: Unable to add label in label set administration (Carsten Schmitz)

Changes from 1.92+ (build 120501) to 1.92+ (build 120509) May 9, 2012
+New translation: Afrikaans 
+New translation: Amharic - kindly provided by Mezene Worku
#Updated translation: Polish (elisa-ls)
#Updated translation: German (Carsten Schmitz)
#Updated translation: German (informal) (Carsten Schmitz)
#Updated translation: Persian by M. Farahbod (Carsten Schmitz)
#Updated translation: Portuguese (Brazil) by Flávio Rodrigues (Carsten Schmitz)
-Fixed issue #5975: Confirmation screen broken for iterate survey feature (tpartner)
-Fixed issue #5987: prefix and suffix are misaligned for "total" field at miltiple numeric question (tpartner)
-Fixed issue #6030: answeroption not left-aligned (tpartner)
-Fixed issue #6030: answeroption not left-aligned Dev Fixed up CSS for list-radio questions (tpartner)
-Fixed issue #6044: Use advanced question settings such as numbers_only, display_rows, max_characters, prefix, suffix, ... at data entry screen. (Marcel Minke)
-Fixed issue #6062: Language selector is missing on survey without description nor welcome message (tpartner)
-Fixed issue #6075: Content of previous answer is not replaced, instead placeholder of selected answer is shown: eg. {TOKEN:ATTRIBUTE_2} (Thomas White)
-Fixed issue #6030: answeroption not left-aligned with multiple-opt-comments Dev : move input outside label (Denis Chenu)
-Fixed issue #6030: Misalign input in multi-line answers / citronade part Dev : fixed some issue with little screen too (Denis Chenu)
-Fixed issue #6048: Conditions editor produces fatal error: maximum allocated memory (Carsten Schmitz)
-Fixed issue #6059: EM puts spaces between variables (Carsten Schmitz)
-Fixed issue #6061: Duplicate codes when adding new answer options/subquestions/labels (Carsten Schmitz)
-Fixed issue #6065: Error when creating a new survey by copying an existing one (Carsten Schmitz)
-Fixed issue #6071: Notices if using mssql and changing/importing survey (Carsten Schmitz)
-Fixed issue: Added quota_languagesettings table to the fixlanguageconsistency() array - when languages are added, matching quota entries are created for each language (jcleeland)
-Fixed issue: Behaviour change on 'resume later' (Carsten Schmitz)
-Fixed issue: db_quoteall added to fixlanguageconsistency() function when copying quota translations. (jcleeland)
-Fixed issue: Submit date set even though participant was screened out by a quota (Carsten Schmitz)
-Fixed issue: Several HTML fixes for data entry screen (data entry & data edit) (Marcel Minke)

Changes from 1.92+ (build 120425) to 1.92+ (build 120501) May 1, 2012
-Fixed issue #6008: File upload doesn't work from date entry, not available in response edit (mennodekker)
-Fixed issue #6045: Firefox 12 vertical scrolling problem in admin view (and other pages) (Carsten Schmitz)
-Fixed issue #6056 - Quota languages don't update (jcleeland)
-Fixed issue: Images inserted into HTML emails were not properly linked to the server (Carsten Schmitz)
-Fixed issue: Fixed several HTML issues for data entry mode 
-Fixed issue: Partial fix (just data entry - editing data missing) for bug #6044: Use advanced question settings such as numbers_only, display_rows, max_characters, prefix, suffix, ... at data entry screen. (Marcel Minke)

Changes from 1.92+ (build 120418) to 1.92+ (build 120425) April 25, 2012
-Fixed issue #5988: Problem displaying words with French accent within Expression Manager (Carsten Schmitz)
-Fixed issue #6027: Users who have token creation permission can't create token table (Carsten Schmitz)
-Fixed issue #6035: Insertans not working in multiple options with comments (Carsten Schmitz)
-Fixed issue #6036: Reminder sent to people which opted out (Carsten Schmitz)
-Fixed issue #6037: Zero uses left by default when importing tokens from CSV (Carsten Schmitz)
-Fixed issue #6042: Check for existing token taables after activation -> switch to closed access (Carsten Schmitz)
-Fixed issue #6043: Errors creating surveys in MSSQL (Carsten Schmitz)
#Updated translation: Czech (lukas-slansky)
#Updated translation: Danish  - kindly provided by Søren O'Neill (Carsten Schmitz)
#Updated translation: Finnish kindly provided by Flo Apps Oy (Carsten Schmitz)
#Updated translation: German (Carsten Schmitz)
#Updated translation: Italian - kindly provided by Alberto Danese (Carsten Schmitz)
#Updated translation: Spanish (Mexico) (Carsten Schmitz)

Changes from 1.92+ (build 120412) to 1.92+ (build 120418) April 18, 2012
-Fixed issue #5896: Miscellaneous, rarely used, qcode.* attributes showing blank values (Thomas White)
-Fixed issue #6006: Error in LImeExpressionManage.php anytime using an array (numbers) with checkboxes and Mandatory (Thomas White)
-Fixed issue #6007: Token variables resolving as 'undefined variable' after Version 1.91+ Build 11026 (Thomas White)
-Fixed issue #6013: passthru stopped working (Thomas White)
-Fixed issue #6015: INSERTANS does not work in end message (Thomas White)
-Fixed issue #6024: $deletenonvalues option no longer working in 1.92+ (Thomas White)
-Fixed issue #5986: Import label set does not properly show an error for invalid files (Carsten Schmitz)
-Fixed issue #6016: Load Unfinished Survey button does not display for existing survey (Carsten Schmitz)
-Fixed issue #6018: Using mssqlnative the "date" question type uses DATETIME type and not DATE (Carsten Schmitz)
-Fixed issue: Notice when using mssqlnative driver (Carsten Schmitz)
-Fixed issue: Only set EM variables for {TOKEN:xxxx} when token table exists; and only for declared attributes (Thomas White)
-Fixed issue: Participant IP address not correctly captured if server is behind proxy (Carsten Schmitz)
-Fixed issue: Warning if upload file and there is no minimum number of files specified (Thomas White)
#Updated translation: Czech kindly provided by Slansky Lukas 
#Updated translation: French kindly provided by Guillaume Jaouen 
#Updated translation: German 
#Updated translation: German (informal) (Carsten Schmitz)


Changes from 1.92+ (build 120405) to 1.92+ (build 120412) April 12, 2012
-Fixed issue #5962: View Response Details does not work correctly if responses are filtered (Statistics) (Thomas White)
-Fixed issue #5985: Notifications using INSERTANS and/or QCODE don't work with all-in-one presentation of survey (Thomas White)
-Fixed issue #5992: After upgrade to Version 1.92+ Build 120405 the uploaded file information gets corrupted. (Thomas White)
-Fixed issue #6002: @@SURVEYURL@@ placeholder fails to translate (Thomas White)
-Fixed issue #5976: Iterate survey sets all "uses_left" to "1" even if there has been set a larger number previously (Carsten Schmitz)
-Fixed issue #5997 : upload windows are on default survey langage (Denis Chenu)
-Fixed issue: Bad HTML in editgroup(Denis Chenu)
-Fixed issue: Mssqlnative driver gives back weird date format in export (Carsten Schmitz)
-Fixed issue: With certain Apache configurations then em_javascript.js file was not readable (Carsten Schmitz)
#Updated translation: Danish  - kindly provided by Søren O'Neill (Carsten Schmitz)
#Updated translation: Galician - kindly provided by Carlos Neira Cortizas (Carsten Schmitz)
#Updated translation: German Updated translation: German (informal) (Carsten Schmitz)
#Updated translation: Greek by Yannis Kaskamanidis (Carsten Schmitz)
#Updated translation: Spanish (Mexico) (Carsten Schmitz)


Changes from 1.92+ (build 120330) to 1.92+ (build 120405) April 5, 2012
-Fixed issue #5877: Resume later doesn't work with a survey allowing public registration (Carsten Schmitz)
-Fixed issue #5971: Strange behavior of expression manager - static equation results not visible (Thomas White)
-Fixed issue #5979: values prefilled via URL are not passed through to end URL Dev also syntax highlighted end URL  so can see if it contains typos (Thomas White)
-Fixed issue #5981: EM attributes that should be static generate <span> elements (Thomas White)
-Fixed issue #5982: Wrong replacement field properties (Thomas White)
-Fixed issue #5984: Javascript error with upload question type for italian language Dev: add js option on clang (Denis Chenu)
-Fixed issue #5960: Start language always saved as English (Carsten Schmitz)
-Fixed issue #5969: Trying to import a question group without a matching language gives no proper error (Carsten Schmitz)
-Fixed issue: When there are multiple languages, getSubQuestions() returns wrong values (often a mix of language-specific values) (Thomas White)


Changes from 1.92+ (build 120325) to 1.92+ (build 120330) Mar 30, 2012
-Fixed issue #5948: Mandatory directive for question is ignored for array (numbers) using checkbox layout (Thomas White)
-Fixed issue #5952: Error in statistics (Carsten Schmitz)
-Fixed issue #5957: Cannot check integrity database (Carsten Schmitz)
-Fixed issue #5962: View Response details does not work correctly if responses are filtered (Carsten Schmitz)
-Fixed issue: Certain French characters garbled in statistics display and other areas (Carsten Schmitz)
-Fixed issue: Error if s_lang are not in survey langage (Denis Chenu)
-Fixed issue: When trying to export to application then not all fields are shown (Carsten Schmitz)

Changes from 1.92+ (build 120324) to 1.92+ (build 120325) Mar 23, 2012
-Fixed issue #5877: Resume later doesn't work with a survey allowing public registration (magiclko)
-Fixed issue: MSSQL error on importing survey (Carsten Schmitz)

Changes from 1.92+ (build 120323) to 1.92+ (build 120324) Mar 23, 2012
-Fixed issue #5877: Resume later doesn't work with a survey allowing public registration (magiclko)
-Fixed issue #5934: Generating new Lablesets won't work (magiclko)
-Fixed issue #5946: SQL error while creating new survey (Carsten Schmitz)

Changes from 1.92+ (build 120319) to 1.92+ (build 120323) Mar 23, 2012
-Fixed issue #5731: Randomization group name seems to block "Test this survey" (Thomas White)
-Fixed issue #5909: Re-uploading files after deletions and other problems with File Upload question type and Expression Manager (Carsten Schmitz)
-Fixed issue #5932: Default answers to hidden questions are not saved to database  (Thomas White)
-Fixed issue #5933: Uploaded files with uppercase extensions show placeholder instead of image (Carsten Schmitz)
-Fixed issue #5936: INSERTANS or TOKEN cannot be used in mail adress notification (Denis Chenu)
-Fixed issue #5941: Quotas fail to terminate survey (Carsten Schmitz)
-Fixed issue #5942: unable to activate survey after some modification (Denis Chenu)
-Fixed issue #5944: Cannot grant "Survey security" permission to another user (Carsten Schmitz)
-Fixed issue: Conditions were not properly converted to EM expressions when magicquotes are enabled (Carsten Schmitz)

Changes from 1.92+ (build 120314) to 1.92+ (build 120319) Mar 19, 2012
#Updated translation: Hungarian by Pongrácz István (Carsten Schmitz)
-Fixed issue #5904: Database upgrade fails with errors on Postgres (Carsten Schmitz)
-Fixed issue #5913: Bad SQL syntax in file create-mssql.sql (Carsten Schmitz)
-Fixed issue #5917: Bold text not showing when using default template (Carsten Schmitz)
-Fixed issue #5921: Duplicate header field names for Dual scale question type when exporting to application (Carsten Schmitz)
-Fixed issue #5924: Wrong alignment of subquestion text and radiobuttons in Array questions with RTL languages (Carsten Schmitz)
-Fixed issue #5926: With multilingual surveys the sheetname on Excel export was not always in the base language (Carsten Schmitz)
-Fixed issue #5927: Default template Yes/No questions & Male/Female alignment (Carsten Schmitz)
-Fixed issue: Error in update scripts for MSSQL server (Carsten Schmitz)
-Fixed issue: PHP warning when importing label set without labels (Carsten Schmitz)

Changes from 1.92+ (build 120311) to 1.92+ (build 120314) Mar 14, 2012
+New feature #5492: Changing global settings takes you away from survey design Now it "remembers" the referee url and redirect to that url after saving global settings! (magiclko)
-Fixed issue #5898: {GOOGLE_ANALYTICS_JAVASCRIPT} integration errors (Thomas White)
-Fixed issue #5835: Standard survey header is not used in public statistics (Carsten Schmitz)
-Fixed issue: Notice if Referer is not set (Shnoulle)
-Fixed issue: Textareas in survey taking were not properly quoted when displayed again (Carsten Schmitz)
-Fixed issue: Invalid email in 'resume later' save form did not show an error message (Carsten Schmitz)
-Fixed issue: HTMLeditor popup not properly filtering some input variables (Carsten Schmitz)

Changes from 1.91+ (build 120302) to 1.92+ (build 120311) Mar 11, 2012
-Fixed issue #5859: Question group import does not update references properly (Thomas White)
-Fixed issue #5875: Flexible Labels do not register in french when apostrophes are in label text. (magiclko)
-Fixed issue #5879: em_validation_q generates duplicative JavaScript (Thomas White)
-Fixed issue #5880: Make em_q_fn_validation and em_sq_fn_validation more easily visible (Thomas White)
-Fixed issue #5887: Minimum answers in Ranking question type are deactivated (Thomas White)
-Fixed issue #5892: With question type "Short free text" and "display row" set, the text field is shown with some code (Thomas White)
-Fixed issue #5894: INSERTANS (and qcode.shown) returning wrong values for some question types 
-Fixed issue #5895: On-page substitution of comment for List with Comment type not being displayed (Thomas White)
-Fixed issue #5897: Survey ID not set correctly after row insert in servey_NNN table (Thomas White)
-Fixed issue #5778: Multiple choice answer for rtl in basic,bluenegrey,citronade,clear_logo,eireicon Dev: Add some empty class in citronade (Shnoulle)
-Fixed issue #5778: Template for RTL : limespired, mint_idea,sherpa,vallendar (Shnoulle)
-Fixed issue #5870: Progress indicator in quick-translate hiding to early. Some language (like Irish or Chinese) did not translate. (Carsten Schmitz)
-Fixed issue #5876: Cryptic error message when trying to run LimeSurvey using an outdated PHP version (Carsten Schmitz)
-Fixed issue #5878: Progress-bar not showing because of JS /eval folder being blocked Dev Renamed the folder from 'eval' to 'expressions' (Carsten Schmitz)
-Fixed issue: Uploaded files fail if target directory does not exist. (Thomas White)
-Fixed issue: Data not saved and validations don't work when use multiflexible_checkbox option in Array (numbers) question type (Thomas White)
-Fixed issue: Differencation for good/empty and good/not-empty Dev : some css cleaning removing (Shnoulle)
-Fixed issue: Equation question types were only capturing the contents of the first replacement <span> element (Thomas White)
-Fixed issue: Error on upgrade from 1.90 or earlier (Carsten Schmitz)
-Fixed issue: Group preview sometimes does not work (Thomas White)
-Fixed issue: hide_type advanced question option not available for all question types (Thomas White)
-Fixed issue: JavaScript IDs for validation messages start with a number, which does not pass strict HTML validation criteria (Thomas White)
-Fixed issue: When using question type Array (Numbers) with multiflexible_checkbox input and radix separator = comma, JavaScript throws error when trying to fix radix separator (Thomas White)
#Updated translation: Greek by Γιάννης Κασκαμανίδης (Carsten Schmitz)

Changes from 1.91+ (build 120302) to 1.92+ (build 120303) Mar 11, 2012
+New feature #5780: Information when there is no matching label set (shnoulle)
+New feature #5103: Support conditional piping/tailoring and complex calculations via embedded equation parser (tmswhite)
+New feature #5104: Create new question type for stored calculation results, called Equation (tmswhite)
+New feature #5268: Do all LimeReplacementField and Token replacements in a single function (tmswhite)
+New feature #5269: Use ExpressionManager for Branching logic as optional alternative to Conditions (tmswhite)
+New feature #5279: Add a GUI for ExpressionManager (tmswhite)
+New feature #5288: Optionally replace Assessments with ExpressionManager features (tmswhite)
+New feature: Each type of validation tip can be styled separately (so if a question fails validation checks, you can see whether it is because of wrong number of answers, wrong value range, wrong sum range, or wrong regex criteria). (tmswhite)
+New feature: JavaScript question type selector and Editarea template can be desactivated by user (shnoulle)
+New feature: EM reserved word "this" which refers the the current sgqa code (tmswhite)
+New feature: Question_attribute 'em_validation_q': "Boolean equation to validate the whole question" (tmswhite)
+New feature: Question_attribute 'em_validation_q_tip': "Tip to show user describing the Question Validation Equation" (tmswhite)
+New feature: Question_attribute 'em_validation_sq': "Boolean equation to validate each sub-question." (tmswhite)
+New feature: Question_attribute 'em_validation_sq_tip': "Tip to show user describing the Sub-Question Validation Equation." (tmswhite)
+New feature: Added Tools button to access Expression Manager Test Suite (tmswhite)
+New feature: Allow Regular-Expression validation of question type ';' (ARRAY (Multi Flexi) Text) (tmswhite)
+New feature: Allow Regular-Expression validation of question type 'Q' (Multiple Short Text) (tmswhite)
+New feature: Google Analytics Support (tmswhite)
+New feature: Support dynamic validation range for multiflexible_min and multiflexible_max when in text input mode (tmswhite)
+New feature: dropdown_prefix attribute for List (dropdown) - lets you prefix each entry with its visible order in the list (tmswhite)
+New feature: dropdown_size attribute for List (dropdown) - lets you specify number of visible rows in the dropdown box (tmswhite)
+New feature: Code/QID visible in quick-translation answers/subquestions/questions for easier orientation (c_schmitz)
+New feature: Show Logic File for Entire Survey, with all conditions, validation, and tailoring (tmswhite)
+New feature: Sets "equals" as the default comparison operator for conditions (jcleeland)
+New feature: Quick-add feature for label sets which (was in _dev branch but was accidentally removed with merge in from _dev_tms branch) (tmswhite)
#Updated feature: Added German translations to 1.91 sample survey. (maziminke)
#Updated feature: Browse of submitted responses now only shows relevant questions and answers. (tmswhite)
#Updated feature: Default values now available for the following question types: Date, Short/Long/Huge Text, Multiple ShortText, Multiple Numerical (tmswhite)
#Updated feature: Deprecated min_num_value_sgqa, max_num_value_sgqa, and num_value_equals_sgqa (tmswhite)
#Updated feature: array_filter - now also available for multiple_numeric and multiple_short_text (tmswhite)
#Updated feature: exclude_all_others - now also available for multiple_choice_with_comments (tmswhite)
#Updated feature: max_answers - now also available for all array types, multiple_numeric and multiple_short_text (tmswhite)
#Updated feature: max_num_value_n - now also available for multiple_numeric (tmswhite)
#Updated feature: min_answers - now also available for all array types, multiple_numeric and multiple_short_text (tmswhite)
#Updated feature: Add many more unit tests to EM and group/sort them.  Contributed by GCi participant Aaron Schmitz (tmswhite)
#Updated feature: min_num_value_n - now also available for multiple_numeric (tmswhite)

Changes from 1.90 (build 9642) to 1.91+ (build 120302) Mar 3, 2012
+New feature: New variable $iFileUploadTotalSpaceMB which sets the maximum space available to all file uploads in the particular LimeSurvey installation - defaults to unlimited (c_schmitz)
+New feature: Updated FCKeditor to CKEditor (c_schmitz)
+New feature #4927: added SurveyGroupQuestion identifier {SGQ} as a variable for use in questions - thanks to timbee for the patch (mennodekker)
+New feature: Added the 'showsgqacode' parameter. When this settings is true/1 (default = false/0) then the printable survey option will show a reference to the "lime_survey_12345" table which stores the survey answers.  This code will be shown in front of each question and in front of each answer option at the printable survey. It can be used as a data analysis code book for querying data from the main response table.
+New feature: 'All of the above' option automatically kick in if the participant checks all other options (set by the 'Exclusive option' setting). (parajulik)
+New feature: Group avaiable question types with screenshots (parajulik)
+New feature: #4324: Allow dropdowns for Array(flexible label) questions - patch provided by CarbonaCat
+New feature: Mail Bounce Tracking System (anishseth)
+New feature: Gives the user the ability to preview question groups. (parajulik)
+New feature: Ability to add Google Maps as a question (parajulik)
+New feature: Survey toolbar redesign (c_schmitz)
+New feature: Ability to add mass dummy tokens (parajulik)
+New feature: Token CSV-import now accepts semicolon as separator (mennodekker)
+New feature: Welcome screen can be skipped by using a setting at survey level (mennodekker)
+New feature #4588: Allow to reverse iteration order in Array (Numbers). This allows to reverse the iteration order of the generated numbers when setting "Minimum value" "Maximum value" and "Step" in "Array (Numbers)" question type. Reverse ordering can be achieved by putting a _max value lower than _min. The loop will iterate in reverse (you don't need to put a negative step value). Requested for questions where ordering could introduce bias. Patch by wavexx - Thank you!
+New feature #4652: Keyboard-less operation through JS keypad for tablet PCs or other devices without keyboard - patch provided by Yuri D'Elia (wavexx) - thank you!
+New feature #4660: New switch in survey setting where you can enable that users may enter they survey even after completion and update their answers using the invitation link and token persistence - patch by room2web 
+New feature #4650: Page color alternation and navigation delay (c_schmitz)
+New feature: Quick navigation buttons to move forward and backward between question groups and questions (adevries)
+New feature: Survey quick translation screen(adevries)
+New feature: Ability to use comma or dot as decimal separator for numeric and multiple numeric question types - - work done by Google Code-In participant Kshitij Parajuli. Thank you! (c_schmitz)
+New feature: Administration brute force detection and prevention - work done by Google Code-In participant Kshitij Parajuli. Thank you!
+New feature: Allow to restrict input to integers for Numeric question type - patch by wavexx 
+New feature: Allow to reverse year order in dropdown dates - patch by wavexx 
+New feature: Changing owner of survey. (parajulik)
+New feature: Detailed survey permissions based on a CRUD model (c_schmitz)
+New feature: Direct export to queXML PDF file (azammitdcarf)
+New feature: Emoticon slider (c_schmitz)
+New feature: Google Translate support for quick translation feature - work done by Google Code-In participant Kshitij Parajuli. Thank you! 
+New feature: In "question by question" mode, you can now go "back" from the starting element of a group - patch by wavexx 
+New feature: Login page automatically sets login language to browser language (c_schmitz)
+New feature: New option for "Number" question types named "Maximum value of the numeric input" and "Minimum value of the numeric input"  - patch by wavexx 
+New feature: Option in survey settings to hide the progress bar. (c_schmitz)
+New feature: Optional question index to easily jump between questions while taking the survey. Index also shows if a part of a survey was completely answered or not - great work & patch done by Yuri D'Elia (wavexx) (c_schmitz)
+New feature: Question attribute to reverse iteration order in Array (Numbers) question types - patch by wavexx (c_schmitz)
+New feature: Show details about LimeSurvey installation before starting the db upgrade - work done by Google Code-In participant Little Bird 
+New feature: Support for the "maximum_chars" attribute to the array/numbers question type, when using the text input layout. (c_schmitz)
+New feature: Spread sheet type row and colum totals for Array Multi text (numbers only) (eric_t_cruiser)
+New feature: Switching SSL on and off  (eric_t_cruiser)
+New feature #4069: Differentiate String comparizon and numerical comparizon operators. By default numerical order is now assume. Old surveys that were using string comparizons must be updated. The stringcomparizonoperators parameter must be set to 1 in config.php in order to enable these string comparizons. (lemeur)
+New feature #4661 : add some placeholder : {SURVEYLANG}, {SURVEYFORMAT}, {SURVEYCONTACT} (shnoulle)
#Updated feature: Sets "equals" as the default comparison operator for conditions (jcleeland)
#Updated feature #4426: Separation of survey settings - survey settings and editing of survey text elements are now separated to two different icons because users had problems to find the text elemens - patch kindly provided by CarbonaCat (c_schmitz)
#Updated feature: Easier handling for passthru values (to pass URL values from incoming to outgoing link) - patch by orvil
#Updated feature: Converted tabs in label sets, survey text elements and question groups to use jQuery UI - work done by Google Code-In participant Kshitij Parajuli. Thank you! (c_schmitz)
#Updated Feature: the switch for "List survey publicly" moved from "Presentation and Navigation" to "Publication & access control" (wahrendorff)
#Updated feature: Enable token-based response persistence: silent save when "Resume later" is clicked (eric_t_cruiser)
#Updated feature: Direct export to queXML PDF file (azammitdcarf)
#Updated feature: Summary information about opt-out in token table summary, and sortable email status column in "display tokens" view (adevries)
-Deleted feature: business_grey template (c_schmitz)


Changes from 1.87+ (build 8518) to 1.90+ (build 9561) Legend: # updated feature, - bug fix 
+New feature: CSS class names for question/answer cells so you can better style the look and feel of the overview. (maziminke)
+New feature: Very basic HTTPS support (c_schmitz) - allows dynamic switching between https and http
+New feature: Irish Translation - kindly contributed by Karin Whooley, National Centre for Technology in Education, Dublin (c_schmitz)
+New feature: actually, minor beautification - displays name of quota as header when adding new 'answers' (jcleeland)
+New feature: Show number of tokens and response rate for surveys using tokens. (maziminke)
+New feature: Layout improvements to make distingushing quotas a bit easier, messagebox class for add-answer, and new option to make adding multiple answers to a quota simpler (jcleeland)
+New feature: Default values can now be set in a different dialog. Language dependant default values for the option 'Other' now possible (c_schmitz)
+New feature: Multiple label sets can be exported/imported now as one file. (c_schmitz)
+New feature: Non-standard design templates now reside in the /upload/templates dir. Makes backup of user generated content easier since it is all in one place and also allows to set stricter permissions on the standard /templates dir (c_schmitz)
+New feature: Show number of tokens and response rate for surveys using tokens. (maziminke)
+New feature: Support for native MSSQL 2005+ adodb driver - patch by c-pucci (c_schmitz)
+New feature: When browsing responses you can mark now several responses for deletion and delete all with a single click (c_schmitz)
+New feature #4272: Disable scrollwheel in listboxes/dropdownboxes to prevent accidental scrolling - patch kindly provided by 'jas' (lemeur)
+New feature: Database-based sessions for load balanced servers which can be activated by a new configuration settings (see config-defaults.php) (c_schmitz)
+New feature: While creating a survey you can now copy an existing one (machaven)
+New feature: Completely reworked XML-based import/export format for questions/groups/surveys/label sets (cschmitz)
+New feature: Label sets are no longer connected to questions - they are merely templates for subquestions or answers (cschmitz)
+New feature: New concept of sub-questions was introduced (cschmitz)
+New feature: Completely new AJAX interface for editing answers/subquestion including the ability to quick-add/replace from label sets or by pasting from Excel or CSV (cschmitz)
+New feature: Integrity check now checks and removes invalid survey permissions automatically (c_schmitz)
+New feature: Integrity check now checks for orphaned survey language settings (c_schmitz)
+New feature: Multiple checkbox selection in template rights screen, so you can choose all templates or no templates with one click (jcleeland)
+New feature #2613: Added question attribute "numbers_only" to question type "Array Multi Flexible Text" - actually, it's adding attribute "Text inputs" to the array (numbers) question type, so that it presents a text input box rather than a dropdown. Note, if selected, overrides minimum value, maximum value and step. (jcleeland)
+New feature: Input-boxes for array (numbers) question type (jcleeland)
+New feature: When filtering for text questions you can use now % and * as wildcards and use OR and ',' as separators matching vor multiple values at the same time - patch by ecaron (c_schmitz)
+New feature: If the maximum character question attribute is set then the print view is properly adjusted (mdekker)
+New feature: Question divs now have ID with schema 'question<qestion_id>' so you can style questions in print view individually (c_schmitz)
+New feature: When copying a question, LimeSurvey now displays the newly created (copied) question after saving (jcleeland)
+New feature: Delete multiple token entries using select boxes (jcleeland)
+New feature: Usability enhancements to response browsing (cschmitz)
+New feature: Use @@SURVEYURL@@ in invitation/reminder emails to be able to use it inside an <a href > link (cschmitz)
+New feature: Opt-out feature for invitations/reminder emails (cschmitz)
+New feature: Question attributes for the time_limit feature - disable previous button while timer counts down, 2nd warning message, insert your own countdown text. Also re-ordered display of time limit group in advanced settings. (jcleeland)
+New feature: Survey count for each users is shown in the user administration (c_schmitz)
+New feature: {INSERTANS:xxx} placeholders are now available in confirmation email for surveys with non-anonymous answers. (lemeur)
+New translation: Hindi (abhinav1, smartbehl)
#Updated feature: the {TOKEN} replacement field is now available in confirmation email. (lemeur)
#Updated feature: Dropped support for importing questions/question groups/survey from any PHPSurveyor/LimeSurvey version older than 1.50 (DBversion 114) (c_schmitz)
#Updated feature: Changed the class for the {QUESTIONHELP} element to "survey-question-help" in all templates (differentiates it from the {QUESTION_HELP} element) (tpartner)
#Updated translation: Dutch (nl) and Dutch informal (nl-informal), thanks to Marcel Ausma (gandalfar)
#Updated translation: Dutch (nl), thanks to Fred Dekkers and Han Velthuis (gandalfar)
#Updated translation: Dutch informal (nl-informal), thanks to Fred Dekkers and Han Velthuis (gandalfar)
#Updated translation: Finnish (thanks Tapio Nurminen) (gandalfar)
#Updated translation: French (b00z00)
#Updated translation: Portuguese (thanks to Rui Gouveia) (gandalfar)
#Updated translation: Slovenian (gandalfar)
#Updated translation: Bulgarian (c_schmitz)
#Updated translation: German (c_schmitz)
#Updated translation: Polish (elisa-ls)
-Fixed issue #4028: PostgreSQL syntax errors while upgrading from 1.80 to 1.87 (gandalfar) 
-Fixed issue #4245: CSS class "questionhelp" used for two different elements (tpartner)
-Fixed issue #4287: Long question text overlaps itself when editing question (tpartner)
-Fixed issue #4302: Navigating between pages may change already saved answers (tpartner)
-Fixed issue #4295: SPSS export of labels for dual scale questions is incorrect (mennodekker)
-Fixed issue #4304: IE has problems with downloads over HTTPS (mennodekker)
-Fixed issue #4281: Fixing a bug which can hang the Webserver when the survey is activated with an empty group. The activation empty-group check wasn't working on all surveys. (lemeur)
-Fixed issue #4175: Adding support for some additional dateformats (texens)
-Fixed issue #4176: Array filter does not know how to handle 'other' field (jcleeland)
-Fixed issue #4256: Having too many timer questions completely kills the session - new cookies.js allows for the use of "sub" cookies meaning all LS timer cookies are in one single cookie (jcleeland)
-Fixed issue #4277: Conditions don't work when combining data from token attributes and survey questions using scenerios (lemeur)
-Fixed issue #3908: DB dump file not quite in standard MySQL (harsha_mora)
-Fixed issue #4155: Question Code is missing at Template Preview (harsha_mora)
-Fixed issue #4234: Results are overwritten in very specific circumstances (lemeur)
-Fixed issue #4242: Unable to send group e-mails in Google Chrome (c_schmitz)
-Fixed issue #4260: Language question switch to Chinese not working (c_schmitz)
-Fixed issue #4143: applied user patch to fix broken multipage surveys activated via lsrc (wahrendorff)
-Fixed issue #4249 Disable icons depending on directory permission. (anishseth)
-Fixed issue #4250: applied a user patch to insertPaticipants with an apostroph (wahrendorff)
-Fixed issue #4254: The user needs to delete or rename the installation directory after installation. (anishseth)
-Fixed issue #4288: Quotes in SPSS export variable labels cause errors (mennodekker)
-Fixed issue #4283: (anishseth)
-Fixed issue: Modified Array (MultiFlexi) Numbers in statistics to work properly (harsha_mora)
-Fixed issue: Actual quota scores are not shown in overview (c_schmitz)
-Fixed issue: Cookie URL causing session problems with root dir installations (c_schmitz)
-Fixed issue: Integrity check for orphaned groups not working (c_schmitz)
-Fixed issue: Missing Portuguese language file for calendar (c_schmitz)
-Fixed issue: Using blanks in label sets codes breaks the Multi Flexi question saving (c_schmitz)
-Fixed issue: Wrong numbers were taken from DB to calculate the percentage of completed tokens at the list survey overview. (maziminke)


Changes from  1.87+ (build 8498) to 1.87+ (build 8518)- Legend: # updated feature, - bug fix 
#Updated feature: performance gain in both the participant and administrator interface by caching question attributes (saving loads of db queries) (mennodekker)
#Updated translation: Croatian (idobraca)
#Updated translation: French (b00z00)
-Fixed issue #04220: Header at Template Permissions for User is not in normal LimeSurvey style (tpartner)
-Fixed Issue #04180: Add group to a survey. (texens)
-Fixed Issue #04180: Add group to a survey. (texens)
-Fixed issue #4209: Install failed populating database when using the mssql or mssql_n driver (c_schmitz)
-Fixed issue #4214:Adding/importing email addresses with apostrophes to Token lists (harsha_mora)
-Fixed issue #4217: SQL Error when adding a language to a multilingual survey in Postgres on Linux (c_schmitz)
-Fixed issue #4206: Array (Multi Flexible) Numbers not working correctly (harsha_mora)
-Fixed issue #4206:Array (Multi Flexible) (Numbers) - Not working correctly (harsha_mora)
-Fixed unreported issue: When downloading R/SPSS export files in Opera they would be saved as *.html files (c_schmitz)

Changes from  1.87+ (build 8472) to 1.87+ (build 8498)- Legend: # updated feature, - bug fix 
#Updated translation: Catalan - sponsored by LimeService (c_schmitz)
#Updated translation: Polish (elisa-ls)
-Fixed issue #3303: "Error updating - Query was empty" when editing survey settings - again (c_schmitz)
-Fixed issue #4142: RemoteControl: Reminder email "from" field isn't set properly - thank you to Dave Wolff (c_schmitz)
-Fixed issue #4157: Exporting results fails at dual scale question when using MS SQL Server (lemeur)
-Fixed issue #4160: Certain answers/subquestions are doubled in dataentry when using more than one language (c_schmitz)
-Fixed issue #4192: Problem saving partially finished survey for the second time in MSSQL server (c_schmitz)
-Fixed issue #4195: RTL language aligment problem in bluengrey template (c_schmitz)
-Fixed issue #4199: Cookie path not set (c_schmitz)
-Fixed issue 04188: Edit Response - Data Entry - Not working Dev corrected filling values automatically for Array (MultiFlexible)(Numbers) type questions (harsha_mora)
-Fixed the issue for Date type questions 04188 (harsha_mora)

Changes from  1.87+ (build 8453) to 1.87+ (build 8472)- Legend: # updated feature, - bug fix 
#Updated translation: French (b00z00)
-Fixed unreported bug: Added help text relating to array_filter attributes, also added help text relating to multi-numerical sum value attributes (jcleeland)
-Fixed issue #4165: Javascript is shown in group description (c_schmitz)
-Fixed issue #4178: When date question is used the email notification does not relay the correct date when in 'All-in-one' mode (c_schmitz)
-Fixed issue #4182: Survey listing - incorrect sorting  - fix by wrenchpilot - thank you! (c_schmitz)
-Fixed issue #4183: Notices at Printable Survey if there are no answers/label set set for a question (c_schmitz)
-Fixed issue #4174: applied survey defined date format to expiry date print out for Survey print view (eric_t_cruiser)

Changes from  1.87+ (build 8429) to 1.87+ (build 8453) - Legend: # updated feature, - bug fix 
#Updated feature: the html editor was updated from FCKeditor 2.6.5 to FCKeditor 2.6.6 (lemeur)
#Updated translation: Chinese (Simpified), thanks to yooyooh from shanghai (gandalfar)
#Updated translation: Croatian (idobraca)
#Updated translation: French (b00z00)
#Updated translation: Japanase (thanks to Hisashi Nomoto) (gandalfar)
#Updated translation: Catalan - sponsored by LimeService (c_schmitz)
#Updated translation: Polish (elisa-ls)
-Fixed issue 04109: Slider description has incorrectly position, when moving slider from right to left  (tpartner)
-Fixed issue 04151: {END}-Tag isn't available at Template Preview for Printable Survey Page (tpartner)
-Fixed issue #04154: Array filter not working on Array Flexible (Text) (jcleeland)
-Fixed issue #4126: in Chrome, fckeditor adds a nbsp; element to empty text inputs (lemeur)
-Fixed issue #4136: Multilingual question/group import fails on MSSQL server (c_schmitz)
-Fixed issue #4156: ComfortUpgrade not working because the directories /locale/ms and /locale/ms/LC_MESSAGES are not found - for solutions with earlier versions please visit http://bugs.limesurvey.org/view.php?id=4156 (c_schmitz)
-Fixed issue #4164: When using keyboard navigation the checkboxes are checked in Multiple options Question and Multiple options with comments question types (c_schmitz)
-Fixed issue: Entering invalid float in multiple numeric question is causing the survey to exit (c_schmitz)

Changes from  1.87+ (build 6406) to 1.87+ (build 8429) - Legend: # updated feature, - bug fix 
+New language: Malay (thanks to Kardina Kamaruddin) (gandalfar)
#Updated feature: Usability: In login and user language selection the select box is ordered now by the native language. In other language list boxes the native language won't be shown anymore. (c_schmitz)
#Updated language: Croatian (idobraca)
#Updated language: French (b00z00)
#Updated language: Italian (thanks to Cristina Fiorentini ) (gandalfar)
#Updated language: Portuguese, thanks to Rui Gouveia and Marco MendonÃƒÂ§a (gandalfar)
#Updated language: Spanish (es) (kadejo)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
-Fix issue 04117: Check for old table layouts (tpartner)
-Fix issue 04141: Class breakbefore not defined in default-css  (tpartner)
-Fix issue 04150: Basic template is missing IE8 css branching (tpartner)
-Fixed issue #4108: Notice at Question Preview at a Slider Question (lemeur)
-Fixed issue #4140: Unable to export Stats in PDF when using a free text answer (c_schmitz)
-Fixed issue #4144: vvimport.php producing infinite loop (c_schmitz)
-Fixed issue #4125: Text when quota reached in wrong language (idobraca)

Changes from  1.87+ (build 8374) to 1.87+ (build 8406) - Legend: # updated feature, - bug fix 
#Updated translation: Croatian (idobraca)
#Updated translation: Slovenian (gandalfar)
#Updated translation: Danish by Robin Sharp
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated feature: Better message for password reset request (idobraca)
-Fixed unreported issue: 'View statistic' translation on index.php (idobraca)
-Fixed unreported issue: Resolved typo in statistics_function.php (idobraca)
-Fixed unreported issue: Update of typo in group management (idobraca)
-Fixed unreported issue: Removed showing of label set ID (idobraca)
-Fixed issue #4117: Check for old table layouts (tpartner)
-Fixed issue #2828: Missing feedback in UI after save when using the 'Resume later' option (c_schmitz)
-Fixed issue #3844: Timer-not resetting after survey completion (idobraca)
-Fixed issue #4039: "Exit and clear survey" not really removing the incomplete response (c_schmitz)
-Fixed issue #4070: With non-latin character languages the statistics & result export shows HTML entities for questions/answers (c_schmitz)
-Fixed issue #4113: Unwanted lines in confirmation emails (c_schmitz)
-Fixed issue #4118: End message is not printed (idobraca)
-Fixed issue #4123: data entry >= constant value conditions not showing correctly  (idobraca)
-Fixed issue #4127: Upgrade to 1.87+ shows error on MSSQL DB (c_schmitz)
-Fixed issue #4131: If download of the update package in the ComfortUpdate failed the version number is still updated (c_schmitz)
-Fixed issue #4135: Time for token "Valid From/To" setting is not adjusted according to time difference set in global settings (c_schmitz)
-Fixed issue #4125: Text when quota reached in wrong language (idobraca)
-Fixed issue #4129: Undefined variable: addsummary  (idobraca)
-Fixed issue #4110: Email Status can't be set via RemoteControl (wahrendorff)
-Fixed issue #4116: emailSender does not include full survey URL (wahrendorff)


Changes from 1.87+ (build 8366) to 1.87+ (build 8374) - Legend: # updated feature, - bug fix 
+New Feature: New option to compute stats for each question based only on the total number of responses for which the question was displayed. (lemeur)
+New Feature: New option to generate statistics in any language supported by the survey. (lemeur)
-Fixed a serious issue in save answer introduced in patch 8361 (lemeur)
-Fixed unreported issue: Obsolete question_start.pstpl still editable in template editor even if it does not exist (c_schmitz)
-Fixed unreported issue: Javascript error on some pages while typing in a other field for single choice question (lemeur)

Changes from 1.87+ (build 8338) to 1.87+ (build 8366) - Legend: # updated feature, - bug fix 
#Update of Croatian language file (idobraca)
#Updated Feature #04097: small UI update, when clicking the conditions icon on the question toolbar, the condition editor is now open in edit mode, and not in view mode (lemeur)
#Updated translation: German (c_schmitz)
-Fixed issue #04103: Layout problem at Quotas Screen with small browser windows   (tpartner)
-Fixed issue #04107: html and W3C errors on survey page (with solutions) (tpartner)
-Fixed issue #04100: mandatory alert popup for Other-comment not filled-in displays the word 'Other' even if a customized othertext was choosen for the question (lemeur)
-Fixed issue #4087: Unable to reorder questions/groups with arrows in IE (c_schmitz)
-Fixed issue #4091: Quota messages aren't escaped properly (c_schmitz)
-Fixed issue #4096: Allow - + _ in domain part of email addresses. (harsha_mora)
-Fixed issue #4038: Empty fields were counted as 'No answer' in statistics even if set that only completed records should be counted (c_schmitz)
-Fixed unreported issue: deletenonvalue isn't working for array questions using array_filter/array_filter_exclude options. (lemeur)
-Fixed (partly) issue #4093: quota overview messed up. (maziminke)
-Fixed bug #4092: Quota name is shown as link but not clickable  (maziminke)
-Fixed bug #4090: notice when setting quotas (maziminke)

Changes from 1.87+ (build 8310) to 1.87+ (build 8338) - Legend: # updated feature, - bug fix 
#Updated translation: French (b00z00)
#Updated translation: Greek by Penny Labropoulou (c_schmitz)
-Fix issue 04051: Full screen HTML editor is not full screen      (tpartner)
-Fix issue 04064: bluengrey-Template: Line breaks are missing at public survey page    (tpartner)
-Fix issue 04084: Multiple numerical display error   (tpartner)
-Fixed #4077: smtp is default method for email, regardless of setting in config.php or config-defaults.php (mennodekker)
-Fixed unreported issue: print_img_radio.png and print_img_checkbox.png are required support files for templates, but were not being copied if they didn't exist (jcleeland)
-Fixed issue #4048: corrected token import with invalid email addresses (harsha_mora)
-Fixed issue #4059: Changing order of answer options does not work in IE (c_schmitz)
-Fixed issue (unreported) - preview of questions using 'array filter' or 'array filter exclusion' were displaying error messages (jcleeland)
-Fixed unreported issue: Dataentry misformatted (c_schmitz)
-Fixed unreported issue: Deprecated notice in dataentry (c_schmitz)
-Fixed unreported issue: Response detail view not looking right (c_schmitz)
-Fixed unreported issue: Syntax error in postgres update script (wahrendorff)
-Fixed unreported issue: a bug prevented creation of token tables under certain circumstances, when using sInsertParticipants (wahrendorff)
-Fixed unreported issue: minor wsdl "validity" errors. (wahrendorff)
-Fixed unreported issue: subject of password remainder email wasn't translated (idobraca)


Changes from 1.87+ (build 8279) to 1.87+ (build 8310) - Legend: # updated feature, - bug fix 
#Updated translation: Croatian language (idobraca)
#Updated translation: Slovenian translation (gandalfar)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
-Fix issue 04053: Little Layout problem, when template import fails     (tpartner)
-Fixed #4044: "To" and "subject" header in emails are inserted twice (mennodekker)
-Fixed issue #4047: Mandatory date question can be skipped if survey is inactive (c_schmitz)
-Fixed issue #4052: Token access code truncated in MSSQL 2005 (c_schmitz)
-Fixed issue #4055: Conditions do not survive import/export when Dual-Scale question is used a condition source (lemeur)
-Fixed issue #4057: List DropDown question's answer resets to default value when user gets back to the page where it is displayed (lemeur)
-Fixed issue #4066: Error when adding/editing assessments (c_schmitz)
-Fixed several HTML errors (mennodekker)


Changes from 1.87+ (build 8243) to 1.87+ (build 8279) - Legend: # updated feature, - bug fix 
+New feature: Added radio(list) to array_filter and array_filter_exclude (jcleeland)
#Updated feature #4020: Show fullname and assigned rights in survey security settings overview (mennodekker)
#Update translation: Croatian (idobraca)
#Updated translation: Finnish by Tapio Nurminen 
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated translation: Norwegian bokmal by Pal Monstad (
#Updated translation: Polish (elisa-ls)
#Updated translation: Slovenian (gandalfar)
-Fixed issue #4053: Little Layout problem, when template import fails     (tpartner)
-Fixed issue #3734: Notice "Deprecated: Function set_magic_quotes_runtime() is deprecated" when running statistics (c_schmitz)
-Fixed issue #3994: When importing a survey with an unknown template, question preview is mixed up (mennodekker)
-Fixed issue #4036: exclude_all_others question attribute design changed  (c_schmitz)
-Fixed issue #4036: exclude_all_others question attribute design changed (c_schmitz)
-Fixed issue #4041: Unable to filter statistics by date range (c_schmitz)
-Fixed issue #4045: Questions with only numeric answercodes export to string in SPSS (mennodekker)
-Fixed issue #4050: Problem with Array (flexible labels) dual scale in data entry mode using a multi language labelset (mennodekker)
-Fixed issue: Error on MSSQL when creating a survey (c_schmitz)
-Fixed issue: Group ordering icon does not show up with normal users (c_schmitz)
-Fixed issue: Template for 'Completed'-page not being editable (c_schmitz)
-Fixed issue: the other-textinput isn't displayed when using Question preview for Dropdown list questions (lemeur)

Changes from 1.87+ (build 8227) to 1.87+ (build 8242) - Legend: # updated feature, - bug fix
#Updates translation: Croatian language file (idobraca)
#Updates translation: Slovenian translation (gandalfar)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated Feature: small change to the release notes filename. This shorter filename will will ease the release process. (lemeur)
-Fixed issue: If question attributes were set to invalid (but working) True/False values they will be converted to 1/0 now on upgrade from a 1.86 or earlier. (c_schmitz)

Changes from 1.87 (build 8214) to 1.87+ (build 8227) - Legend: # updated feature, - bug fix
#Updated translation:  Croatian (idobraca)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated translation: Romanian by Bogdan State (c_schmitz)
#Updated translation: Thai - sponsored by LimeService (c_schmitz)
#Updated translation: Polish (elisa-ls)
-Fixed issue #4026: Date Format Problems (PHP) - settings set in config.php were not properly used as a first default for the global settings dialog (c_schmitz)
-Fixed issue #4031: When choosing to never check for updates it is always checked. (c_schmitz)
-Fixed issue #4032: Export of question group structure fails using MSSQL Db server (c_schmitz)
-Fixed issue (unreported): Values in global settings are sanitized better now. (c_schmitz)

Changes from 1.87RC5 (build 8151) [29-11-2009] to 1.87 (build 8214) - Legend: # updated feature, - bug fix
#Updated translation: Croatian (idobraca)
#Updated translation: Chinese Traditional (Hong Kong) by Mark Yeung http://www.pstudy.net 
#Updated translation: French (b00z00)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated translation: Romanian by Stefaniu Criste 
#Updated translation: Spanish (es) (kadejo)
#Updated translation: Thai sponsored by LimeService 
#Updated translation: Polish (elisa-ls)
-Fixed issue #4002: LimeReplacementfield window: no scrollbar or tooltips available    (tpartner)
-Fixed issue #4011: Notice after changing admin user rights for a survey is not centered     (tpartner)
-Fixed issue #4022: Some notices at the admin panel are not centered     (tpartner)
-Fixed issue #4023: Use Full name instead of User/Login name at sender name     (tpartner)
-Fixed issue #3727: Valid from and Valid until dates on tokens do not control access when user had already an open session on the token (c_schmitz)
-Fixed issue #4017: Open source SPSS alternative PSPP has issues with syntax (mennodekker)
-Fixed issue #4016: error with slider-max value displayed in slider when setting slider accuracy (lemeur)
-Fixed issue #3835: Javascript code embedded in question text is displayed at condition editor in question list  (c_schmitz)
-Fixed issue #3872: now the other keyword if forbidden in answer and label codes. (lemeur)
-Fixed issue #3940: PHP error when running a a survey with conditions based on Tokens but no token table exists. (lemeur)
-Fixed issue #3968: Arabic text in statistics graphs did not display correctly (c_schmitz)
-Fixed issue #3980: Notices at viewing token information via browse responses (c_schmitz)
-Fixed issue #3981: Tokens screen - some fields are too small when editing (c_schmitz)
-Fixed issue #3983: Unable to show some template pages for editing when using Croatian or French as admin language (c_schmitz)
-Fixed issue #3984: Admin registration email subject untranslated (c_schmitz)
-Fixed issue #3985: Untranslated text in statistics (c_schmitz)
-Fixed issue #3987: Upgrade now showing start and endtime (c_schmitz)
-Fixed issue #3989: Javascript code in (Excel) export (c_schmitz)
-Fixed issue #3990: Javascript code visible in LimeReplacementFields window (c_schmitz)
-Fixed issue #3993: After updating using the ComfortUpdate the message 'Update available ...' remains in the upper right (c_schmitz)
-Fixed issue #4000: Some untranslated strings (c_schmitz)
-Fixed issue #4001: Deleting a label set under some old browser does not work (c_schmitz)
-Fixed issue #4005: Number of active and deactivated surveys is not correctly displayed (c_schmitz)
-Fixed issue #4008: No warning when invitations are to be sent for an inactive survey (c_schmitz)
-Fixed issue #4009: List of failed tokens isn't displayed (c_schmitz)
-Fixed issue #4015: SQL-error when updating label set code using MSSQL server db (c_schmitz)
-Fixed issue: DB is not properly updating in ComfortUpdate due to missing /install dir (c_schmitz)
-Fixed unreported issue: missing </td> (mennodekker)
-Fixed unreported issue: duplicate label code isn't checked in the new label input box (lemeur)
-Fixed unreported issue: issue when a survey doesn't display any question due to conditions (based on tokens). (lemeur)
-Fixed issue #4006: Possible inaccurate data when exporting to R (mennodekker)


Changes from 1.87RC4 (build 8002) [29-11-2009] to 1.87RC5 (build 8151) - Legend: # updated feature, - bug fix
+New feature: Multiple choice questions: When using excludeAllOthers feature in connection with RandomizeAnswers the excludeAllOthers option stays on its predefined position now (c_schmitz)
+New feature: Start/Expiry is now date and time (previously only date) (c_schmitz)
#Updated feature: SPSS export now configurable for SPSS version - patch by Menno Dekker (c_schmitz)
#Updated translation: Croatian (idobraca)
#Updated translation: Norwegian BokmÃƒÂ¥l (reidarok)
#Updated translation: Czech by VladimÃƒÂ­r Braun (c_schmitz)
#Updated translation: Dutch by Fred Dekkers & Han Velthuis (c_schmitz)
#Updated translation: Dutch by Fred Dekkers (c_schmitz)
#Updated translation: Dutch Informal by Han Velthuis (c_schmitz)
#Updated translation: French (b00z00)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated translation: Slovakian (c_schmitz)
#Updated translation: Spanish (es) (kadejo)
#Updated translation: Thai - sponsored by LimeService (c_schmitz)
-Fixed issue #3695: Text export no longer truncated for SPSS version 16 and up. (mennodekker)
-Fixed issue #3832: Updated admin template editor to allow functional editing of 1.86 templates. (eric_t_cruiser)
-Fixed issue #3879: Embedded javacript is shown in admin notification emails (c_schmitz)
-Fixed issue #3880: Error at wrong admin input for "Reminder count" (c_schmitz)
-Fixed issue #3882: Templating problems with some question type in RTL languages (c_schmitz)
-Fixed issue #3889: When exporting result data from a Dual Scale question on MSSQL it gives an error (c_schmitz)
-Fixed issue #3890: Restoring a token table fails in MSSQL (c_schmitz)
-Fixed issue #3893: Tab layout issue when creating a group in multilingual surveys (c_schmitz)
-Fixed issue #3896: Evaluation of migrating to jQuery progressbar     (tpartner)
-Fixed issue #3896: Evaluation of migrating to jQuery progressbar  (tpartner)
-Fixed issue #3896: Evaluation of migrating to jQuery progressbar (tpartner)
-Fixed issue #3903: "show advanced settings" in question edit mode shows bad alginments  (tpartner)
-Fixed issue #3905: display columns doesnt work  (tpartner)
-Fixed issue #3906: Gender and Yes/No with wrong alignment  (tpartner)
-Fixed issue #3910: $maxselectlength might not have been initialized (jcleeland)
-Fixed issue #3914: Email button appearing in token list even though there is no email address (c_schmitz)
-Fixed issue #3915: Error in statistics  (tpartner)
-Fixed issue #3916: Unable to test Question type: Ranking at Question Preview (tpartner)
-Fixed issue #3919: Email batch size can be set to 0 (c_schmitz)
-fixed issue #3921: Notice at generating tokens (maziminke)
-Fixed issue #3922: Little layout issue at deleting a survey  (c_schmitz)
-Fixed issue #3923: Little layout issue at List Survey (c_schmitz)
-Fixed issue #3924: Notices & warnings during runtime and statistics when using a language question (c_schmitz)
-Fixed issue #3925: IE8: Extra space in admin panel   (tpartner)
-Fixed issue #3925: IE8: Extra space in admin panel (tpartner)
-Fixed issue #3926: Save button in admin panel not fully readable in IE (c_schmitz)
-Fixed issue #3927: Timer - survey breaks when moving to previous question, and previous question has expired timer with action 2 (jcleeland)
-Fixed issue #3928: Confirmation email to multiple admins? (jcleeland)
-Fixed issue #3929: Incorrect new line in SPSS export version info breaks unicode (mennodekker)
-Fixed issue #3930: Double include for config.php (mennodekker)
-Fixed issue #3932: Start & expiry date pickers partly obscured in survey settings (c_schmitz)
-Fixed issue #3933: error with slider show min and show max (lemeur)
-Fixed issue #3935: Charset problem in emails causing problems in Lotus notes (c_schmitz)
-Fixed issue #3936: Export: Underscore added at the end of every variable name when selecting "convert spaces to underscores"  (c_schmitz)
-Fixed issue #3938: Conditioned question does not appear after using the 'Previous' button (lemeur)
-Fixed issue #3941: Error in parameter function gT (c_schmitz)
-Fixed issue #3943: Text in template editor not translated (c_schmitz)
-Fixed issue #3944 & #3942: Some untranslated text strings (c_schmitz)
-Fixed issue #3946: Missing files reported in webserver error log (c_schmitz)
-Fixed issue #3961: Captcha at Public registration isn't working (c_schmitz)
-Fixed issue #3962: PDF of printable answers fails (c_schmitz)
-Fixed issue #3965: Browsing responses might fail at multilingual surveys (c_schmitz)
-Fixed issue #3967: Tokens are now exported with BOM in the beginning to make Excel open it properly in UTF-8 (c_schmitz)
-Fixed issue #3972: In statistics when clicking the button to open the list of text answers given two windows are opened (c_schmitz)
-Fixed issue #3973: Statistics fails on Multi Flexi question type on MSSQL DB (c_schmitz)
-Fixed issue #3974: Workaround code is displayed in PDF of Print Answers (c_schmitz)
-Fixed issue #3975: Error at recovering existing token table (c_schmitz)
-Fixed issue: Integrity check is not working due to a simple typo (lemeur)
-Fixed issue: Registration confirmation wasn't properly using the right template path (c_schmitz)


Changes from 1.87RC3 (build 7996) to 1.87RC4 (build 8002) [29-11-2009] - Legend: # updated feature, - bug fix
#Updated translation: French (b00z00)
#Updated translation: Portuguese Brazilian by Yoshitake 
-Fixed issue #3913: Clean installation failing with error message "Error getting tokens" (c_schmitz)
-Fixed issue: Json_decode error for PHP versions < 5.2 (c_schmitz)

Changes from 1.87RC2 (build 7886) to 1.87RC3 (build 7996) [27-11-2009] - Legend: + new feature, # updated feature, - bug fix
+New feature: Array_filter_exclude cascade functionality. If question 3 is excluding answers based on question 2, and question 2 is excluding answers based on question 1, then question 3 will also exclude answers based on question 1. (jcleeland)
+New feature: Added file permission checks on the ComfortUpdate updater (c_schmitz)
+New feature: When using the ComfortUpdate updater the changelog will be shown for the range you are updating (c_schmitz)
#Updated Feature: Token export now adds the attribute description in the header, next to the attribute_x fieldname (lemeur)
#Updated translation: Croatian (idobraca)
#Updated translation: French (b00z00)
#Updated translation: Dutch Informal by Han Velthuis 
#Updated translation: Dutch by Han Velthuis 
#Updated translation: Finnish by Tapio Nurminen <tapio dot nurminen at tietokannat dot fi> 
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated translation: Norwegian BokmÃƒÂ¥l. By Reidar ÃƒËœksnevad <reidar dot oksnevad at freecode dot no> 
#Updated translation: Portuguese Brazilian by Yoshitake <yoshitake at pucsp dot br> 
#Updated translation: Slovakian by Pavel Cerny  <pcerny at gmail dot com>
#Updated translation: Spanish (kadejo)
#Updated translation: Galician(calidonia)
#Updated translation: Polish (elisa-ls)
#Updated translation: Simplified Chinese (yooyooh)
-Fixed #3851: Layout Problem at Email Templates (lemeur)
-Fixed #3855: Exporting tokens fails when having additional attributes. (lemeur)
-Fixed #3870: issue with mod_auth_cas where mod_auth_cas is tampering with the  parameter. (lemeur)
-Fixed #3872: minor notices at survey activation in some cases (lemeur)
-Fixed issue #03858: Bug in new feature - wasn't checking for existence of string before evaluating string (jcleeland)
-Fixed issue #03875: Integritycheck: some strings are not ready to be translated (jcleeland)
-Fixed issue #03875: Integritycheck: some strings are not ready to be translated - changed translations to full sentences with placeholders (jcleeland)
-Fixed issue #3754: Notices at generating charts at statistics (c_schmitz)
-Fixed issue #3800: When using INSERTANS to insert a date the related date format from survey settings for that language is not used (c_schmitz)
-Fixed issue #3848: Configured default language of a user doesn't get used (c_schmitz)
-Fixed issue #3849: Field "Reminder sent?" is missing at edit tokens view (c_schmitz)
-Fixed issue #3850: Layout issue at creating additional token fields (c_schmitz)
-Fixed issue #3853: "Print answers" fails when using tokens (c_schmitz)
-Fixed issue #3854: Invitations are send even if a token is not valid yet/anymore (lemeur)
-Fixed issue #3882: Templating problems with List Radio Question type in RTL languages (c_schmitz)
-Fixed issue - various bugs in or caused by new feature including overwriting of saved responses with exclude_filter, and stray printing of characters with array_increasesamedecrease question type. (jcleeland)
-Fixed issue: Saving email settings is not working (c_schmitz)
-Fixed issue: Security vulnerability when using the mysqli driver (c_schmitz)
-Fixed issue: Semantic differential right text in array question not showing up (c_schmitz)
-Fixed unreported bug: import token from CSV always return a error message because it doesn't count total imported tokens. (lemeur)
-Fixed unreported issue: the condition editor displays duplicated conditions for multi-lingual surveys. (lemeur)


Changes from 1.87RC1 (build 7886) to 1.87RC2 (build 7922) [18-11-2009] - Legend: + new feature, # update feature, - bug fix
#Updated feature: Removed settings available in global settings from config.php - added $debug setting to config.php, added new database types and explanations to config.php (c_schmitz)
#Updated feature: Statistics dialogue was reworked (c_schmitz)
#Update of Croatian language (idobraca)
#Updated translation: German (c_schmitz)
#Updated translation: Spanish (es) (kadejo)
#Updated translation: Polish (elisa-ls)
+New feature - array_filter now works for multiple option questions (jcleeland)
+New feature - array_filter_exclude - hides options based on answers to previous question. Works in opposite way to array_include (jcleeland)
-Fixed issue #3483: the forgot password screen is limitted in username and email length making it impossible to retrieve passwords for users with very long email addresses (thanks to Taliesen)
-Fixed issue #3852: Bug during update - wrong slash in update.php 
-Fixed issue #3831: When adding HTML tag at text questions the survey crashes (c_schmitz)
-Fixed issue #03840: Error when using time control (jcleeland)
-Fixed issue #03841: Settings does not appear (timer text messages not appearing) - was more a bug with the entire textarea modification to the question attributes handling. Now solved. (jcleeland)
-Fixed issue #3833: Warning during a fresh install (c_schmitz)
-Fixed issue #3834: Date questions always are displayed as Drop Down Questions (c_schmitz)
-Fixed issue #3835: Javascript code embedded in question text is displayed at condition editor in question list (c_schmitz)
-Fixed issue #3836: Problem with mandatory date question (c_schmitz)
-Fixed issue #3837: Date questions at Statistics: some parts are differently aligned  (c_schmitz)
-Fixed issue #3839: Text not translated in token attribute field configuration (c_schmitz)
-Fixed issue 3843 "No default value set for token length" for MS SQL and Postgres (maziminke)
-Fixed issue 3843 "No default value set for token length" when creating a new survey. (maziminke)
+New feature: Emailmethod now configurable in global settings (c_schmitz)
+New feature: SMTP debug mode which can be switched on in global settings (c_schmitz)


Changes from 1.86 (build 7689) to 1.87RC1 (build 7886) [13-11-2009] - Legend: + new feature, # update feature, - bug fix
+New feature #3292 and #2857: slider min and max can now be displayed below the slider (using the slider_showminmax question attribute). Slider Left and Right text can be displayed before and after the slider (using the slider_separator question attribute and using specific answers format). (lemeur)
+New feature: Reworked question attributes -  they are shown as a form now and in fieldsets 
+New feature #3758: Possibility to define a favicon for a template (el-matador-69)
+New feature: Reworked Saved responses and added table sorting capabilities (c_schmitz)
+New feature: Token length can now be set for each survey (maziminke)
+New feature: CSS to differentiate alternate rows by background colour and to highlight row when mouse is hovering over it in admin/styles/default/adminstyle.css (eric_t_cruiser)
+New feature: New ID to table, <thead> and <tbody> tags to improve accessibility and rendering (eric_t_cruiser)
+New feature #2359: On token import you can configure which fields are used for the duplicate check (c_schmitz)
+New feature #3367: Browse buttons in statistics for comments in Multiple Options with comment question type (patch by rocknrole) (c_schmitz)
+New feature #3467 and #2712: All token fields are now exported - on export you can specify certain filters now (c_schmitz)
+New feature #3555: Question attribute to hide a question - patch by flohack (c_schmitz)
+New feature #3686: Option to ignore duplicate label sets on import thus being able to copy existing label sets (c_schmitz)
+New feature #3724: Link to public statistics on home page survey list (c_schmitz)
+New feature: Optimized error handling on token import (c_schmitz)
+New feature: Separate on-top template RTL CSS file is now automatically included when a RTL language is used. New TAG {TEMPLATECSS} takes care of this and template.css (c_schmitz)
+New feature: Survey list is now sortable and Survey ID is shown as additional column (c_schmitz)
+New feature: Global settings dialog for most common settings from config-defaults.php
#Updated feature #2935: In Slider questions, you can make the slider cursor start at the middle position without setting the initial value of the answer (if the question is mandatory, the participant will the have to slide the cursor in order to proceed) (lemeur)
#Updated feature #3488: improvement in condition designer, the code is now displayed before the question text (usability improvement kindly provided by mdekker) (lemeur)
#Updated feature #3612: improve client-side performance while evaluating conditions on the same page (lemeur)
#Updated feature #3738: Update FCKEditor to v2.6.5 (lemeur)
#Updated feature #3799: Assure that there is always a submit button even if the last group has no questions (in group per page mode). See the new show_empty_group_if_the_last_group_is_hidden parameter in config-defaults.php (patch kindly provided by ronvdburg) (lemeur)
#Updated feature: In the LimeSurvey answer saving engine, the answer of a question that is hidden due to conditions is now recorded in DB as NULL instead of an empty string. (lemeur)
#Updated feature: Better handling of group description hiding in all-in-one surveys when all questions in the group are hidden by conditions. (lemeur)
#Updated translation: French (b00z00)
#Updated translation: Spanish (es) (kadejo)
#Updated translation: Croatian (idobraca)
#Updated translation: Galician by Carlos Neira Cortizas (c_schmitz)
#Updated translation: German (c_schmitz)
#Updated translation: Lithuanian - sponsored by Silberauto.ee & LimeService.com (c_schmitz)
#Updated translation: Simplified Chinese (yooyooh)
#Updated translation: Polish (elisa-ls)
-Fixed issue #3805: Assignment of class attributes to <td> tags in dual-scale questions   (tpartner)
-Fixed issue #3821: Question Attribute "Column" isn't working   (tpartner)
-Fixed issue #3823: Layout problem after importing a question    (tpartner)
-Fixed issue #3825: List (radio) by columns not behaving    (tpartner)
-Fixed issue #3572: Statistics not equal to Pie Charts. (lemeur)
-Fixed issue #3735: In printable survey the multiflexi numerical is not translatable (Patch kindly provided by mdekker). (lemeur)
-Fixed issue #3739: Wrong order of conditionnal answers in Editor display (lemeur)
-Fixed issue #3742: Scenario number displayed as Default if only one scenario is used (lemeur)
-Fixed issue #3763: Double Tooltip at Condition Designer (lemeur)
-Fixed issue #3785: No possibility to set other field as condition for 'List Flexible Labels Dropdown' and 'List Flexible Labels (Radio)' questions (lemeur)
-Fixed issue #3818: Copy conditions function doesn't differentiate between upper and lower case. (lemeur)
-Fixed issue #2713: SPSS export of data is in a strange order (mdekker) 
-Fixed issue #3718: Question preview differs in design from survey at runtime (c_schmitz)
-Fixed issue #3719: Little usability problem with automatic generated answer codes (c_schmitz)
-Fixed issue #3720: Repeated answer header design being different to normal header in bluengrey and default template (c_schmitz)
-Fixed issue #3747: Font size of suffix is too large in bluengrey-template  (c_schmitz)
-Fixed issue #3750: Captchas don't work anymore due to changed session handling (c_schmitz)
-Fixed issue #3753: Notice at VV-Import, if option "Import as not finalized answers?" is set at import (c_schmitz)
-Fixed issue #3761: Template 'default': font size too large for some question types (c_schmitz)
-Fixed issue #3784: Can't create survey if expiry date is set (jcleeland)
-Fixed issue #3795: Encoding problem at Question List of Condition Editor. (lemeur)
-Fixed issue #3798: importing conditions based on Token fields fails. (lemeur)
-Fixed issue #3806: do_array_flexible - Repeating header no answer produce one column too much (patch by beatjoerg) (c_schmitz)
-Fixed issue #3807: Evaluation of 'Not equal' conditions is different in Group by group mode. When the condition is Q1 is not 'Answer2', when no answer is given to Q1, the group title was displayed, but not the question. (lemeur)
-Fixed issue #3826: Progress bar text is not translated  (c_schmitz)
-Fixed issue #3827: Javascript code shown in question name at question dropdown list (c_schmitz)
-Fixed issue #3829: Error on survey submission when using assessments and a dual scale question type (c_schmitz)
-Fixed issue #3812: Layout issue at Up & Down Arrows  (tpartner)
-Fixed issue #3791: preview question is broken in latest development version (eric_t_cruiser)
-Fixed issue on Postgres update (c_schmitz)
-Fixed unreported issue: When deleting a template the template rights were not removed (c_schmitz)
-Fixed unreported issue: integrity check may be broken when specific conditions are used (conditions on token values). (lemeur)
-Fixed unreported issue: 'Not Equals -NoAnswer-' condition doesn't work in all-in-one surveys (lemeur)
-Fixed unreported issue: incorrect message at template import (lemeur)
-Fixed issue 03772: made the various elements of the question wrapping <DIV> available to question.pstpl if desired. (eric_t_cruiser)
-Fixed issue 03772: updated question.pstpl for all templates to include wrapping div previously supplied by LS system and the contents of question_start.pstpl. Removed redundant question_start.pstpl from all templates. (eric_t_cruiser)
-Fixed issue 03791: Made keywords work in question preview. (eric_t_cruiser)
-Fixed issue #03778: New lastpage property breaks SPSS export (mennodekker)
-Fixed issue #3772. Allowed all template keywords from question_start.pstpl to be used in question.pstpl (eric_t_cruiser)
-Fixed issue #3796: Slider Problem in IE - patch kindly provided by tpartner - THX! (el-matador-69)
-Fixed issue #3809: added missing asterisk css part at template.css for clear_logo template - THX to jelo! (el-matador-69)
-Fixed issue 03736: Removed extra <form> open tags from user template permission form in admin/userrighthandling.php. (eric_t_cruiser)
-Fixed issue minor error while checking for SoapClient Class (wahrendorff)

Changes from 1.85+ (build 7689) to 1.86 (build 7697) [28-09-2009] - Legend: + new feature, # update feature, - bug fix
-Fixed issue #3640: Mandatory question is not working on ranking type (c_schmitz)
-Fixed issue #3729: Survey startlanguage not being recorded accurately (c_schmitz)
#Updated translation: Polish (elisa-ls)
#Updated translation: Simplified Chinese (yooyooh)
#Updated translation: German (c_schmitz)

Changes from 1.85+ (build 7660) to 1.85+ (build 7689) [28-09-2009] - Legend: + new feature, # update feature, - bug fix
#Updated translation: Croatian and Italian language (idobraca)
#Updated translation: French. (b00z00)
#Updated translation: Dutch by Fred Dekkers. (jaycburton)
#Updated translation: German (c_schmitz)
-Fixed #03687: LDAP import of names with apostrophes fails. Patch kindly provided by sradman. (lemeur)
-Fixed #03699: disapearing '\' in conditions values (constant or regexp) when PHP magic_quotes are turned on. (lemeur)
-Fixed #03700: bug in the condition editor, cannot test for empty values. (lemeur)
-Fixed issue (unreported): Removed duplicate tip on question with comments (c_schmitz)
-Fixed issue (unreported): Start & expiry date were not respecting set time differences (c_schmitz)
-Fixed issue: Problems to edit certain pages in template editor when admin language is not English (c_schmitz)

Changes from 1.85+ (build 7636) to 1.85+ (build 7660) [21-09-2009] - Legend: + new feature, # update feature, - bug fix
#Updated translation: Dutch by Menno Dekker. (jaycburton)
#Updated translation: Finnish by Tapio Nurminen. (jaycburton)
#Updated translation: German (c_schmitz)
#Updated translation: Lithuanian by Piotras Cimmperman. (jaycburton)
#Updated translation: Swedish (maxz)
#Updated translation: French. (b00z00)
#Updated translation: Croatian and Italian language (idobraca)
-Fixed #03687: LDAP import of names with apostrophes fails. Patch kindly provided by sradman. (lemeur)
-Fixed #03699: disapearing '\' in conditions values (constant or regexp) when PHP magic_quotes are turned on. (lemeur)
-Fixed #03700: bug in the condition editor, cannot test for empty values. (lemeur)
-Fixed #3408: Question type F (array flexible labels) not shown right in printable survey if answer is empty (c_schmitz)
-Fixed issue #3667: Multibyte data saved as question marks even when collation correct in database (c_schmitz)
-Fixed issue #3680: Improve CSRF security alert to let users know what might cause the error (c_schmitz)
-Fixed issue #3685: Notice when captchas are activated in index.php (c_schmitz)
-Fixed issue (unreported): Removed duplicate tip on question with comments (c_schmitz)

Changes from 1.85+ (build 7591) to 1.85+ (build 7636) [15-09-2009] - Legend: + new feature, # update feature, - bug fix
#Updated translation: Estonian by Hando Riisikamp (c_schmitz)
#Updated translation: IT by Giuseppe De Marco. (jaycburton)
#Updated translation: IT-Formal by Giuseppe De Marco. (jaycburton)
#Updated feature: Question attribute "hide_tip" now available for question type N (numerical input), bugtracker ticket 3635. (maziminke)
-Fixed #03663: SurveyID INSERTANS in ExitUrl (both link and url description) isn't converted to new ID (lemeur)
-Fixed another SQL errors while importing surveys with INSERTANS tags and magic_quotes on. (lemeur)
-Fixed issue #03529: END URL - thanks janokary (jcleeland)
-Fixed issue #03645: Ranking question show popup when $showpopus = 0; (jcleeland)
-Fixed issue #03660: Token import accepts invalid characters in the token value (c_schmitz)
-Fixed issue #03674: Slider having value "0" is shown as "no answer" when using SGQA at a following question (lemeur)
-Fixed issue #3596: IE8 crashing on filtered multi flexi text array due to malformed HTML - thank you Microsoft for having wasted several hours of my life with your badly-coded browser (c_schmitz)
-Fixed issue #3618: Can't load temporary saved survey on MSSQL (c_schmitz)
-Fixed issue #3637: Per default the form tag will now try to disable auto-completion on surveys - this makes sense where people are using the same PC and browser to fill out surveys. (c_schmitz)
-Fixed issue #3643: Superadmin cannot VVExport surveys owned by others (thanks to ITEd) (c_schmitz)
-Fixed issue #3651: Date question behaving erratic on inactive survey when going forward and back. Fixed date question unable to handle very old dates before 1970 (on Windows) and 1901 on Linux (c_schmitz)
-Fixed issue #3655: Reordering groups & questions does not work under certain conditions (c_schmitz)
-Fixed issue #3658: Import fails with SQL error when magic_quotes is activated on the server (c_schmitz)
-Fixed issue #3672: Error message after last 5 point array message (c_schmitz)

Changes from 1.85+ (build 7548) to 1.85+ (build 7591) [08-09-2009] - Legend: + new feature, # update feature, - bug fix
#Update of Croatian language (idobraca)
#Updated Language: French. (b00z00)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
-Fixed issue #03542: ORed conditions based on multiple choices questions options are not correctly evaluated in 'question by question' surveys and sometimes in 'group by group' surveys (lemeur)
-Fixed issue #3575: On dataentry screen answers are duplicated if survey has multiple languages (c_schmitz)
-Fixed issue #3596: Array_filter attribute not working correctly  when used with a Multiflexi array question  (c_schmitz)
-Fixed issue #3610: Question preview not identical to the survey because question CSS class was missing (c_schmitz)
-Fixed issue (unreported): Error Message when using Huge free text question type (c_schmitz)
-Fixed issue 03600: it's possible to delete a token without a warning (pressing the red cross). You should include a security hint: Are you sure to delte this token? (paraya)
-Fixed issue: Removed obsolete PHP4 limit on import which breaks on very big survey structure data fields (c_schmitz)
-fixed #3641: general style error at all print templates ==> corrected hevetica to helvetica (el-matador-69)
-fixed #3644: missing '>' in statistic_user.php leaded to ugly results in all IE Browsers (el-matador-69)

Changes from 1.85+ (build 7524) to 1.85+ (build 7548) [31-08-2009] - Legend: + new feature, # update feature, - bug fix
#Updated translation: French (b00z00)
#Updated translation: Polish (elisa-ls)
#Updated translation: Dutch Informal by Gert Mensing. (jaycburton)
#Updated translation: Dutch by Menno Dekker (jaycburton)
#Updated translation: German (c_schmitz)
#Updated translation: German Informal (c_schmitz)
#Updated translation: Russian by Alexander Matrunich. (jaycburton)
#Updated translation: Slovenian by Tomi Zurej. (jaycburton)
#Updated translation: Swedish (maxz)
-Fixed issue #3394: Drop down datefield behaving strange when repeatedly submitted and a mandatory block occurs (c_schmitz)
-Fixed issue #3586: Added alt tags on text input boxes for improved accessibility (c_schmitz)
-Fixed issue #3588: User with survey right 'Browse responses' can delete/modify saved answers (c_schmitz)
-Fixed issue #3596: Array_filter attribute not working correctly  when used with a Multiflexi array question (c_schmitz)
-Fixed issue #3602: Valid from and Valid until fields in tokens don't accept different time than 0:00 (c_schmitz)



Changes from 1.85+ (build 7454) to 1.85+ (build 7523) [24-08-2009] - Legend: + new feature, # update feature, - bug fix
#Updated translation: Croatian (idobraca)
#Updated translation: French (b00z00)
#Updated Language: French. (b00z00)
#Updated language: Greek (el). By Yiannos Katsirintakis. (kadejo)
#Updated language: Spanish (es) (kadejo)
#Updated language: Chinese Simplified (yooyooh)
#Updated translation: Sinhalese kindly provided by Chinthaka Jayasundara, Kasun Wickramasuriya and Sachini Shakila (c_schmitz)
#Updated translation: Swedish (maxz)
-Fixed issue #3573: xhtml does not validate because of missing space in qanda.php (el-matador-69)
-Fixed issue #3574: Apostrophe (single quote) in free text crashes the survey when magic quotes are off (c_schmitz)
-Fixed issue #3584: MS SQL Error when trying to export results to application (c_schmitz)
-Fixed issue #3487: NULL database values for start/expiry dates are not exported correctly (c_schmitz)
-Fixed issue #3590: Quota cannot be imported or exported (jcleeland)
-Fixed issue #3389: Respondents can re-start survey (using tokens) after terminating via quota conditions (c_schmitz)
-Fixed issue #3460: Apostrophes in additional attributes of token table errors on edit (c_schmitz)
-Fixed issue #3472: Import of JavaScript with "\n" in strings converts "\n" to real newlines (c_schmitz)
-Fixed issue #3550: Multiple options with comments missing browse buttons in statistics (c_schmitz)
-Fixed issue #3568: Files with hyphens in their name cannot be deleted (c_schmitz)
-Fixed issue #3580: Start/end date prevent the preview of a survey even if it is not active yet (c_schmitz)
-Fixed issue (unreported) where deleting survey did not delete related quota information. (jcleeland)
-Fixed issue (unreported) when importing a really old PHPSurvey survey (c_schmitz)
-Fixed issue (unreported) html warning "unresolved </strong>" in viewanswers. Removed offending item. (jcleeland)



Changes from 1.85+ (build 7393) to 1.85+ (build 7454) [12-08-2009] - Legend: + new feature, # update feature, - bug fix
+New feature (minor) Added id to registration form "Continue" button to allow for DOM access (jcleeland)
#Updated translation: French (b00z00)
#Updated translation: Slovak by Marek Haller. (jaycburton)
#Updated translation: Chinese Simplified (yooyooh)
#Updated feature: when adding a label set in the languages listbox appears the session language by defect instead of English (paraya)
#Updated translation: German (c_schmitz)
-Fixed an issue with preg_match and conditions (c_schmitz)
-Fixed issue #3557: Saved answers get deleted across survey when the result id is matching (c_schmitz)
-Fixed issue: Automatic code counting for labels now working (c_schmitz)
-Fixed issue: HTML validating correctly now on survey creation (c_schmitz)
-Fixed issue: Survey data getting lost during survey creation when survey title is not set  (c_schmitz)
-Fixed issue: When creating a group and the group title was forgotten then the data was lost (c_schmitz)
-Fixed issue: When creating a question and the question code was forgotten then the data was lost (c_schmitz)
-Fixed issue #3533: When not answering a mandatory question in All-in-one survey mode and using captchas you are getting the captcha page again (c_schmitz)
-Fixed issue #3548: Question attribute page_break cannot be used on all question types (mennodekker)
-Fixed issue #3491: CAPTCHA - verification not found when rewrite is activated (c_schmitz)
-Fixed issue #3536: SPSS export incorrectly exports numerical only labelsets as alpha fields (mennodekker)
-Fixed issue #3545: MSSQL error when trying to view public statistics for a survey. (c_schmitz)
-Fixed issue #3546: Re-editing an assessment with embedded Flash object causes the Flash object to break (c_schmitz)
-Fixed issue #3458: Translation problem when you print answers (paraya)
-Fixed issue #3517: When adding new questions they can't be added at the beginning (paraya)
-Fixed issue #3444: fields in reminder will not be replaced (wahrendorff)
-Fixed issue #3493: removeBOM is undefined (wahrendorff)


Changes from 1.85+ (build 7337) to 1.85+ (build 7393) [03-08-2009] - Legend: + new feature, # update feature, - bug fix

#Updated translation: Croatian. (idobraca)
#Updated translation: Czech by Vladimir Braun. (jaycburton)
#Updated translation: Italian. (idobraca)
#Updated translation: French. (b00z00)
#Updated translation: Polish(elisa-ls)
#Updated translation: Slovak by Marek HallÃƒÂ©r. (jaycburton)
#Updated translation: Spanish (es) (kadejo)
+New feature: CSS class for cells within array (flexible label) question type. This way cells within the table can have a background color assigned using CSS. (maziminke)
-Fixed bug #03459: Using a "lower than" > character as code within label set leads to a save error in the end user survey form (jcleeland)
-Fixed issue # 03514: Font size of suffix is too large in template bluengrey (c_schmitz)
-Fixed issue #3436: Corrupted progress box with RTL languages in mint_idea template - patch by kabapy (c_schmitz)
-Fixed issue #3439: Javascript is disabled on saving an assessment (c_schmitz)
-Fixed issue #3445: Disabling going to previous q: does not work if back button used in browser - idea by chrizzler (c_schmitz)
-Fixed issue #3446: Create indexes on tokens (c_schmitz)
-Fixed issue #3452: LimeSurvey and PHP 5.3 (c_schmitz)
-Fixed issue #3468: Error while exporting survey structure on MSSQL server (c_schmitz)
-Fixed issue #3507: Results for Array (flexible labels) show HTML when viewing a single answer (c_schmitz)
-Fixed issue #3510: A group made only of conditional questions will fail to show in Internet Explorer with some templates (lemeur)
-Fixed issue #3513: Dual Scale Matrix: Radio Buttons not centered at Question Preview  (c_schmitz)
-Fixed issue #3515: Label set assessment values are not exported correctly (c_schmitz)
-Fixed issue #3518: Can't import conditions based on token:attributtes (c_schmitz)
-Fixed issue #3519: Graph legends are not visible well on IE6 (c_schmitz)
-Fixed issue #3526: Unable to use tokens with hyphens in (c_schmitz)
-Fixed issue #3527: Due to SQL bad syntax, survey can not be activated at all under PostgreSQL (any version). Tested on PostgreSQL and MySQL. (kadejo)
-Fixed issue in several templates that could prevent the Question-Help to be displayed correctly (lemeur)
-Fixed issue: Notice if there are not 'Other' files in template editor (c_schmitz)
-Fixed wording in conditions editor incorrectly reporting 'Inexistant Token table' for conditions based on tokens (lemeur)
-Fixed bug #3505: "INSERTANS not working when referring to Array (flexible labels) questions". (maziminke)



Changes from 1.85+ (build 7253) to 1.85+ (build 7337) [20-07-2009] - Legend: + new feature, # update feature, - bug fix

#Updated translation: Croatian and Italian language (idobraca)
#Updated translation: French. (b00z00)
#Updated translation: Formal Italian by Jay C. Burton. (jaycburton)
#Updated translation: Dutch by Menno Dekker. (jaycburton)
#Updated translation: Greek by Manolis Stamatogiannakis. (jaycburton)
#Updated translation: Italian-Formal by livio. (jaycburton)
#Updated translation: Albanian translation updates by Gjergi Sheldija. (jaycburton)
#Updated translation: Polish update (elisa-ls)
#Updated translation: Some translation improvements by Dimitris Zacharopoulos. (jaycburton)
#Updated translation: Translation updates by Mark Yeung. (jaycburton)

-Fixed "an attribute value specification must be an attribute value literal unless SHORTTAG YES is specified" HTML error message. (maziminke)
-Fixed #3485: Datepicker translation doesn't work (mennodekker)
-Fixed bug #03478: Reminder contraint settings not used after first email batch (jcleeland)
-Fixed bug #03479: At creating a token it's not possible to enter a token start or an token end date (jcleeland)
-Fixed issue #03451: a survey with an empty questions-group can be activated which can hang the server at runtime (lemeur)
-Fixed issue #3471: Data from radio lists with alphanumeric labels is incorrectly exported to R and SPSS (mennodekker)
-fixed Issue: importQuestion did not import the question. (wahrendorff)
-fixed: Sherpa Template - Limited textarea width to 90%. Before it was set to 99% which partly broke the layout. (maziminke)

Changes from 1.85+ (build 7191) to 1.85+ (build 7253) [08-07-2009] - Legend: + new feature, # update feature, - bug fix

#Updated feature: FCKeditor updated to release 2.6.4.1 in order to fix several serious security issues. (lemeur)
#Updated feature: UTF-8 BOMs on token import are now filtered (c_schmitz)

#Update of Croatian and Italian language (idobraca)
#Updated language: spanish (es) (kadejo)
#Updated translation: German (c_schmitz)
#Updated translation: German informal (c_schmitz)
#Updated translation: Polish update (elisa-ls)

-Fixed #03426: unable to activate a survey as a NON-Superadmin over lsrc (wahrendorff)
-Fixed #3410: Notice at SPSS and R Export cause empty export (mennodekker)
-Fixed an issue in the conditions copy screen for multi-languages surveys: questions where displayed several times (lemeur)
-Fixed an issue with conditions where group descriptions could be displayed in all-in-one surveys even if all questions are hidden (lemeur)
-Fixed issue #3421: On date questions the calender view only starts with 1999. The dropdown_year_max and dropdown_year_min attributes are used for the popup calendar as well (c_schmitz)
-Fixed issue #3427: Problem viewing text answers in stats screen (c_schmitz)
-Fixed issue #3433: CSS class questionhelp (for question tip) is enclosed between escaped double quotes in the clear_logo template (c_schmitz)
-Fixed issue: Added .js to allowed file upload types (c_schmitz)
-Fixed issue: Missing CSS include when using the slider layout and so making the slider layout not working at all (c_schmitz)
-Fixed issue: Template preview for printable survey (c_schmitz)
-Fixed numerous issues with alert messages (min answers, max answers, mandatory other comment) not displayed when the question text is on several lines (lemeur)
-Fixed: Problems with gT function on a non-object fixed (wahrendorff)

Changes from 1.85+ (build 7162) to 1.85+ (build 7191) [29-06-2009] - Legend: + new feature, # update feature, - bug fix

+New feature: In SPSS and R export all token fields are exported on a non-anonymous survey (mennodekker)

#Updated translation: French. (b00z00)
#Updated translation: Polish translation update (elisa-ls)

-Fixed #3303: "Error updating - Query was empty" when editing survey settings (c_schmitz)
-Fixed #3391: Google Chrome misplaces content in admin interface (c_schmitz)
-Fixed #3391: Google Chrome misplaces table in result detail screen (c_schmitz)
-Fixed #3396: Updated Release Notes (PHP 5.x is required) (el-matador-69)
-Fixed #3410: Notice at SPSS and R Export cause empty export (mennodekker)
-Fixed issue #3393: group may remain hidden in all-in-one surveys even if one or more question of the group are not conditionnal. (lemeur)
-Fixed issue #3395: year_max attribute doesn't work (mennodekker)
-Fixed issue #3398: Template editor complains about missing files (c_schmitz)
-Fixed issue #3402: Conditional questions disappear when navigating to a new group and back (list dropdown questions). (lemeur)
-Fixed issue #3403: Conditional questions disappear when validation failed (list dropdown questions). (lemeur)
-Fixed issue #3405: {TOTAL} always displays a sum of 0 (c_schmitz)
-Fixed issue #3407: Umlauts in public statistic are not properly shown on some browsers (c_schmitz)
-Fixed issue #3412: Expand/Reduce buttons in admin panel at survey-level don't work (c_schmitz)
-Fixed issue #3414: Indent alignment of lines after the first line in radio list questions (c_schmitz)
-Fixed a PHP 5.0 incompatibility with some questions types (c_schmitz)
-Partial Fix for issue #02984: Ability to define level of variable (ordinal) now also available in R export. (mennodekker)


Changes from 1.85 stable (build 7115) to 1.85+ (build 7162) - Legend: + new feature, # update feature, - bug fix

#Updated translation: Croatian and Italian language (idobraca)
#Updated translation: spanish (es) (kadejo)
#Updated translation: German (c_schmitz)
#Updated translation: Chinease Simplified - Help Files encoding with utf8 (yooyooh)
#Updated translation: Chinease Simplified - Updated Language Files (yooyooh)
#Updated translation: Minor updates to the Hungarian language file by Gergely Kutenics. (jaycburton)
#Updated translation: Polish translation update (elisa-ls)

#Updated Feature Statistics: statistics can now be send to a pdf File in addition to browser (wahrendorff)
#Updated Feature: tcpdf class updated to 4.6.0.15 (wahrendorff)
#Updated: lsrc test survey.csv file (wahrendorff)

-Fixed #3360: Typo in config-defaults.php (el-matador-69)
-Fixed #3366: Show other responses open a popup with the admin page (mennodekker)
-Fixed #3371: in all-in-one survey, groups may remain hidden even if some questions of the group should be displayed (due to conditions). (lemeur)
-Fixed #3385: PHP Error when creating new survey with single quotes (c_schmitz)
-Fixed Issue: Lsrc was not able to import the questions of a survey anymore (wahrendorff)
-Fixed bug: jason's stupid forgotten dbversion update (jcleeland)
-Fixed issue #3336: Layout problem with lists in question text and question help text (c_schmitz)
-Fixed issue #3338: Assessments: LimeReplaceMent-Field display issue (lemeur)
-Fixed issue #3342: Escaping problem at user group description (c_schmitz)
-Fixed issue #3349: Printable Survey: Layout problem at "Type Q - Multiple Short Text"  (c_schmitz)
-Fixed issue #3352: Start date doesn't work if it is set to today's date (c_schmitz)
-Fixed issue #3353: Translated "Other"-field is too long and is placed over input field  (c_schmitz)
-Fixed issue #3355: Checkbox for "Other" option is missing at Printable-version  (c_schmitz)
-Fixed issue #3356: Update database on mssql fails (c_schmitz)
-Fixed issue #3362: Broken conditions after importing whole group or survey using single checkboxes as source of conditions (lemeur)
-Fixed issue #3365: Can not set survey quotas with MSSQL Server (c_schmitz)
-Fixed issue #3369: trying to export to queXML doesn't work (c_schmitz)
-Fixed issue #3370: Assessment calculation is wrong with multiple choice questions having the same answer code (c_schmitz)
-Fixed issue #3372: dropdown dates can't be validated  (c_schmitz)
-Fixed issue #3373: multiple options with commentary and multiple short text doesn't work in IE7 in all templates but default (c_schmitz)
-Fixed issue #3384: Assessments: LimeReplaceMent-Field does not work when editting an existing assesment text (lemeur)
-Fixed issue #3386: JS-Error with LimeReplacement-Field at Assessments (lemeur)
-Fixed issue: error notice when activating a survey on mssql showing under certain conditions (c_schmitz)
-Fixed issue: the {PERC}  tag is now displayed in the LimeReplacementField select box for assessment texts (lemeur)


Changes from 1.82 to 1.85 stable (build 7115)
+New Feature: Experimental CAS Client (wahrendorff)
+New Feature: Now it is possible to select whole groups in statistics with one click. (wahrendorff)
+New feature: Define level of variable to make SPSS export easier Fixed bug #02984 (mennodekker)
+New feature: Survey list in administration toolbar now groups surveys by "active", "expired" and "inactive" - moves expired surveys out of list of current active. (jcleeland)
+New feature: buttons to adjust the preview size for templates according to some standard web screen sizes (jcleeland)
+New feature: templates system automatically generates required css and js files if they don't exist in a directory (jcleeland)
+New feature: Definable date format for each survey language (c_schmitz)
+New feature: New setting for statistics charts to set font and font size config.php.  If set to auto the best possible font for a language is chosen. Also RTL languages are now properly reversed for chart display (c_schmitz)
+New feature: User-definable dateformat & separate user profile screen for administration users (c_schmitz)
#Updated feature #03013: Group titles don't disappear when hiding all questions in a group. This can be switched off in config.php by the new '' parameter. (lemeur)
#Updated feature: List survey publicly now activated by default when creating a new survey (c_schmitz)
+New feature: new question attribute other_comment_mandatory for multiple options with comment questions. This fixes partly issue #2882. (lemeur)
+New feature: Tabs can be inserted now in template editing area (c_schmitz)
+New feature:  caching for graphs in public and non-public statistics - speeds up statistics creation times up to 95% when using graphs (c_schmitz)
+New feature #2917: Limesurvey does now remember which language was edited after button action in design of multilingual survey (c_schmitz)
+New feature #2999: Suppress mandatory & validation popups - patch provided by bdg (c_schmitz)
+New feature: Major overhaul of the template editor (c_schmitz)
+New feature: Various database drivers (mysqli, odbtp, mssql_n) added to supported DB drivers (c_schmitz)
#Removed feature: Removed templates blue_heaven, bubblegum, edgyblue, phpsurveyor, softgreencurves - these are available now in the file repository on http://www.limesurvey.org (c_schmitz)
#Updated feature: removed indiscriminate stripping of <BR> tags from qtitle in qanda.php. Added recursive stripping of <BR> tags from the END of qtitle in qanda.php (eric_t_cruiser)
+New Feature: Dynamic token attributes (adding/naming multiple token attributes), the token table can be managed before survey activation.
+New Feature: Conditions can be based on token attributes (lemeur)
+New Feature: the condition editor GUI helps using a previous answer as target of a condition (no more need to know the SGQA code for this) (lemeur)
+New Feature: #2923: Individual validity time for a token (c_schmitz)
+New Feature: array_filter for ranking questions (jcleeland)
+New Feature #2531: Possibility to set a "Default" at Array (Multi Flexible) (jcleeland)
+New Feature: #02995: Quota Termination should have programmable URL, option for auto-redirect, and editable text (jcleeland)
+New Feature: Importing Token form LDAP is now compliant with the new multiple-token-attributes features. (lemeur)
+New Feature: New parameter to make the standard templates read-only - if a user wants to edit a template a copy has to be created (c_schmitz)
+New feature: ANDed conditions for type M and P questions (lemeur)
+New Feature: #3055: Passing parameters in End URL (email address from survey, {INSERTANS:1234X56X78}, {PASSTHRULABEL} and {PASSTHRUVALUE} codes which will be replaced by values passed in the initial survey query url as ?passthru=AWORD&AWORD=1234 (jcleeland)
+New Feature: #2986: template.js is now added to templates
+New Feature: When exporting codes, convert "Y" to "1" now allows selecting what y is converted to. (jcleeland)
+New Feature: When exporting codes, can now convert "N" in Yes/No question type to "2" (or any other character) (jcleeland)
+New Feature: When exporting codes, can now convert "Y" in Yes/No question type to "1" (or any other character) (jcleeland)
+New Feature: #03012: Multiple short text question needs text_input_width attribute (jcleeland)
+New Feature: Template import (c_schmitz)
+New Feature: Deleting a template is now possible (c_schmitz)
+New Feature in lsrc: sGetFieldmap, gets the fieldmap from a survey as csv from the lsrc (wahrendorff)
#Updated Feature: token import from LDAP now accept mixed-case attribute names in config-ldap.php. (lemeur)
#Updated default/template.css to convert highly breakable css for multiple-text,, multiple-numeric and multiple-options-with-comment to much more robust CSS2, 'display:table' styling (doesn't work in IE6 or IE7 but works fine in IE8) moved all original breakable CSS to IE conditional CSS files. (tested FF IE6,IE7, IE8: default, basic, bluengrey, blue_heaven, bubblegum, business_grey, clear_logo, edgyblue, eirenicon, limespired, mint_idea, phpsurveyor, sherpa, softgreencurves ). (eric_t_cruiser)
#Updated Feature: Named worksheet in exported xls like surveytitle (wahrendorff)
#Updated Feature: Questions Codes can now be shown in the printlayout({QUESTION_CODE}), Conditons refer to -number, -code and questiontext. Easier Sentence structure for notes on Conditions for easier translations. (wahrendorff)
#Updated Feature:  printlayout, Question code is shown in addion to the question number. Conditional Notes refer to Number, Code and questiontext for full identification possibilities. (wahrendorff)
+New feature: Email address in surveylist is now 'encoded' (c_schmitz)
+New feature:Persistent connections for better performance (default: off) (c_schmitz)
+New feature: checks if the template have a print_survey.pstpl, if not, use the default template for print output (wahrendorff)
+Numerous bug fixes

Changes from 1.81 to 1.82 (build 6757) [2009/04/29] - Legend: + new feature, # update feature, - bug fix

+New Feature: Invalid email list after upload from CSV or LDAP - patch by bdg (c_schmitz)
+New Feature: in remotecontrol (lsrc), sGetFieldmap, gets the fieldmap from a survey as csv from the lsrc. (wahrendorff)
+New Feature: Quota provides quick csv summary export (jcleeland)
+New Feature: Quota summary highlights unfinished quota entries (jcleeland)
+New Feature: Quotas now shows total completed (jcleeland)
+New feature in group order - detects faulty group_order numbering and fixes before displaying groups (jcleeland)
+New language translation: Sinhalese translation by Janaka Padukka (c_schmitz)
#Updated Language: Czech (macduy)
#Updated Language: Hungarian - kindly provided by MiklÃ³s KrivÃ¡n (c_schmitz)
#Updated Language: Polish - kindly provided by Ela Lesinska (elisa) (c_schmitz)
#Updated language: German & German (informal) (c_schmitz)
#Updated language: German translation (c_schmitz)
#Updated translation: Turkish by A. Murad BAYRAM (c_schmitz)
#Updated remotecontrol (lsrc): #03060: sInsertParticipants, Token parameter added in order to provide a token to a dataset. If no token is provided, a unique one will be generated. (wahrendorff)
#Updated remotecontrol (lsrc): sCreateSurvey, Parameter for the endtext added, be caucious when using this function and updating lsrc or Limesurvey. (wahrendorff)
#Updated remotecontrol (lsrc): added Endtext to sCreateSurvey in testclient (wahrendorff)
#Updated remotecontrol (lsrc):  improved docs, removed obsolete global $dbprefix (wahrendorff)
#Updated remotecontrol (lsrc): survey templates (wahrendorff)
#Updated Feature: issue #3006: Small change to make graphs more comprehensible - patch and idea by Ptigrouick (c_schmitz)
#Updated Feature: "Filter incomplete answers", "enable"/"disable" has always been confusing for users (jcleeland)
#Updated Feature: You can now choose to browse records, statistics or export using filter by incomplete records as well as complete records, or all records (jcleeland)
-Fixed #2354: Database error with MSSQL when editing users with a non-super admin. (c_schmitz)
-Fixed #3052: Notice at adding a user group (lemeur)
-Fixed #3058: Only created 32768 tokens automatically - massive speedup for token generation - generates 50,000 tokens in 2 minutes now on a decent server (c_schmitz)
-Fixed #3071: Setting slider minimum caused slider to break (c_schmitz)
-Fixed issue #03078: possible security vulnerability in Lsrc fixed (wahrendorff)
-Fixed issue : lsrc, wrong where condition for setting the endtext, (wahrendorff)
-Fixed issue: lsrc, fixed misunderstanding of java dateobjects delivered to sActivateSurvey (wahrendorff)
-Fixed issue #3053: User Statistics not displayed properly (wahrendorff)
-Fixed issue: lsrc, sInsertParticipants now working like expected and documented (wahrendorff)
-Fixed issue: lsrc, sInsertParticipants was not generating tokens after last changes. (wahrendorff)
-Fixed LimeReplacementFields not working for the End-Message. (lemeur)
-Fixed a bug where a survey admin could move a question to another group in an activated survey: this is not supported by LS1 (lemeur)
-Fixed bug unquoted sql in assessments code see http://www.limesurvey.org/component/option,com_fireboard/Itemid,105/func,view/catid,1/id,26424/lang,en/ (jcleeland)
-Fixed bug: spss requires period and new line after variable and before CACHE. command (jcleeland)
-Fixed bug: {URL} replace was causing error message (jcleeland)
-Fixed issue #2872: Survey overview page having no title (c_schmitz)
-Fixed issue #3039: Many notices in token/assessments screen with Postgres DB (c_schmitz)
-Fixed issue #3044: Slider_default does not display (lemeur)
-Fixed issue #3065: No Answer condition won't work. (lemeur)
-Fixed issue #37: List (Flexible Labels) (Dropdown) Other option was not saved (c_schmitz)
-Fixed issue when trying to save after editing question on activated survey (c_schmitz)
-Fixed issue where negative values for multi-fley question types weren't allowed (c_schmitz)
-Fixed issue where survey URL did not appear when description being empty (c_schmitz)
-Fixed issue with duplicated columns when browsing multiple Array Multi Flexible questions in results (c_schmitz)
-Fixed issue with error when using multiple Multi-flexi text questions and printing answers by participiant (c_schmitz)
-Fixed issue with fatal error on viewing a single repsonse when using multiple Array Multi Flexible questions (c_schmitz)
-Fixed issue with standard end text not appearing when end text is empty (c_schmitz)
-Fixed issue: Edited label set could not be saved in Postgres (c_schmitz)
-Fixed issue: Import of question types was dumbed down due to version restriction (c_schmitz)
-Fixed issue: Notices when exporting to CSV file (c_schmitz)
-Fixed upload image not working for assessments. (lemeur)
-Fixed Issue unknown: changed mysql_escape_string to db_quote... now hopefully working for all db types... (wahrendorff)
-Fixed issue #2332: VVimport fails with MSSQL DB (c_schmitz)
-Fixed issue #3025: On MS SQL Server editing template rights does not list any templates (c_schmitz)
-Fixed issue #3042: Assessments don't work correctly with multiple choice questions (c_schmitz)
-Fixed issue with MSSQL installation not creating admin user properly (c_schmitz)
-Fixed issue with repeating headings aligned wrong on dual scale question (c_schmitz)
-Fixed issue: Small change to the RemoteControl test client to ensure notices are not thrown (c_schmitz)
-Fixed issue #3035: Automatic loading of end URL does not work (c_schmitz)
-Fixed Other-Comment field not displayed in the participant's print-answers window after submission when using a multiple choice question with comments and Other enabled (lemeur)
-Fixed issue #3005: No < index in Conditionhandling (wahrendorff)
-Fixed issue in printablesurvey.php - needed global $rootdir (jcleeland)
-Fixed issue: The getgrouplistlang() function now will display contents of html tags if the entry would otherwise be empty. (jcleeland)
-Fixed issue: browse single record when incomplete entry was broken from changes to filterincomplete (jcleeland)
-Fixed issue: minor bugs with new quota features fixed (jcleeland)
-Fixed issue #3004: 'Other/OtherComment' option does not appear for multiple choice with comments in the printable version. (lemeur)
-Fixed issue #3029: Error message on submission with assessments when using questions with label sets (c_schmitz)
-Fixed issue #3030: Notice at Assessments when trying to add an assessment and no groups exist in a survey (c_schmitz)
-Fixed wrong native description for Bosnian language (c_schmitz)
-Fixed issue with pg: Syntax error in install script (wahrendorff)
-Fixed issue with pg: wrong concat chars on upgrade (wahrendorff)
-Fixed issue #3021 (SQL error at public statistics using MS SQL database) (maziminke)
-Fixed: changed donation link to new general donation link: donate.limesurvey.org (el-matador-69)

Changes from 1.80 to 1.81 [2009/04/10] - Legend: + new feature, # update feature, - bug fix

+New feature #2841: Multilingual assessments - feature kindly sponsored by 'Western Norway Research Institute' (c_schmitz)
+New feature #2858: End text / thank you text in last page - feature kindly sponsored by 'Western Norway Research Institute' (c_schmitz)
+New feature #2858: Language-specific end URL - feature kindly sponsored by 'Western Norway Research Institute' (c_schmitz)
+New Feature sSendEmail added (wahrendorff)
+New Feature: $max_columns to config-defaults.php. (eric_t_cruiser)
+New Feature: (minor) Added survey title to browse menu bar heading (jcleeland)
+New Feature: Added list question types ("L", "O" and "!") to quota feature (jcleeland)
+New Feature: Data entry improvement - when adding question attributes, screen returns to form (jcleeland)
+New Feature: default variable $export4lsrc for the lsrc export (wahrendorff)
+New Feature: Move group order directly in addition to just up and dn (like you can with question order) (jcleeland)
+New Feature: New question attributes for multiple numerical questions - max_num_value_sgqa, min_num_value_sgqa and num_value_equels_sgqa - use previous question/answer as values using SGQA identifier (jcleeland)
+New Feature: One time passwords. The user can call the limesurvey login at /limesurvey/admin and pass username and a one time password which was previously written into the users table (column one_time_pw) by an external application. Furthermore there is a setting in config-defaults which has to be turned on (default = off) to enable the usage of one time passwords. (maziminke)
+New Feature: printablesurvey.php is now template aware. have removed templates/print and added all the print template files to each of the other templates. Now each template can have its own print template. (eric_t_cruiser)
+New Feature: Quota dataentry screen returns to previous page position after adding new member or quota (makes data entry on large quota lists faster) (jcleeland)
+New Feature: sSendEmail. You are able to send invitations, reminders and custom messenges with lsrc, to participants of a specific survey. (wahrendorff)
+New Feature: this will enable the possibility to save your surveystructure to the lsrc survey directory if $export4lsrc is set to true in config.php (wahrendorff)
+New Feature: Total quota limit shown at end of list (jcleeland)
+New Feature: webservice email sender (wahrendorff)
#Updated default template end page to look a little nicer (c_schmitz)
#Updated Feature #2795: Print Answers not displaying all answers (lemeur)
#Updated Feature #2795: Print Answers now skip answers from questions that were hidden due to branching-logic. (lemeur)
#Updated Feature: added Auto-Redirect parameter (wahrendorff)
#Updated Feature: added Title parameter to sImportMatrix (questioncode) (wahrendorff)
#Updated Feature: delete obsolete files (wahrendorff)
#Updated feature: forgotten .csv file (wahrendorff)
#Updated Feature: give name and Description to imported groups (wahrendorff)
#Updated feature: new dirs, changed import functions (wahrendorff)
#Updated Feature: the .csv Files have been changed slightly. (wahrendorff)
#Updated Feature: the logic to import surveys and groups expanded to omport of surveys, groups and questions.  (wahrendorff)
#Updated Language: French. (b00z00)
#Updated Language: Welsh. By Sion Pennant <sion.pennant@powys.gov.uk> (kadejo)
#Updated Language: Welsh. By Sion Pennant <sion.pennant@powys.gov.uk> (kadejo)
#Updated palette file with nicer colors for graphs (thanks to level420) (c_schmitz)
#Updated Language: German (c_schmitz)
-Fixed #02976 Remove boilerplate questions from export to SPSS and R (mennodekker)
-Fixed #2950 Added some more validation to SPSS variable names and added escaping to variable labels to prevent errors with quotes inside the description. (mennodekker)
-Fixed #2953 & 2971: (eric_t_cruiser)
-Fixed #2953 & 2971: tests for PHP version then uses appropriate sysntax for preg_replace() (eric_t_cruiser)
-Fixed #2962: (eric_t_cruiser)
-Fixed #2963: Any superadmin can accidentally delete the parent superadmin rights (c_schmitz)
-Fixed #2967: (eric_t_cruiser)
-Fixed a bug in mssql update (c_schmitz)
-Fixed a bug with MSSQL in statistics failing with Multi-Flexi array (c_schmitz)
-Fixed a missing trailing "/" at the end of the link tag (maziminke)
-Fixed an issue with users table and sql 2000 addressed in defect 02354  (bobc55)
-Fixed bug #2996: problem with multiple question attributes (maziminke)
-Fixed bug 02964: Error in SQL syntax while importing answers to survey (jcleeland)
-Fixed bug: removed unnecessary function getSurveyName from common.php, removed additional function variable in browseMenubar(), removed unnecessary changes to browse.php from new feature. (jcleeland)
-Fixed bug: The "At beginning" option wasn't showing for change question order when there were no condition dependencies. Also tidied code formatting indents. (jcleeland)
-Fixed bug: zero values were not being included in mathematical calculations for stdev, avg, min, max, sum, and quartile calculations.  (jcleeland)
-Fixed Feature: custom Email ignores the maxemail setting for now. (wahrendorff)
-Fixed Feature: Output of sTokenReturn Response fixed. (wahrendorff)
-Fixed issue #2943: Phantom Help question marks when there is no Help text (lemeur)
-Fixed issue #2955: Question type P othercomment is not working in admin (lemeur)
-Fixed issue #2959: Problems with condition editor and @SGQA@ codes for Date and numerical questions (lemeur)
-Fixed issue #2970: Show printable survey fails if allow_url_fopen is set to false (c_schmitz)
-Fixed issue #2998: answer is recorded as completed although a mandatory question is not answered but the finish button is clicked (appears only on last page. (lemeur)
-Fixed Issue 2964: maybe fixed random error (wahrendorff)
-Fixed Issue: wrong template name fixed (wahrendorff)
-Fixed Issue: xhtml closing Tag for link added (wahrendorff)
-Fixed minor bug in rendering. Was adding a second opening wrapper for flexible list dropdown, now only adding one. (eric_t_cruiser)
-Fixed question type P and M with comment, other and othercomment not exporting data to SPSS and R (mennodekker)
-Fixed sending emails to user groups not giving a detailed error message on failure (c_schmitz)
-Fixed single qoute in answers is no longer removed in export to SPSS and R (mennodekker)
-Fixed some wording (c_schmitz)
-Fixed SQL for odbc_mssql from "NOT LIKE 0" to "<> 0" which should be a bit faster! Can someone using mssql test this doesn't break anything? (jcleeland)
-Fixed: Quota member delete was deleting all matching members, not just individual items (jcleeland)
-Fixed: updated error message on line 212 to display correct SQL when failing (jcleeland)



Changes from 1.72 to 1.80 [2009/03/09]

New features:

New question types and new questions attributes:
 New question types: Array Multi Flexible (Numbers & Text) (jcleeland)
 New question type: Slider - developed as a variant of multiple numbers question
 New question type: Array of checkboxes - implemented as a variant of Array Multi Flexible (Numbers) (lemeur)
 Questions updates: limit possible answers for rank questions (jcleeland)
 Questions updates: having many 'Exclude all others' (jcleeland)
 New Feature: Added min_answer feature for the following question types: Multiple options, multiple options with comments and ranking question - patch was kindly provided by F.Markham (c_schmitz)
 New Feature: Added question attribute "alphasort" to sort a list of radiobuttons or a dropdown list alphabetically before display. (maziminke)
 New Feature: Question attributes dropdown_dates_year_max and dropdown_dates_year_min for question type date using dropdown layout (maziminke)
 New Feature: Enable numbers_only attribute for Array (Multi Flexible Text) adapted from a patch by user level420. (lemeur)
 Question update: Dropdown list options can be grouped by categories


New management features:
 LimeSurvey Remote Control (Soap gateway to remotely control LimeSurvey) (wahrendorff)
 Support of ORed questions in conditions (adapted from Ron L.J. van den Burg's patch). (lemeur)
 New condition designer interface (lemeur)
 Added new setting 'public statistics' to survey settings, added link appearing at the end of a survey when 'public settings' is switched on (c_schmitz)
 Improved user registration email (c_schmitz)
 'Iterate Survey' icon available in the browse answers screen (only available for non anonymous surveys with allow persistence for token answers set to yes.) (lemeur)
 New options in token reminder management to limit the numbers of sent emails to participants (max number, min delay between emails)
 Adding a start date to the surveys (c_schmitz)
 Added result export to R (patch provided by Livio) (c_schmitz)
 Add direct link to imported question/group/survey after import (lemeur)
 Improved Admin Login (c_schmitz)
 Added possibility to split up the amount of exported responses at one time (Problem with max_execution_time) (lemeur)
 Question Attribute "public_stats" to filter which question statistics should be shown to the user (maziminke)
 Expiry-Date Tag for E-Mails, Welcome Page,... (lemeur)
 Changed layout order of Dual Scale Matrix in statistics (Mazi)
 Added translations for question attributes (c_schmitz)

Core Changes:
  Templates have been changed for better accessibility and layouts without tables (eric_t_cruiser)
  Replaced jpgraph with pChart - that way nice graphs in statistics can be shown without installing jpgraph (c_schmitz)
  Database performance enhancements (bobc55)
  Fancy URLs (c_schmitz)
  Updated toolbar icons (c_schmitz)


New translations:
  New language: Dutch informal by Gert Mensing <gertmensing@gmail.com> (kadejo)

Updated translations:
    Updated Language: Czech language updated. By Ivo Raisr. (kadejo)
    Updated Language: French. (b00z00)
    Updated Language: German (c_schmitz)
    Updated Language: German informal (c_schmitz)
    Updated Language: Dutch. By Jan-Willem ?. (kadejo)
    Updated Language: Finnish. By Juuso Heinisuo. (kadejo)
    Updated Language: French. (b00z00)
    Updated Language: French by Alain Cedelle. (kadejo)
    Updated Language: Galician language updated. By Carlos Neira Cortizas. (kadejo)
    Updated Language: Greek language updated. By Yiannos Katsirintakis. (kadejo)
    Updated Language: Italian. By Giovanni Chiozza. (kadejo)
    Updated Language: Norwegian BokmÃ¥l. By Reidar Ã˜ksnevad. (kadejo)
    Updated Language: Polish (xqleg)
    Updated Language: Portuguese Brazilian by AndrÃ©a SimÃµes (c_schmitz)
    Updated Language: Portuguese Brazilian by FlÃ¡vio Veras (c_schmitz)
    Updated Language: Russian. By Pavel Tokarev. (kadejo)
    Updated Language: Serbian language updated. By Miroslav Jovanovic. (first in Cyrillic alphabet). (kadejo)
    Updated Language: Slovenian language update (gasper_koren)
    Updated Language: Spanish translation updated. (kadejo)
    Updated Language: Swedish (maxz)
    Updated Language: Thai. By Worawuth Nilchawna. (kadejo)
    Updated Language: Turkish by A. Murad BAYRAM (c_schmitz)


Fixed issues:
    -Fixed: Changed default survey format to group-by-group (c_schmitz)
    -Fixed: datecreated is set to today when a survey gets imported/created... (wahrendorff)
    -Fixed: text-align of right answers in differential array will always align left. (wahrendorff)
    -Fixed: create datafields for multiple-numerical-question answers as Float instead of Varchar(20) (wahrendorff)
    -Fixed issue #2880: 'Other' in a Multiple Choice Question (with/without comment) is not counted by MinNumAnswers. (lemeur)
    -Fixed issue with CAPTCHA & tokens biting each others ass on survey start (c_schmitz)
    -Fixed issue #2885: Corrupt pdf download with Internet Explorer (wahrendorff)
    -Fixed an issue with multiple choices questions with comment having only 1 choice and using a table-based template: clicking the comment field resets the checkbox status and filling in the text field doesn't update the conditions for questions on the same page. (lemeur)
    -Fixed an obsolete XSS filter call on result save (c_schmitz)
    -Fixed empty page with latest Firefox version by correctly timing the alert window using jQuery. (c_schmitz)
    -Fixed issue #2803: Title and description not properly escaping single quotes when adding a multi-lingual group (c_schmitz)
    -Fixed issue #2812: The attribute fields are not in dedicated columns in the token view grid (c_schmitz)
    -Fixed issue #2819: Validation REGEXP is not stored for certain question types (c_schmitz)
    -Fixed issue #2845: When using Array (Flexible Labels) dual scale, the exported survey results header are not clear (lemeur)
    -Fixed issue #2879: Conditions based on Rank Question don't work in a Group by Group Survey when the questions are on the same page (lemeur)
    -Fixed issue #2893: Send reminders not working correctly with "Min days between reminders:" for the very first reminders (lemeur)
    -Fixed issue #2906: Embedded Javascript showing in overviews when browsing or viewing questions (c_schmitz)
    -Fixed issue #2911: When copying questions the validation text isn't copied (lemeur)
    -Fixed issue #2937: Multiple Question with Minimum Answers set to any value does not allow go in when is hidden by any conditions. (lemeur)
    -Fixed issue #2938: Set 'Convert resources links?' to YES by default when importing groups and labels (lemeur)
    -Fixed issue #2939: missing translation for a message at importing survey (lemeur)
    -Fixed issue #2942: SGQA identifier in conditions don't work in group-by-group mode (lemeur)
    -Fixed issue #2829: No notification is given after a successful condition copy. (lemeur)
    -Fixed issue with chained conditions (javascript errors and issues in mandatory checks). (lemeur)
    -Fixed issues when contents from Word documents is inserted when creating a survey (c_schmitz)
    -Fixed missing Korean flag (c_schmitz)
    -Fixed saving of label sets not working properly in MSSQL (c_schmitz)
    -Fixed when using a duplicate label set and trying to save all changes are lost (c_schmitz)
    -Fixed issue 02572: Removed all white space from with the tags wrapping {PRIVACYMESSAGE} (eric_t_cruiser)
    -Fixed issue #2891: Bar graph cut off (maziminke)
    -Fixed issue #02837: $repeatheadings in config-defaults.php causing column display for dual scale question to break (eric_t_cruiser)
    -Fixed issue #2898: Invitation and reminder sending confirmation script differ in what information they show (maziminke)
    -Fixed issue #2865: Link for deleting a single response record is working now. (wahrendorff)
    -Fixed issue #02835: Importing old responses did not work with Postgres. (wahrendorff)
    -Fixed issue: SPSS export to support Dual scale matrix- and Multi Flex Question Types and a basic variable name validation - provided by Menno Dekker (http://mennodekker.nl/) (el-matador-69)
    -Fixed issue: Changed default logo image of clear_logo and basic template to LimeSurvey logo (el-matador-69)
    -Fixed issue: Added translation for the warning message in importoldresponses.php (wahrendorff)
    -Fixed issue #2773: Dual Scale Matrix Header scale A is not showing (el-matador-69)
    -Fixed issue #2659: Little Problem with Default-Answer at Multiple Options Question Type and "Save All"-Button (lemeur)
    -Fixed issue #2771: Conditions defined in scenario are not correctly displayed in the printable survey page (lemeur)
    -Fixed issue #2766: Crash on converting INSERTANS on survey import. Many thanks to lynchmv (lemeur)
    -Fixed Firefox spellcheck not available in FCKeditor (c_schmitz)
    -Fixed MySQL 6 compatibility  - replaced deprecated TYPE directives (c_schmitz)
    -Fixed a bug preventing users to use answers from Array (Multi Flexible Text) questions in conditions (lemeur)
    -Fixed issue #1968: multi-lingual survey should be shown in best-matching language in public surveylist (c_schmitz)
    -Fixed issue #2015: array_filter does not work when survey in All-in-one mode and related questions are in different groups (c_schmitz)
    -Fixed issue #2356: Additional languages are not available when creating a new question (c_schmitz)
    -Fixed issue #2558: Session timeout issues under certain circumstances (c_schmitz)
    -Fixed issue #2739: Non-graceful fail on invalid token or language (c_schmitz)
    -Fixed issue #2753: Export results CSV does not give desired question codes  (c_schmitz)
    -Fixed issue #2763: Unable to use "Regenerate question codes: [Straight] [By group]" with MS SQL  - patch by lynchmv (c_schmitz)
    -Fixed issue #2786: Extraneous comma at end of line in CSV export (c_schmitz)
    -Fixed issue #2809: SPSS export fails on date field when no data in survey - patch kindly provided by mdekker (c_schmitz)
    -Fixed: now the copy condition button is disabled if no question is elligible for the condition copy. This fixes some warnings in the logs as well. (lemeur)
    -Fixed: issue #02804, now questions can be added to the top of the group (wahrendorff)
    -Fixed: minor html error in dropdownlists (wahrendorff)
    -Fixed: xhtml transitional 3 errors fixed (wahrendorff)
    -Fixed: Removed hard-coded color codes from submission page (c_schmitz)
    -Fixed: some bug with "close this window" isn't closing the window (wahrendorff)
    -Fixed: minor helptext changes (wahrendorff)
    -Fixed issue #2674 affecting multiple_choice_with_comments questions. This should fix numerous bugs affecting this question type. (lemeur)
    -Fixed a bug where LimeSurvey refuses to update a question attribute value to 0 (lemeur)
    -Fixed issue #2798: Extra period causes errors in SPSS exported value labels (Patch provided by ITEd) (el-matador-69)
    -Fixed issue #2668: exporting to SPSS, Multiple questions with other item,  shows  incorrect width in syntax file - thank you to pirulo_s (c_schmitz)
    -Fixed issue #2675: "Load unfinished survey" button not appearing in "All-in-One" surveys (c_schmitz)
    -Fixed issue #2682: backslash characters added to answers with text containing simple or double quotes. (Only occurs when PHP is set with magic_quotes_gpc enabled) (lemeur)
    -Fixed issue #2692: SPSS date field problem - thanks to Martin (ITEd) (c_schmitz)
    -Fixed issue #2699: Two Error message in templates.php and database.php didn't get correctly displayed. (el-matador-69)
    -Fixed issue #2703: INSERTANS not working in Question Help text (lemeur)
    -Fixed issue #2707: Debug >0 causes SPSS export problems due to notices (c_schmitz)
    -Fixed issue #2718: Validation not reset after changing to a question type with no validation (c_schmitz)
    -Fixed issue #2720: When deleting a group any attached assessments were not deleted. (c_schmitz)
    -Fixed issue #2729: Data Export of survey results sometimes sporadically fails will not function, SQL query error. Thank you to mlyman87 for debug testing. (c_schmitz)
    -Fixed issue #2740: bug in conditions when using possible answers from the same question (lemeur)
    -Fixed issue #2761: Removed XML header tag causing issues in IE6 (c_schmitz)
    -Fixed issue #2710: Field order on activation and fieldmap function was by title causing disorderly conduct for SPSS export question order :-) (c_schmitz)
    -Fixed part of ticket #2747: in label manager, LS doesn't report binding of the label to questions of new types ( '1' ';' ':')   (lemeur)
    -Fixed some invalid HTML (c_schmitz)
    -Fixes issue #2702 ("Inconsistency in mouseover for disabled actions") (maziminke)
    -Fixed issue #2709: Minor corrections on official LimeSurvey Sample Survey v1.80 (Thx to ITEd) (el-matador-69)
    -Fixed issue #2738 sql error with pg in surveylists and surveysecurity (wahrendorff)
    -Fixed issue #2766: Crash on converting INSERTANS on survey import. Many thanks to lynchmv (lemeur)
    -Fixed: empty values in K and N questions were '' instead of NULL. Now they will be written to the db as NULL Values... (wahrendorff)
    -Fixed: query in getuserlist() for postgres and mssql (added fields to group by clause) (wahrendorff)
    -Fixed: reminders are now send when HTML Format is turned off (wahrendorff)
    -Fixed: tablenames (wahrendorff)
    -Fixed: Removed example file from InputFilter class which is vulnerable to XSS (c_schmitz)
    -Fixed: closing body tag (wahrendorff)
    -Fixed: upgrade bug with mssql (thanks to lynchmv ) (c_schmitz)
    -Fixed: Now debug should ouput information also on systems with display_errors on off (c_schmitz)
    -Fixed export structure in quexml format: now working with adoDB instead of mysql only (wahrendorff)
-Fixed a small bug in the dataentry module when using Array of Increase/Decrease/Same question in condition. (lemeur)
    -Fixed CSS for slider question (lemeur)
    -Fixed Session Expired message when clicking the Clear Responses link after having tested a survey in preview mode (before activation). (lemeur)
    -Fixed a crash in dataentry when trying to update a response with numerical or date questions which are left empty (lemeur)
    -Fixed a missing closing ] after answer entry within the dataentry module (lemeur)
    -Fixed bar chart y scale where there is only 1 answer at maximum (c_schmitz)
    -Fixed introduction message also shown when there are already some surveys (c_schmitz)
    -Fixed issues with MSSQL update script (c_schmitz)
    -Fixed missing background for pie chart (c_schmitz)
    -Fixed missing lang parameter in several URLs when CAPTCHA is used for survey access: this could cause session timeout issues (as described in bug 02558). (lemeur)
    -Fixed missing percentage labels with pie chart (c_schmitz)
    -Fixed problems with surveys running in an iframe and dumb-struck IE7 (c_schmitz)
    -Fixed the URL in Execute Survey which doesn not contain the lang parameter. This might be the source of other issues experienced when using the Execute Survey button with surveys with only one language (lemeur)
    -Fixed the XSS filter making some words lowercase (c_schmitz)
    -Fixed timeadjust variable not being working correctly and causing 1.1.1970 datestamps (c_schmitz)
    -Fixed color of labeling of Slider Question Type of the mint_idea-Template - THX to Lemeur (el-matador-69)
    -Fixed color of progress bar of the bubblegum-Template to dark red (el-matador-69)
    -Fixed progress bar color of the eirenicon Template to dark blue (el-matador-69)
    -Fixed adapted maximum chars for question to be displayed at filter screen. (maziminke)
    -Fixed fixed bug at composition of question title at statistics filter screen for question type "K"/"Ks" (maziminke)
    -Fixed showSpeaker function now uses the speaker symbol again (maziminke)
    -Fixed #02588 part1: fix conditions on array of radio button questions that are ORed instead of ANDed in question-by-question mode. (lemeur)
    -Fixed #02588 part2: group description is displayed even if no question is be displayed in this group. This occurs only when a condition uses answers from a array question. (lemeur)
    -Fixed #02601: Bug when using a dropdown list question with category_separator and no options within the default category. (lemeur)
    -Fixed #02604: Warning "Undefined variable: hiddenanswers" when previewing sample survey (lemeur)
    -Fixed #02622: Misspelling in message: "Participiants may print answers?" (el-matador-69)
    -Fixed #02605: Use NULL values instead of '' in DB for double precise fields in pg and other db's. (wahrendorff)
    -Fixed #02532: with unexpected error when single quote is present in free text box and MSSQL server (c_schmitz)
    -Fixed #02582: Removed hardcoded width for result table (c_schmitz)
    -Fixed #02611: Missing Data Fields in SPSS dat file with 'Multiple Options With Comments' question type - thank you to louieuow (c_schmitz)
    -Fixed #02623: Repeated "continue" button when sending out reminders (c_schmitz)
    -Fixed #02455: Answering a date question in dropdown format doesn't evaluate conditions in group-by-group and all-in-one mode. (lemeur)
    -Fixed #02565: Can't take the survey several times on the same computer/browser without clearing the cookies (lemeur)
    -Fixed #02584: DataEntry - when submitting for user to continue to complete. (lemeur)
    -Fixed #02603: Can't access survey after activating. (lemeur)
    -Fixed #02609: labelset is not correctly assigned after importing a survey into another system. Thanks to teddyber (lemeur)
    -Fixed #02616: condition bug affecting short-text questions (lemeur)
    -Fixed #02621: "Could not insert data" when using the data entry screen (lemeur)
    -Fixed #02627: Error at "Type U - Huge Free text?" (lemeur)
    -Fixed #02654: Issues with conditions on numerical questions (lemeur)
    -Fixed #02656: Click into a cell at "Array (Multi Flexi) (Numbers) - Checkbox variant" should choose the option (lemeur)
    -Fixed #02666: New user shown multiple times (in non-admin view) (lemeur)
    -Fixed #02626: Error at "Type P - Multiple Options Question with Comments" (lemeur)
    -Fixed #02637: moved total/remaining box over to left and removed background color on rank question. (eric_t_cruiser)
    -Fixed #02583: corrected some layout issues, harmonized output of zero values (maziminke)
    -Fixed #02606: Inconsistent Layout at filter screen (statistics) (maziminke)
    -Fixed #02587: Adjusting elements at login screen so they all have the same width. (maziminke)
    -Fixed #02633: changed background colour for columns to same as rows (eric_t_cruiser)
    -Fixed #02655: JavaScript for Multiple Numerical now inserts a class instead of font styles for calculated total value and total value tip. (eric_t_cruiser)
    -Fixed #02539: No statistics for date question type (maziminke)
    -Fixed #02612: fixed (wahrendorff)
    -Fixed #02630: changed variable that defines question type. (eric_t_cruiser)
    -Fixed #02660 and #2664: added IE6 and IE7 specific tweaks plus updated template.css to include some missing classes (eric_t_cruiser)
    -Fixed #02636: added appropriate css. (eric_t_cruiser)
    -Fixed #02643: fixed a problem at queXML export and added export support for more question types (Ranking (R), List with Comment (O), Multiple Choice wit Comment (P)). The code will also create a single response question with a response category "NOT SUPPORTED" if the conversion does not support the question type. This means that a valid queXML file should be produced more often - even if it does not support the question structure in LimeSurvey. Regards, Adam Zammit (el-matador-69)
    -Fixed layoutproblem with matrix(flexible labels) when a pipe is used to split the answertext... now they both get the same size... (wahrendorff)
    -Fixed: Changed background color of Clear All-Message of the blue_heaven-Template to fit into the rest of the template (el-matador-69)
    -Fixed: Changed background color of Clear All-Message of the bubblegum-Template to fit into the rest of the template (el-matador-69)
    -Fixed: Changed background color of Clear All-Message of the clear_logo-Template to fit into the rest of the template (el-matador-69)
    -Fixed: Changed background color of Clear All-Message of the vallendar-Template to fit into the rest of the template (el-matador-69)
    -Fixed: added {CLOSEWINDOW} to clearall.pstpl of the sherpa-Template (el-matador-69)
    -Fixed: answerwidth for semantic differential arrays (5point, flexible labels, multiflex text, multiflex numbers) (wahrendorff)
    -Fixed: gaps in progress bar on IE (wahrendorff)
    -Fixed: missed a couple of classes for "array-multi-flexi-text" in last commit so adding them now (eric_t_cruiser)
    -Fixed: untracked bug while creating statistics with question-type-Q... SQL SELECT query changed (wahrendorff)
    -Fixed: same color for answertextright as for answertext (blue) (wahrendorff)
    -Fixed class.phpmailer.php like recommended in the forums, see http://www.limesurvey.org/index.php/fr/Development/20460-done-Bug-in-class.phpmailer.php.html (wahrendorff)

  
    

Changes from 1.71 to 1.72 (build 5737)  (2008/10/07)

New Features:
-Added template preview to survey settings (c_schmitz)
-Added the ability to the template editor to edit a CSS file - where the CSS filename must be the same name as the template. (c_schmitz)
-Added Prefix & Suffix Question Attributes for Short Text, and Multiple Short Text (jcleeland)
-Added feature request #02065 - Prefix & Suffix Question Attributes for Numerical Input (jcleeland)
-Added new attribute "other_replace_text" to use alternative text to "Other" for question types that have this option (jcleeland)
-PDF Orientation can be changed in config-defaults.php (stfreud)
-ssl/tls is now possible in emailer configuration, previously only tls was supported (Updated PHPMailer to version 2.02) (c_schmitz)
-Added qmail to possible mailer config settings (c_schmitz)
-Implemented 02113: Add some details to Naming of Excel Export File (jcleeland)
-Rewrite of SPSS export to fix numerous problems
    -SPSS 16 compatibility
    -Data is exported now with a syntax and a data file
    -While exporting the data is checked - if non-numeric data for a field is found the field is switched to alphanumeric
    -Data for numerical questions is handled as float
    -Label size is cut down accordingly (c_schmitz)
-Added new template mint_idea (c_schmitz)
-New variable $demoModeOnly, used to set limesurvey into a more secure demo mode. (machaven)

Feature Changes:
-Raised LimeSurvey requirement to at least PHP 4.3.2 installed (c_schmitz)
-Upgraded adodb to 4.98 (c_schmitz)
-Updated FCKeditor to version 2.6.3 (lemeur)
-Updated configs for faster parsing (c_schmitz)
-Rewrote commandline installation for better security and merged into one file
-Renamed css_only template to sherpa (c_schmitz)
-Moved CSS to separate files for all templates (c_schmitz)
-Removed style code from source and placed it into CSS file (c_schmitz)
-added .questiontext to all templates (addendum to rev. 5149) (el-matador-69)
-Implemented #2340 Added printablestyle.css (lazar)
-Better markup for mandatory errors in Sherpa template (c_schmitz)
-Changes to templates so a custom help icon is used (help.gif or help.png) if found (c_schmitz)
-Optimized image sizes (c_schmitz)
-Corrected privacy message (c_schmitz)
-Admin maintoolbar and survey toolbar are converted to pure CSS now (thanks to Messi) (c_schmitz)
-Added another XSS filter. Now there are two XSS filters double-checking the input to prevent XSS attacks due to security flaws in the IE6 browser.  (c_schmitz)
-Added session regeneration after login to prevent Session Fixation attacks (c_schmitz)
-Added the "Character Set" option for the VVimport feature. (lemeur)
-Removed obsolete label tag (c_schmitz)
-Add a warning when "Token Persistence" is set at the same time as "Anonymous answers" (lemeur)
-Minor changes to statistics (Mazi)
-Changed: when adding ReplacementFields with a double click, the field is automatically selected, making it easier to change your mind and choose another one without having to close the select window. (lemeur)
-Added Dual Scale Matrix and Semantic Differential Question Type to Official LimeSurvey Sample Survey. (el-matador-69)
-Applied changes to originals texts for better i18n compatibility by Hooman Mesgary (c_schmitz)

Languages:
-Added Icelandic translation kindly provided by JÃ³hann FriÃ°riksson ( johannfr -i-t- arskoli -d-i-t- is )
-Updated Albanian Language file by Eniel Ninka (e -d-o-t- ninka -a-t- univpm -d-o-t- it )
-Updated Basque Translation by inforbek13 --i-t-- eps -d-a-t- mondragon -d-a-t- edu
-Updated Bulgarian translation by Alexander Simidchiev <simid -a-t- mail -d-i-t- bg
-Updated Chinese Traditional Language File by Mark Yeung
-Updated Croatian Translation by Ro Vino (c_schmitz)
-Updated Danish translation by Thomas Clausen
-Updated Dutch translation by Hans Delva, Gerton Poot
-Updated Estonian Translation by Villem Vannas (villem -dot- vannas(a) mail (dot) ee)
-Renamed Farsi to Persian (c_schmitz)
-Updated Finnish Translation by Juuso Heinisuo, PÃ¤ivi Tyni  (c_schmitz)
-Updated French translation (b00z00 and el Almoman walmoman -a-t- hemisa -d-o-z- com)
-Updated German translations (c_schmitz)
-Updated Greek translation by Christos Rodosthenous and Yiannos Katsirintakis
-Updated Hungarian, Macedonian, Traditional Chinese (Taiwan), Italian, Croatian & Estonain Language Files
-Updated Hungarian Translation by Daniel Fuleki (c_schmitz)
-Updated Italian translation by Eniel Ninka  ( e d-0-t- ninka -a-t- univpm -d-a-t- it)
-Updated Korean translation submitted by the Korea National Police university translation team
-Updated Latvian translation provided by Marcis Trapencieris (marcic -a-t- sociology -d-i-t- lv)
-Updated Norwegian Bokmal and Nynorsk translations by dittaeva, Egil Hansen
-Updated Persian translation by Hooman Mesgary  - mesgary -a-tt- gmail -d-o-tt- com
-Updated Polish Translation by piotr.plenik a-t-t- teamlab doott pl and xqleg
-Updated Portuguese-Brazilian translation by Luiz Rafael Santos (lrsantos11 -i-t- gmail -d-o-a-t com)
-Updated Portuguese Translation by Duarte Geraldes (duarte -it- roquettegeraldes -d-i-t- com)
-Updated Slovenian translation (gasper_koren)
-Updated Spanish translation (kedajo)
-Updated the swedish translation (maxz)
-Updated complete Turkish translation by Murad Bayram (murad dott bayram att rshm dott gov dott tr) (c_schmitz)
-Updated Turkish translation for calendar by A. Murad BAYRAM (c_schmitz)
-Added and updated calendar translations (c_schmitz)

Fixes:
-Security Fixes  (see published Security advisories)
-Fixed missing "other" option for List (flexible) question types. (jcleeland)
-Fixed #2095: Error exporting a not public survey in spss format (awarren)
-Fixed some English strings
-Fixed several cases where mysql query procedures instead of adodb were used (c_schmitz)
-Fixed #2064: Multiple Numerical Input total value calculator not working correctly when more than one on the page. Used arekbb's suggestion to make each div id unique per question (jcleeland)
-Fixed #2084: Regenerate Question Codes always does straight - change in link so that query was via _POST rather than _GET broke this feature. (jcleeland)
-Fixed #2068: max_answers function is not working because of html tags in question (c_schmitz)
-Fixed #2090: Can't change user access right for templates. Removed SQL code in HTML comments (lemeur)
-Fixed #2086: PDF Export fails on PHP 4 (stfreud)
-Fixed issue with tokens (c_schmitz)
-Fixed #2071: Problem deleting and adding new answers to a question (c_schmitz)
-Fixed #2074: Reordering questions isn't working with "Place After" command. Also added "At beginning" as option. (jcleeland)
-Fixed a small issue with html header(c_schmitz)
-Fixed array_filter not working right in group-by-group mode on the same page(c_schmitz)
-Fixed #2067: corrected topright_bord.gif - THX to moontan (el-matador)
-Fixed #2134 and #1711 related to typos and better comments in config-ldap.php (lemeur)
-Minor changes to ensure token integrity (c_schmitz)
-Changes to original text changes to make it more compatible for translations - thanks to  Hooman Mesgary
-Fixed #02121: Problem with "exclude all others" question attribute - exclude_all_others didn't work when there was more than one question on page using attribute. Also fixed feature to disable other checkboxes when reloading a previously completed page. (jcleeland)
-Fixed #2082: AllowPresistence for token answers isn't working on All-In-One surveys (lemeur)
-Fixed #2000: Changing an answer code of a labelset doesn't update conditions (lemeur)
-Fixed #645: Labels defined as a simple image aren't displayed in Dropdown lists - at least the label code is shown now (c_schmitz)
-Fixed #2088: max_answer javascript does not work when question has line breaks. (c_schmitz)
-Fixed bug #02112: Pipe-Char of Semantic Differential breaks Excel Export - internal $seperator value doesn't have to be just a pipe (jcleeland)
-Fixed bug #02107: other_replace_text truncated (fix supplied by ITEd) (jcleeland)
-Fixed #2117: Browse Response: (other) isn't translated (c_schmitz)
-Fixed #2091: Single and double quotes ( " and ') in a text field are prepended with slashes
-Fixed a fatal error in template rights (c_schmitz)
-Fixed a W3C issues with javascript (c_schmitz)
-Fixed #2187: INSERTANS not working for "Other" of List (Flexible Label) (jcleeland)
-Fixed #2124: white characters in tokens are accepted in non-anonymous surveys (c_schmitz)
-Fixed #2083: deletenonanswers now working for question-per-page and group-per-page surveys (lemeur)
-Fixing two small notices when trying to import an invalid survey file (c_schmitz)
-Fixed #2215 & #2118 HMTL Code deleted in pdf-export (stfreud)
-Fixed #1957: Unable to use other than a-zA-Z0-9 in name from ldap (lemeur)
-Fixed #2097: Path Error was thrown in config.php when installing in root dir (c_schmitz)
-Fixed #2118 unwanted HTML tags (stfreud)
-Fixed #2240 undefined variable (stfreud)
-Fixed #2244: array_filter doesnt work n all-in-one survey mode (jcleeland)
-Fixed mailer being able to use a port in the hostnamesetting (c_schmitz)
-Fixed answer completion not saved if last group only contains a boilerplate question (c_schmitz)
-Fixed some serious bugs in SPSS export including bug #1926, . Speed improvements by 90%. (c_schmitz, Menno Dekker)
-Fixed #2229: Reminder Sending function does not work with "Start From" parameter (c_schmitz)
-Fixed #2193: Group by group and question by question mode do not save completion when last group/question is not shown due to conditions (c_schmitz)
-Fixed #2188: Fixed several RTL-languages issues including bugs #2188 (c_schmitz, Messi)
-Fixed #2251: corrected a german typo (el-matador-69)
-Fixed bug #2250: The dropdown-date attribute, on a date type question, cancels its mandatory characteristic. (jcleeland)
-Fixed bug #2223/#2228: Javascript Error with Array Filter. Also fixed javascript for related error where missing array_filter values were causing javascript to crash. (jcleeland)
-Fixed bug #2277: question attributes active when conditional question should be skipped - now checks that the display value is turned on before running validation (jcleeland)
-Fixed bug #2271: Logout icon in Editing Label Sets - added logout button to templates and labelsets screens (jcleeland)
-Fixed special chars not being exported on answer code & question code export (c_schmitz)
-Fixed that results were saved as incomplete if the last group had no questions. (c_schmitz)
-Fixed problems on user/group inserts with MSSQL Server (c_schmitz)
-Fixed #2265: Unnecessary SPSS VALUE LABELS with multiple numeric quetion types in SPSS export (c_schmitz)
-Fixed #2261: Text in "Welcome" field is not saved when creating a survey (c_schmitz)
-Fixed FF2 layout issues with content following main bar (c_schmitz)
-Fixed layout issues in certain screens (c_schmitz)
-Fixed conditions on group import were not imported correctly under certain circumstances (c_schmitz)
-Fixed #2284: strpos : empty delimiter. (lemeur)
-Fixed #2224: 100% on graphs does not show full number (el-matador-69)
-Small fixes for style and username handling (c_schmitz)
-Fixed problems with editing users and template rights in MS SQL (c_schmitz)
-Fixed a problem with SMTP and SSL (c_schmitz)
-Fixed a bug with INSERTANS-convert on survey import inserting escape chars (c_schmitz)
-Removed obsolete lines in admin notification mail (c_schmitz)
-Fixed #2389: Survey crashes when quotas are enabled and using MSSQL DB (c_schmitz)
-Fixed #2388: Importing multilingual survey with MS SQL Server DB fails (c_schmitz)
-Fixed #2386: Extra space in front of "Other" option in "Multiple options" question (c_schmitz)
-Fixed #2380: hint & layout bug (c_schmitz)
-Fixed #2389: Fatal error in PDF creation (c_schmitz)
-Fixed minor display issues (c_schmitz)
-Fixed #2374: Any superadmin can accidently delete admin rights  (c_schmitz)
-Fixed #2379: Changing language of mandatory question (in multiligual survey) cancels its mandatory characteristic in question-by-question mode (c_schmitz)
-Make XML export available on PHP4 and 5 (c_schmitz)
-Fixed #2381: Progress bar in RTL mode & table width alignment (el-matador-69)
-Several Layout & CSS Fixes (c_schmitz)
-Fixed #02268: answer selections of conditional questions with IE browser are delayed but not with Firefox & Opera. Rewrote javascript to speed processing.(jcleeland)
-Fixed #2376: Layout Problem on Widescreen Displays(c_schmitz)
-Fixed #2408: Layout Problem: Sending Mails to Group Members (c_schmitz)
-Fixed bug #02382: Attribute max_answers doesn't work if "others" field is enabled (jcleeland)
-Fixed bug #02393: Wrong question order for additional languages  (fix provided by beatjoerg) (jcleeland)
-Fixed #2404: Problem exporting survey structure to XML (c_schmitz)
-Fixed bug with sped-up conditions where javascript was broken in IE (c_schmitz)
-Fixed #2402: Statistic doesnt work, [Display Responses causes error message] when answer with tokens and non-token answers are mix due to creating/deleting token table (c_schmitz)
-Fixed #2406: "Reset Survey Logic"-Button isn't working (c_schmitz)
-Fixed #2405: FF3: Delete Question Button has a wrong position (c_schmitz)
-Fixed #2394: Additonal {LANG} parameter for the END URL ==> Thx to beatjoerg (el-matador)
-Fixed #2410: Layout-Error in the template editor with older browsers (c_schmitz)
-Fixed bug #02415: The max_answers attribute will not alway enforce max answers - problem caused by newline characters in question text breaking javascript (jcleeland)
-Fixed bug #02430: Multiple Options with Comments & max_answer isn't working correctly (jcleeland)
-Fixed bug #02430: removed stray debug 'alert' (jcleeland)
-Fixed #2427: JS-Errors using FCKEditor in inline mode for languages with combined code such as 'de-informal' (lemeur)
-Fixed End URL not displayed when End URL description is empty (lemeur)
-Fixed 02233: quota - completed tab always shows N/A (lemeur)
-Fixed an error in fixsortordergroups which ordered all groups of all surveys, not just the current survey. (c_schmitz)
-Partially Fixed bug #02417: 5448 Other text not saved [and not mandatory - not fixed]. Bug where other text not reloaded when dropdown (flexible) question type is re-displayed (and thus, the originally entered text was overwritten with an empty string) fixed. (jcleeland)
-Fixed #2434: Some words encoded in output - HTML tags are always completely stripped when saving result data (c_schmitz)
-Fixed #2458: "<< prev"-Button at Quota Termination with warning isn't translated (c_schmitz)
-Fixed #2448: common.php execution time exceeded when importing large survey - raised max_execution time to 600 (c_schmitz)
-Fixed a bug where answers in obsolete language were not properly deleted after language was removed from survey (c_schmitz)
-Fixed #2470:Status of checkbox "Don't consider NON completed responses" not reminded when reloading page (maziminke)
-Fixed 02484: LimeReplacementFields seems not to work anymore in IE7.
-Fixed a small bug in installation script when no output results from the DB upgrade (lemeur)
-Fixed a small inconsistency in db_upgrade_mysql for emailstatus field (lemeur)
-Fixed #2459: Warning if testing inactive survey more than once in a browser session (c_schmitz)
-Fixed #2499: Failure when changing default location of admin scripts ($homeurl and $homedir) (c_schmitz)
-Fixed up bluengray template (c_schmitz)
-Fixed some issues with SPSS export (c_schmitz)
-Fixed #2377: Dual Scale Matrix: Printing Answers for Dual Scale now are more understandable (c_schmitz)
-Fixed #2426: Strange alignment of Survey Status Screen when using a survey in more than one language (c_schmitz)
-Removed white space after closing PHP bracket (c_schmitz)
-Fixed bug #02518: Exporting a group or a question with a dual scale matrix doesn't include labelsets (jcleeland)
-Fixed bug #02516: Notice at running official LimeSurvey Sample Survey in Debug Mode (jcleeland)
-Fixed 02503: INSERTANS tags in Answers or Groups text are not translated during import(lemeur)
-Fixed 02509: some cross group conditions are not working in Group by Group View (lemeur)
-Fixed 02511: Importing an old result table fails when a dual scale question exists in the survey (lemeur)
-Fixed LimeReplacementFields not available for EditAnswers action (lemeur)
-Fixed LimeReplacementFields for the first question and its answers (lemeur)
-Multi-langual other_replace_text text was not working for most question types


Changes from 1.70 to 1.71 (2008/06/02)

New Features:
-Standard sitename and sitemail when creating survey (lemeur)
-Complete Korean translation submitted by Sehee Kim (cactusgrlkr -a-t- naver -dot-com) on behalf of the Korean Police School translation team. 
-Added basic support for Right-to-Left languages 
-Added Farsi translation stub by Laurent Giacobino 
-Added Welsh translation
-Added Indonesian translation by Lukas (c_schmitz)
-Numerous translation updates kindly provided by the project translators and users out there. 
-Include new pdf-features (stfreud)
-Reworked the SPSS export to
    a) remove redundant pass throughs of dataset (in DATA LIST build)
    b) adjust DATA LIST column widths to account for data (uses tmpfile())
    c) escape apostrophe's in a string to an html entity
Note, this was only tested with SPSS 15, it's likely there are UTF-8 problems. (awarren)
-Raised amount of tokens displayed on one page from 50 to 100 ((el-matador-69)
-Added more detailed error message on invitation and reminder sending (c_schmitz)
-Updated queXML-Export - Thx to Adam Zammit (el-matador-69)
-Adding support for debian packaging (nbarcet)
-Integrated table cell -> Radio button mapping (awarren)



Bug fixes: 
Lots of security fixes & Sanitizing the script (c_schmitz)
Fixed #1807: Export to Excel on PHP4 creates empty .xls file. According warning message is shown in export window and export to excel to deactivated when iconv library in PHP4 is not installed. (c_schmitz)
Fixed #1985: Exporting to SPSS shows 'SHOW COLUMNS ' error with non MySQL DB (awarren)
Fixed #2032: Code errors when adding answers to question type List (Dropdown) (lemeur)
Fixed #2031: Missing Replacement fields in the Rich Text editor (lemeur)
Fixed #2002: group page is displayed even when no description (lemeur)
Fixed #1812 - exclude_all_others attribute doesn't exclude the OTHER answer (jcleeland)
Fixed #2003: The FCKeditor Filemanager (uploader) can't be reached in Emailsettings page (lemeur)
Fixed #1935: Switching language and going back forgets token code (lemeur)
Fixed #1737: No field type (A or N) was being produced for startdate, refurl, ipaddr. Switched fopen to use w+ (read and write with file purge) awarren)
Fixed #1901: Pressing Enter While Filling Out Survey Opens "Resume Later" page(lemeur)
Fixed #1936: Validation of the last question in a survey does not work(c_schmitz)
Fixed #1982; Dual Scale answers are not conveniently labelled in export to xls/csv (joeschneider)
Fixed #1960: Warning on Excel-Export with an open_basedir restriction leads to corrupted excel file (c_schmitz)
Fixed #1963: force tokenify to begin with a non zero value or other hard to read characters (c_schmitz)
Fixed #1982; fixed error with "Undefined index" (joeschneider)
Fixed #1981: HTML mails have body text with HTML entities (lemeur)
Fixed #1990: Public registration forget to add emailstatus=OK, thus email is displayed in red in the tokens table (lemeur)
Fixed #1984 (corrupted survey URL in some emails): Applied a workaround in SurveyURL displayed in  invitation/registration emails so that bogus(?) email clients won't translate the GET parameter '& l a n g' to the '& l a n g ;' entity (lemeur)
Fixed #1986: token link in browse results not displaying (c_schmitz)
Fixed #1983: incorrect request in browse.php - patch by steph33560 (c_schmitz)
Fixed #1967: correctly sets default email settings for new additionnal languages and set default email settings for survey base language. Takes Email format (html,text) into account (lemeur)
Fixed #1931: answers are recorded as not-completed (not finalized) if last survey page was hidden due to condition (lemeur)
Upload the latest version of queXML-Export (to fix output of type "L") - Thx to Adam Zammit (el-matador-69)
Fixed #1959, added multiple numerical to printablesurvey.php. (Also tidied up the layout for multiple numerical and short text) (jcleeland)
Fixed #1601 - question attribute hide_tip for multiple numerical input.  Added feature. (jcleeland)
Fixed #1855 - Entering validation fields in multiple choice questions is fiddly. Validation now available on new/edit question for multiple numerical (jcleeland)
Fixed #1971: correct a typo at token notification - thx to nosynack for reporting it (el-matador-69)
Fixed #1929: When confirmation email is not defined, the hardcoded default email contains tags {XXX} that are not replaced (lemeur)
Fixed #1927: Set all entries to 'No invitation sent' - not working if the translated confirmation text contains single quotes (lemeur)
Fixed #1922: Multiple Numerical Input doesn't work with condition greater than or equal to (lemeur)
Fixed a warning in index.php reported in bug #1921 (lemeur)
Fixed #1938: edit response with "dual scale" (joeschneider)
Fixed #1892: Rooturl is wrong when HTTP port is not the default (80) (c_schmitz)
Fixed #1913: Hardcoded reference to limesurvey in action path in preview.php(c_schmitz)
Fixed #1939: Question reorder does not work in all languages after importing the particular question using question import (c_schmitz)
Fixed #1853: wrong characters in IE alert windows (lemeur)
Fixed #1906: Problem of apostrophes in the some e-mail (lemeur)
Fixed #1904 (workaround): IE: Opening LimeReplacementField-Window isn't possible - Javascript-Error (lemeur)
Fixed #1905: Editing List (Radio) Answers - Code & Answer values are no longer mapped once new answer exceeds 9 (thanks to Endymion92)
Fixed #1907: User unable to export a label set even though they have permision to (lemeur)
Fixed #1902: Privacy Message: Always the same text "This is an anonymous survey" (lemeur)
Fixed #1911: IE throws a nonsensical error when it receives an HTTP payload matching all of the following conditions:
 a) Over SSL
 b) with a Pragma: no-cache
 c) a mime-type which is not known on the receiving system
 d) User has the "Do not save encrypted pages to disk" option set
        (this is the default)
 So I've changed Pragma: no-cache to Pragma: cache, and/or inserted the
 directive to places
 where non standard mime types are used (application/download).  If this is
 problematic, we
 can change the mime type to text/plain for the CSV/VV exports. (awarren)
Fixed #1866: Error at DataEntry for user with little rights (lemeur)
Fixed #1878: Cannot send reminder e-mail [postgres] (c_schmitz)
Fixed #1856: DB error when delete tokens table (Postgres) - Patch kindly provided by doc (c_schmitz)
Fixed #1807: Can't export to excel when using certain question types and special chars (c_schmitz)
Fixed #1836: Option deletenonvalues doesn't work on most cases (lemeur)
Fixed #1891: Clear "no answer" when selecting second label using "dual scale" (joeschneider)
Fixed #1833: incorrect columns displayed when "other" and "No answer" displayed. (jcleeland)
Fixed #1863: Users unable to change their own password (c_schmitz)
Fixed #1858: Group import results in PHP Parse error (el-matador-69)
Ffixed output when no "header" is set for dualscale (joeschneider)
Fixed #1857: Missing No Answer option for array questions and other issues in dataentry when using different languages in admin interface and survey. (c_schmitz)
Fixed #1856: DB error when delete tokens table (Postgres) - Patch by doc (c_schmitz)
Fixed #1861: Notice at importing LimeSurvey Sample Survey (c_schmitz)
Fixed #1868: Double Tooltips at "Execute this Survey"-Button (lemeur)
Fixed #1815: Unknown Menubar-Object "LimeReplacementFields"/"LimeFitWin" + some information about updates in config files and release-notes (lemeur)
Fixed #1873: Changing answers codes doesn't update conditions (lemeur)
Fixed #1797: Entered answers lost when Save All not clicked (lemeur)
Fixed #1828: User unable to change password. A user is now able to modify his own information (name and password whatever his permissions). He is also able to delete himself if he's got the DELETE_USER permission (lemeur)
Fixed #1831: Super User cannot change quotas for other users' surveys (lemeur)
Fixed #1840: Translation error and accent issue in calendar in French (lemeur)
Fixed #1830: User can Activate survey from the list survey section even though there are no questions (lemeur)
Fixed #1828: Missing Parent name of current logged in user (lemeur)
Fixed #1822: Missing http headers for on admin login page. (c_schmitz)
Fixed attribute tag filtering being negligent of quotes (c_schmitz)
Fixed #1835: List Surveys: Responses aren't shown for expired surveys (c_schmitz)
Fixed #1843: Unable to re-order Question groups (c_schmitz)
Fixed #1846: Make Tokens-Button should be available, also if survey is not active (c_schmitz)
Fix issues with formattong LimeReplacementFields (persitent and inconsistent yellow formatting) (lemeur)
Fixed #1844: Use of apostrophe in FCKeditor causes a series of slashes \\\\ (lemeur)
Added back in missing privacy message (c_schmitz)
Fixed #1842: IE Javascript error when clicking "Edit Current Survey" (c_schmitz)
Fixed #1848: Empty survey gives notice on Import (c_schmitz)
Added according text to mandatory message for multiple choice with other option (c_schmitz)
Fixed #1845: Improve Accessibility for blind people: make menu icons readable (lemeur)
Fixed #1845 again, making the fix switchable with new config parameter $addTitleToLinks (lemeur)
Fixed #1732: {INSERTANS:SIDXGIDXQID} includes HTML tags (c_schmitz)
Fixed a bug in upgrade script and mysql4 where the emailstatus field was not added due to size limitations - 2nd try (c_schmitz)
Fixed #1808: Condition not implemented for the "other" answer // Fix for questions type List Radio/Dropdown (lemeur)
Fixed #1805: Survey cannot be re-used without closing and reopening browser, even with cookies turned off (jcleeland)
Fixed a bug in upgrade script and mysql4 where the emailstatus field was not added due to size limitations (c_schmitz)
Fixed #1794: Errors showing when previewing question without answers in Flexible Array by Column Question Type (c_schmitz)
Fixed #1802: "Resume Later" -> reloading saved survey starts at first page (c_schmitz)
Fixed HTML entities showing up in Excel, CSV & SPSS export (c_schmitz)
Fixed #1780: Java script error with dual scale
Updated tokens and email validation to be able to use several email addresses separated by semikolon when sending an invitation (c_schmitz)
Fixed SPSS & data export to filter out tags and html-encoded chars (c_schmitz)
Fixed #1798: In reminder email (html format) surveyurl is displayed as HTML code in Outlook (c_schmitz)
Fixed #1785: Upgrade script failed to add startdate column under certain circumstances  (c_schmitz)
Fixed #1781: Errors when editing a survey response with dual scale question type questions  (c_schmitz)
Fixed bug with assigning user rights and Superuser right (c_schmitz)
Removed the {NOSID} message from default page since robot tools are looking for it  (c_schmitz)
Fixed #1796: in HTML email, SURVEYURL text may be corrupted (lemeur)
Fixed #1773: Error in userrighthandling.php + fixed usercontrol list with current user bolded instead of admin user (lemeur)
Fixed #1782: Lines wrapping in plain text invite  (c_schmitz)
Set default language for email error messages coming from PHPMailer (c_schmitz)
Fixed #1723: Display error with statistics and "dual scale" question typ (joeschneider)
Fixed #1746: Umlauts coming from {SURVEYDESCRIPTION} are not resolved in the confirmation email (c_schmitz)
Changed 'Save Survey and Return' button caption to 'Resume Later' (c_schmitz)
Fixed #1786: When using a non-equal condition the Logic Eliminator wasn't aware of it and dropped the value. After that a mandatory warning was raised. (c_schmitz)
Fixed #1761: token emailstatus left NULL on upgrade (c_schmitz)
Fixed Quotas are checked even if the survey is inactive. (c_schmitz)
Fixed #1757: Encoding Problem of Confirmation Email(c_schmitz)
Fixed #1754: Invalid HTML in Dual Scale Matrix causing Layout Problem with Hoover Effect in IE(c_schmitz)
Fixed #1755: HTML entities in admin notification email(c_schmitz)
Replaced html_entity_decode with a custom html_entity_decode_php4 function that is PHP4 and PHP5 compatible (lemeur)
Fixed Use Default for html email doesn't replace end of lines with BR (lemeur)
Fixed #1739:  Default button weren't working for HTML Email Settings (lemeur)
Fixed #1555: Data submission on questions with radio buttons fails with Safari 2.0.4 and IE 5.2 on Mac OS X in question by question mode (c_schmitz)
Fixed #1733: infinite loop in popup editor mode for Safari (c_schmitz)
Updated Dutch Translation by Arno Fleming (a -dot- fleming -a-t-- stichtingdeombudsman -d-o-t- nl ) (c_schmitz)
Fixed #1748: Row size too large error with MySQL - Multiple short text Question type used 255 chars per field. I changed this to TEXT fields in MySQL. (Do not do that for other DB systems since most other DB systems cannot select on TEXT fields which is important for statistics) (c_schmitz)
Fixed #1728:Survey Import from prior LS versions was failing (c_schmitz)
Fixed #1745: View summary of all available fields failed when survey contained a date question(c_schmitz)
Fixed #1736: SQL error while printing user's answers and using Multiple Numerical Question Type(c_schmitz)
Fixed numerous errors in HTML email handling (c_schmitz)
Fixed #1744: CRSF possible on modify quota action (lemeur)
Fixed #1742: Export queXML doesn't work for PHP5. Special Thanks for  Alexandre Alapetite (lemeur)
Fixed #1713: Fatal error with 'randomkey' on setting up tokens (c_schmitz))
Fixed strange warnings with html_entity_decode() and PHP 4 (c_schmitz)
Fixed #1726: Pressing back button after submit produces "Fatal error: Call to undefined function createinsertquery()" (c_schmitz)
Added some javascript to question type "Multiple choice with Comments" so unmarked boxes with comments aren't possible (c_schmitz)
Fixed Quoting problem when XSS filter is off (c_schmitz)
Fixed Quoting problem in emails when XSS filter is off (c_schmitz)
Fixed a faulty link to FCKEditor config.php which resulted in uploades not working

Changes from 1.52 to 1.70

New Features / Feature Changes - Release Date: 2008/02/25

[Survey at Runtime] INSERTANS for Question Type: Y, E, C (lemeur)
[Import / Export] Automatic Translation of relative links (images) at Survey/Group/Question Import (lemeur)
[Import / Export] Automatic Translation INSERTANS tags at Survey Import (lemeur)
[Assessments] Valid generic (non-error) front page with list of available surveys. (jasebo)
[Survey Design] Possibility to upload pictures to use in surveys (lemeur)
[Installation] Postgresql support (c_schmitz)
[Survey Design] FCKEditor integration for survey design (lemeur)
[Survey Design] Wizard to insert tags (INSERTANS,...) as a plugin to FCKeditor (lemeur)
[Survey Design] Quota Management (machaven)
[Survey Design] timestamp at survey start (c_schmitz)
[Survey Design] Dual Array Scale Question Type (Joesch)
[Security] Super Administrator Right (lemeur)
[Templates] Patch/Modification: Implement User Management to Template Access (patched by machaven)
[Survey at Runtime] Resume an incomplete (and not saved) survey (lemeur)
[Survey at Runtime] Prefilled Surveys (lemeur)
[Security] Authorize the 'preview survey' to authenticated LS users only (lemeur)
[Security] Implement Captcha for Survey-Access (with or without tokens) and makes Captcha switchable for Survey-Access/Registration/Load-and-Save (lemeur)
[Security] Delegate authentication to the webserver (lemeur)
[Survey at Runtime] Using a {LANGUAGECHANGER} tag integrates a select box in templates to change language on the fly (lazar)
[Survey Design] Auto-incrementing answer codes (c_schmitz)
[Tokens] Options to switch filter empty email field and filter duplicates in token import (c_schmitz)
[Tokens] Emails can be sent as HTML (lemeur)
[Survey at Runtime] Make Email Subjects of Admin Notifications Translateable (c_schmitz)
[Survey Design] Move submit button to last question page (c_schmitz)
[Survey at Runtime] Correct error message and further instructions, if user has disabled Cookies (c_schmitz)
[Security] Protection against token code brute force attacks (lemeur)  
[Survey at Runtime] Checkbox for Multiple Choice Other Option (c_schmitz)
[Survey Design] Mass Logic Eliminator (lemeur)
[Survey Design] New conditions operators on comparizons,regexp (dgeaperez)
[Survey Design] Total sum validation for "Multiple ShortText" Questions (jasebo)
[Survey Design] Randomize answers for Flexible arrays (jasebo)
[Survey Design] Re-organized survey creation/edition interface (lemeur)
[Survey at Runtime] Alternative presentation of Dates question (jasebo)
[Survey at Runtime] Print answers after completing the survey (c_schmitz)
[Survey Design] SSL for STMP emailing (Patched by c_schmitz)
[Import / Export] QueXML Survey structure export (Patched by c_schmitz)
[Survey Design] Usability improvement: Hover effect for matrix questions (El-Matador-69)
[Survey Design] Display Label Set Name at Question Details (not only the Label Set ID) (c_schmitz)
[Tokens] Increased token code entropy (c_schmitz)
[Tokens] Moved Email settings from survey properties to "Tokens-Settings"-Menu (c_schmitz)
[Survey Design] Change conditions designer so that full question & answer text are visible (jasebo)
[Survey at Runtime] Attribute to disable/clear other checkboxes in Multiple Options question (jasebo)
[Survey Design] Adding new questions to very large surveys, and question sorts (jasebo)
[Survey Design] Question Attribute "display_columns" for Gender Question--Type (jasebo)
[Survey Design] Implemented dropdown layout for Dual Scale Question Type (lemeur)
[Language] Added Slovak translation provided by Juraj ZubÃ¡n aka D4v1dZ ( d4v1dz -a-t- gmail -d-o-t- com)



Changes from 1.50 to 1.52 - Release Date: 2007/08/19

Features

-Added a file extension check for the template editor (leochaton)
-Added numercical input and max_chars within multiple short text (thanks to skrat) (leochaton)
-Lots of security fixes regarding internal security - upgrade is highly recommended. (c_schmitz)
-Hint is now shown if database exist (c_schmitz)
-Added a warning message when the user did not change the 'password' Password (c_schmitz)
-Updated and now complete SPanish Translation by Luis M. MartÃ­nez
-Updated and now complete Polish Translation by Damian Kubiak


Fixes:
-The style of the "Ranking Question" is now adjusted to the new color scheme at DataEntry (c_schmitz)
-Fixed notices in template editor at "Question Page", "Submit Page" and "Clear all page" (c_schmitz)
-Fixed completed Date Field in token table being Too Short (c_schmitz)
-Fixed Empty data on repeated submission in all-in-one mode (leochaton)	
-Fixed problem with mandatory questions in all-in-one mode (leochaton)	
-Fixed "Load unfinished survey" and "Save survey and return" buttons active even when the survey is not active (leochaton)	
-Fixed question marks being shown instead if Cyrillic/chinese/greek/... characters when installing LImeSurvey into a non-UTF8 database (c_schmitz)
-Fixed $accesscontrol isnÂ´t working correctly - removed this obsolete setting (leochaton, c_schmitz)	
-Fixed error clicking Browse button to view text box responses (leochaton)
-Fixed Locale nl point to wrong images-directory (el-matador-69)
-Fixed The saved control records were not deleted when the survey was deactivated. (leochaton)
-Fixed statistics for free text questions (leochaton, c_schmitz)
-Fixed a bug in the randomize function for answers (c_schmitz)
-Numerous small fixes



Changes from 1.01 to 1.50 - Release Date: 2007/08/06

New General Features

    * New design and new name
    * Multi-lingual surveys - do the same survey in multiple languages at the same time
    * Command line importer to import surveys (leochaton)
    * Usage of {SAVED_ID} and {TOKEN} in the end URL to interact with other applications (leochaton)
    * Separate installation directory that has to be removed on installation end
    * Import Tokens using LDAP Query (lemeur)
    * Check if the necessary requirements are fulfilled on installation and runtime (c_schmitz)
    * Semantic differential scale questions - sponsored by a donation from tileca (c_schmitz)
    * Preview question function (machaven)
    * SPSS export re-worked (machaven)
    * Reworked the token import to being more stable (machaven)
    * Reworked the Excel export to be OpenOffice.org compatible
    * Setting to config.php to manage the maximum session time & proper error message when taking a survey and the session is timing out for any reason (c_schmitz)
    * Captcha feature to prevent automatic registering (machaven)
    * Support for Microsoft SQL Server database (ferrisoxide)
    * Moved the manual to online site (c_schmitz)
    * New question attribute to limit the maximum number of answers in Multiple Options questions (attribute max_answers) (lemeur)
    * New user authentication system with user right/roles & groups (moses)
    * Re-ordering for groups and questions by up-down buttons instead of sorting by question/group name (c_schmitz/nkorfiatis)
    * Some interfaces for editing answers where changed so you can save changes to all answers for all languages on one click. (machaven/c_schmitz)
    * Added a new question type to change the survey language (c_schmitz)
    * Completely overhauled interface icons. The basic style has been kindly created by Mitchell Butler.
    * Added answer limiting based on a previous question for array question types (machaven)
    * Added page-by-page saving of the answers (swales)
    * Changed the translation system from language files to gettext system. That will make translations easier to handle and to update. Refer to the translation instructions here: How to translate LimeSurvey (c_schmitz)
    * Graphical date picker to date question type and survey properties (c_schmitz)
    * Overview of all surveys in addition to the existing combobox (nkorfiatis)
    * Save the referring URL in survey results. Sposnored by Lawrence Weathers (docweathers) Coder: Richard Kavanagh (www.benbun.co.uk)
    * Added feature to show custom attribute names in token interface
    * Added random survey number generation to make guesses on the surveyid harder
    * Moved admin interface styles to style sheets
    * Fixed image links and included PNGFix in admin interface for crappy old IE6 browsers (nkorfiatis)
    * Bubble hints on icons for FF (nkorfiatis)
    * DB Versioning for easier updates to the DB in the future (c_schmitz))
    * Removed experimental interface 


New Languages

    * Brazilian Portuguese by Anderson Laâ€šcio Galindo Trindade
    * Chinese Traditional (Area Hong Kong) by Mark Yeung
    * Finnish by Matti Lassila
    * Galician translation by Carlos Neira Cortizas
    * Japanese translation by Hiroki Yoshino
    * Polish by Maciej Zawado
    * Serbian by Ivan Recevic
    * Spanish by Carlos Juan MartÃ­n PÃ©rez
    * Vietnamese by Vinh Ngo 


New Templates

    * New default template
    * New clear_logo template 






Changes from 0.996 to 1.0

-Added SMTP relay and authorization
-Added Japanese translation kindly provided by Masaru Ryumae
-Added Greek translation file kindly provided by Artemis Mendrinos
-Added Romanian translation kindly provided by Bogdan Anastasiei
-Added Swedish translation of administration kindly provided by Niklas Andersson
-Updated spanish translation kindly provided by Juan Rafael Fern ndez
-Updated russian translation by Alexander Shilov
-Fixed an error message showing up when a survey was deleted but the token still was set to 'completed = yes'
-Fixed bug #470: VVimport fails (reports that an active survey is not currently active) if dbprefix is set
-Fixed bug #465: Error messages if a question has no answers
-Fixed bug #463: Checkbox with conditions = JS error on Firefox in 'All in one' mode
-Fixed bug #457: SQL syntax error when having changed a question type from a question with activated 'other' option to a question type with no 'other' option and then activating the survey.
-Fixed bug #456: Emails using local server (Postfix) rather than remote mail server as specified in config file
-Fixed bug #455: Losing ip-address when editing a cached survey
-Fixed bug #435: Basic handling of session timeouts.
-Fixed bug #458: Wrong path for 2 files in experimental interface
-Removed a possible error in relation to dbprefix settings.
-Removed a small warning notice regarding flush_cache_ob.
-Fixed swedish language file
-Fixed small antialiasing bug with JPGraph



Changes from 0.995 to 0.996

-Fixed bug #454: remote exploit where attacker was able to inject code into the log file using save.php and could execute the injected code and attached commands by a broken MySQL command.
 This exploit is only working if the apache access.logs are made available (by mistake or a sloppy server configuration).
-Updated french language files & instructions by S bastien Gaugry
-Removed 'Header already sent messages' when sending notifications or test-submitting in question-by-question mode



Changes from 0.993 to 0.995

Fixed bug #397: [Translation] Updated swedish lang-file (c_schmitz)
Fixed bug #398: [Security] shell_exec not only disabled in safe_mode (c_schmitz)
Fixed bug #400: [Documentation] Requirements for limesurvey (c_schmitz)
Fixed bug #348: [Import / Export] Failed to import survey dumps when using MySQL version 5.x (c_schmitz)
Fixed bug #403: [Import / Export] SPSS export does not work properly in 0.993 (c_schmitz)
Fixed bug #411: [Survey at Runtime] Patch: Options List (do_list_radio function) (c_schmitz)
Fixed bug #415: [Import / Export] Infinite loop in resultsdump.php (c_schmitz)
Fixed bug #427: [Survey at Runtime] Error finding question attributes (c_schmitz)
Fixed bug #424: [Tokens] /// in invitation text (c_schmitz)
Fixed bug #419: [Tokens] Importing Tokens with pre-set token id not usable without editing (c_schmitz)
Fixed bug #416: [Survey at Runtime] bug saving partially completed surveys - Multiple Options/Array. (c_schmitz)
Fixed bug #425: [Tokens] Reminder emails with nothing but Subject line (c_schmitz)
Fixed bug #432: [Survey at Runtime] Error finding question attributes (c_schmitz)
Fixed bug #423: [Import / Export] wrong Excel export "Full headings" for matrix questions (c_schmitz)
Fixed bug #422: [Survey at Runtime] $shownoanswer=0 - 5 point choice question shows the "No answer" option (c_schmitz)
Fixed bug #434: [Survey at Runtime] Columns in array type questions no longer line up (c_schmitz)
Fixed bug #428: [Survey at Runtime] Problems with public registration (c_schmitz)
Fixed bug #437: [Import / Export] Exporting Question/Answer Codes returns Question Texts, not their codes (c_schmitz)


Changes from 0.992 to 0.993

New features:
Basic smtp email function can be configured in config.php now

Bugfixes:
- Resolved some serious issues with using tokens
- Fixed copying of questions and conditions when using MySQL 5 server
- Minor fixes und updates



Changes from 0.991 to 0.992

New features:

Added croatian language file (submitted by Ivana Pavic)!
Change survey sent/taken from "Y" to the date:
	When reviewing the tokens display, the fields telling if the survey request was sent, 
	and the survey taken, display a N or Y. This was changed to be the actual date this event took place. 
	This is giving some siginificant additional information to the survey author. (Patch by Thomas Ringate / tringate!)
New global option that allows the administrator to specify what is the minimum number of remaining answers 
	in an 'array - flexible' question that must be remaining before repeating the question headings. This 
	avoids that the headings of the question are repeated if only a few answers are remaining. (Patch by Kris Ven !)

Changes:
Moved admin CSS styles to separate CSS file
Updated slovenian language file
Updated dutch language file
Updated french language file (by Pascal Bastien/pascal-gnu)
Moved config.php and common.php from admin directory to main one. This allow easy configuration of permission on IIS (patch #326 by freddy77)
Use extensively dirname and __FILE__ constants. This allow inclusion using full path names limiting some possible security issues. (patch #326 by freddy77)
Added XPertmailer class wich helps alot when sending email dealing with all the linefeed issues. SMTP function will be available in the next version.

Bug Fixes:

Fixed bug #373: Setting Charset on MySQL connection
Fixed bug #325: Spelling error in keyword fo SPSS export
Fixed bug #331: Some conditions broken in 'All in one' survey mode
Fixed bug #339: Input fields on "Register for survey "-page not constructed properly
Fixed bug #339: Umlauts not showing up correctly in german formal language
Fixed bug #348: Failed to import survey dumps when using MySQL version 5.x
Fixed bug #345: Excel export reports "Use of undefined constant _IP_ADDRESS"
Fixed bug #338: Message 'This survey is no longer available' if Expires: field is left empty when creating a survey by introducing a new field to the survey table since '0000-00-00' entries will be invalid under MySQL5 strict mode.
Fixed bug #347: Invitation mail empty under certain server configurations
Fixed bug 342: The "Export database" option exports all tables even if we use a prefix for tables
Fixed bug #357: Error "Undefined index attribute..." in tokens.php when trying to export tokens
Fixed bug #355: Save button on last page in group mode doesn't really make sense.
Fixed bug #380: Can`t add a label with code 0
Fixed bug #368: Conditionals on multiple option / checkbox question type was broken
Fixed bug #372: Backup of entire database command does not create correct empty default values
Fixed bug #374: Couldn't delete response record if using prefixed tables



Changes from 0.98 to 0.99
=========================

1.) New question types

* List type question divided into two question types - radio 
button or drop down, so you can choose on a question by 
question basis whether or not to have radio buttons or a 
dropdown list.

* New "flexible" list type question uses labelsets to make reusing 
sets of answers easier - one radio and one dropdown type

* New "Huge" text question allows for a _really big_ textarea

2.) New features

* UTF-8 conversion. Use any char of any language mixed together. 
  The problems with mixed up charsets are gone now hopefully. 
  READ THE STATEMENT AT THE BEGINNING OF THIS FILE!!!!

* Question attributes, allows for better control over the display 
and working of individual questions - for example:

    - Have multiple choice or list questions display in multiple columns
    - Set a maximum character length on text questions
    - Adjust the width of  the input box in text questions
    - Hide the tip "Please Choose One" of selected questions
        - Allow the user to select the number of lines the text area will have with long free text and huge free text
      Thank you very much to Shawn Wales (sf.net name: swales)!
    - Allows the user to select the width of the text area with long free text and huge free text questions
      Thank you very much to Shawn Wales (sf.net name: swales)!

* New system option to set the table type in MySQL

* New "assessments" feature which allows you to sum the 
answers to groups of questions, or the total survey, and then 
present an "assessment" when the users submits the survey.

* New survey options, including:
 - the capacity to set the "subject" of emails on a survey-by-survey basis
 - hide the "<< prev" button so users can only go forwards through a survey
 - Allow users to save a partially completed survey and come back to complete it later
 - Automatically load the "URL" when the user has completed the survey

* VV Import and VV Export
 - A way of exporting and importing results directly to the responses table - which not only allows merging of survey 
   responses run on different servers, but also the ability to add or remove questions to a survey while preserving the existing 
   responses.

* New sample survey 

* Added W3C HTML 4.01 transitional and WAI 508 compliance (not yet finished)

* Basic ability to integrate into other CMS - thank you to asmaloney


3.) New language translations

* COMPLETE French translation of the instructions and updated french language file 
  kindly provided by S bastien GAUGRY !! (great work!)
* COMPLETE Italian translation of the instructions and 
  updated italian language file kindly provided by Mario Marani !! (great work!)
* Bulgarian Language File kindly provided by Nikolay Tsanov <tsanov@tu...>
* Added Portuguese language kindly provided by Rosaura Gazzola & Job Vieira L cio, Brazil
* Updated german language files
* Updated chinese language file thanks to Cha (sf.net name: cafetango)


4.) New themes
* Included "Blue Heaven" theme 
* Included "BluenGrey" theme 
* Included "Vallendar" theme 
* Included "Business_Grey" theme 
* Included "Eirenicon" theme 
* Included "SoftGreenCurves" theme 


... and tons of bugfixes - too many to write down here...